From ac7f2f28089bd4e0dccc370a1760de87c5c17392 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Mon, 20 Apr 2015 01:36:13 -0400
Subject: [PATCH] books/bookvol5 remove %b and %d highlights

The %b and %d were used to provide bold text on AIX terminals.
This feature is never used and causes a lot of output overhead.
It has been removed everywhere.
---
 books/bookvol10.4.pamphlet             |   22 +-
 books/bookvol5.pamphlet                |  350 +++----
 books/bookvol9.pamphlet                |   37 +-
 changelog                              |   27 +
 patch                                  |   11 +-
 src/axiom-website/patches.html         |    2 +
 src/input/biquat.input.pamphlet        |   11 +-
 src/input/cmds.input.pamphlet          |   18 +-
 src/input/complexfactor.input.pamphlet |   72 +-
 src/input/dop.input.pamphlet           | 1943 ++++++++++++++++----------------
 src/input/exit.input.pamphlet          |    2 +-
 src/input/graphviz.input.pamphlet      |    2 +-
 src/input/grpthry.input.pamphlet       |   11 +-
 src/input/ifthenelse.input.pamphlet    |   67 +-
 src/input/overload.input.pamphlet      |    6 +-
 src/input/setcmd.input.pamphlet        |  232 ++--
 src/input/test.input.pamphlet          |   43 +-
 src/input/unittest1.input.pamphlet     |  218 ++--
 src/input/unittest2.input.pamphlet     |    2 +-
 src/interp/c-util.lisp.pamphlet        |   46 +-
 src/interp/clam.lisp.pamphlet          |   42 +-
 src/interp/format.lisp.pamphlet        |   27 +-
 src/interp/functor.lisp.pamphlet       |    4 +-
 src/interp/g-error.lisp.pamphlet       |    4 -
 src/interp/i-funsel.lisp.pamphlet      |    6 +-
 src/interp/i-output.lisp.pamphlet      |    4 +-
 src/interp/i-spec1.lisp.pamphlet       |    2 +-
 src/interp/i-util.lisp.pamphlet        |    7 +-
 src/interp/msgdb.lisp.pamphlet         |   56 +-
 29 files changed, 1591 insertions(+), 1683 deletions(-)

diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 3acfb25..c5ed27d 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -14438,8 +14438,8 @@ DisplayPackage: public == private where
     s : S
     l : L S
 
-    HION    : S := "%b"
-    HIOFF   : S := "%d"
+    HION    : S := " "
+    HIOFF   : S := " "
     NEWLINE : S := "%l"
 
     bright s == [HION,s,HIOFF]$(L S)
@@ -27187,8 +27187,6 @@ formatting codes (they should either start or end a string or
 else have blanks around them):
 
      %l       start a new line
-     %b       start printing in a bold font (where available)
-     %d       stop  printing in a bold font (where available)
      %ceon    start centering message lines
      %ceoff   stop  centering message lines
      %rjon    start displaying lines "ragged left"
@@ -27198,8 +27196,8 @@ else have blanks around them):
      %xN      insert N blanks (eg, %x10 inserts 10 blanks)
 
 Examples:
-   1. error "Whoops, you made a %l %ceon %b big %d %ceoff %l mistake!"
-   2. error ["Whoops, you made a","%l %ceon %b","big",
+   1. error "Whoops, you made a %l %ceon big %ceoff %l mistake!"
+   2. error ["Whoops, you made a","%l %ceon ","big",
              "%d %ceoff %l","mistake!"]
 
 See Also:
@@ -27239,8 +27237,6 @@ o )show ErrorFunctions
 ++ formatting codes (they should either start or end a string or
 ++ else have blanks around them):\br
 ++ \spad{%l}\tab{6}start a new line\br
-++ \spad{%b}\tab{6}start printing in a bold font (where available)\br
-++ \spad{%d}\tab{6}stop  printing in a bold font (where available)\br
 ++ \spad{%ceon}\tab{3}start centering message lines\br
 ++ \spad{%ceoff}\tab{2}stop  centering message lines\br
 ++ \spad{%rjon}\tab{3}start displaying lines "ragged left"\br
@@ -27250,8 +27246,8 @@ o )show ErrorFunctions
 ++ \spad{%xN}\tab{5}insert N blanks (eg, \spad{%x10} inserts 10 blanks)
 ++
 ++ Examples:\br
-++ 1.\spad{error "Whoops, you made a %l %ceon %b big %d %ceoff %l mistake!"}\br
-++ 2.\spad{error ["Whoops, you made a","%l %ceon %b","big",\br
+++ 1.\spad{error "Whoops, you made a %l %ceon big %ceoff %l mistake!"}\br
+++ 2.\spad{error ["Whoops, you made a","%l %ceon ","big",\br
 ++ \tab{10}"%d %ceoff %l","mistake!"]}
  
 ErrorFunctions() : Exports == Implementation where
@@ -27271,7 +27267,7 @@ ErrorFunctions() : Exports == Implementation where
   Implementation ==> add
  
     prefix1 : String := "Error signalled from user code: %l "
-    prefix2 : String := "Error signalled from user code in function %b "
+    prefix2 : String := "Error signalled from user code in function  "
  
     doit(s : String) : Exit ==
       throwPatternMsg(s,nil$(List String))$Lisp
@@ -27288,10 +27284,10 @@ ErrorFunctions() : Exports == Implementation where
       doit s
  
     error(fn : String,s : String) : Exit ==
-      doit concat [prefix2,fn,": %d %l ",s]
+      doit concat [prefix2,fn,":  %l ",s]
  
     error(fn : String, l : List String) : Exit ==
-      s : String := concat [prefix2,fn,": %d %l"]
+      s : String := concat [prefix2,fn,":  %l"]
       for x in l repeat s := concat [s," ",x]
       doit s
 
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 7e7b1a7..e7a219e 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -712,7 +712,7 @@ this function will destructively change it to (2 3 1).
      of objects in that frame can then optionally follow the frame name.~
      For example,~
      %ceon )frame import calculus %ceoff ~
-     imports all objects in the %b calculus %d frame, and ~
+     imports all objects in the calculus frame, and ~
      %ceon )frame import calculus epsilon delta %ceoff ~
      imports the objects named epsilon and delta from the ~
      frame calculus. ~
@@ -927,7 +927,6 @@ S2IL0001 which means:
 Each message may contain formatting codes and and parameter codes.
 The formatting codes are:
 \begin{verbatim}
-   %b          turn on bright printing
    %ceoff      turn off centering
    %ceon       turn on centering
    %d          turn off bright printing
@@ -1033,7 +1032,7 @@ and that ``fn'' is to be called on ``args'' to get the text.
  (declare (special |$printMsgsToFile| $linelength $margin |$displayMsgNumber|))
   (setq msg (|segmentKeyedMsg| key))
   (setq msg (|substituteSegmentedMsg| msg args))
-  (when |$displayMsgNumber| (setq msg `("%b" ,key |:| "%d" . ,msg)))
+  (when |$displayMsgNumber| (setq msg `(,key |:| . ,msg)))
   (setq msgp (|flowSegmentedMsg| msg $linelength $margin))
   (when |$printMsgsToFile| (|sayMSG2File| msgp))
   (|sayMSG| msgp)))
@@ -2907,22 +2906,20 @@ untraceDomainConstructor,keepTraced?}
      (t
       (setq |msg|
        (cons |header|
-        (cons '|%b|
          (cons op
           (cons '|:|
-           (cons '|%d|
             (cons (CDR sig)
              (cons '| -> |
               (cons (car sig)
                (cons '| in slot |
-                (cons n nil)))))))))))
+                (cons n nil)))))))))
       (setq |namePart| nil)
       (setq |tracePart|
        (cond
         ((and (consp |t|) (progn (setq y (qcar |t|)) t) (null (null y)))
           (cond
            ((eq y '|all|)
-             (cons '|%b| (cons '|all| (cons '|%d| (cons '|vars| nil)))))
+             (cons '|all| (cons '|vars| nil)))
            (t (cons '| vars: | (cons y nil)))))
         (t nil)))
       (|sayBrightly| (append |msg| (append |namePart| |tracePart|))))))))) 
@@ -3294,7 +3291,7 @@ untraceDomainConstructor,keepTraced?}
        (progn
         (setq suffix (cond ((|isDomain| d) "domain") (t "package")))
         (|sayBrightly|
-         `("   Functions traced in " ,suffix |%b| ,(|devaluate| d) |%d| ":"))
+         `("   Functions traced in " ,suffix ,(|devaluate| d) ":"))
         (dolist (x (|orderBySlotNumber| l))
           (|reportSpadTrace| '|   | (TAKE 4 x)))
         (terpri)))))))))
@@ -13695,7 +13692,7 @@ and constructs a call to \bfref{Delay}.
 \calls{inclmsgNoSuchFile}{thefname}
 \begin{chunk}{defun inclmsgNoSuchFile}
 (defun |inclmsgNoSuchFile| (fn)
- (list "The )include file %b %1f %d does not exist." (list (|thefname| fn))))
+ (list "The )include file %1f does not exist." (list (|thefname| fn))))
 
 \end{chunk}
 
@@ -13935,7 +13932,7 @@ and constructs a call to \bfref{Delay}.
  (setq found (concat ")" found))
  (list 
   (format nil
-   "Incorrect )if...)endif syntax.  A %b %1f %d was found %2f. ~
+   "Incorrect )if...)endif syntax.  A %1f was found %2f. ~
     The processing of the source from %3f has been abandoned.")
   (list (|theid| found) (|theid| context) (|theorigin| ufo))))
 
@@ -15590,7 +15587,7 @@ This function is used to build the scanKeyTable
     (|ncSoftError| (|tokPosn| |$stok|) "syntax error at top level" nil)
     (|pfWrong| (|pfDocument| "top level syntax error") (|pfListOf| nil)))
    ((null (null |$inputStream|))
-    (|ncSoftError| (|tokPosn| |$stok|) "Improper syntax." nil)
+    (|ncSoftError| (|tokPosn| |$stok|) " Improper syntax." nil)
     (|pfWrong|
      (|pfDocument| (list "input stream not exhausted"))
      (|pfListOf| nil)))
@@ -17480,7 +17477,7 @@ fn must transform the head of the stack
 \calls{syGeneralErrorHere}{sySpecificErrorHere}
 \begin{chunk}{defun syGeneralErrorHere}
 (defun |syGeneralErrorHere| ()
- (|sySpecificErrorHere| "Improper syntax." nil))
+ (|sySpecificErrorHere| " Improper syntax." nil))
 
 \end{chunk}
 
@@ -18225,7 +18222,7 @@ This was rewritten by NAG to remove flet.
 \begin{chunk}{defun npTrap}
 (defun |npTrap| ()
  (declare (special |$stok|))
-  (|ncSoftError| (|tokPosn| |$stok|) "Improper syntax." nil)
+  (|ncSoftError| (|tokPosn| |$stok|) " Improper syntax." nil)
   (throw 'trappoint 'trapped))
 
 \end{chunk}
@@ -18245,7 +18242,7 @@ This was rewritten by NAG to remove flet.
      (|syGeneralErrorHere|) 
      (throw 'trappoint 'trapped))
    (t
-    (|ncSoftError| (|tokPosn| a) "Improper syntax." nil)
+    (|ncSoftError| (|tokPosn| a) " Improper syntax." nil)
     (throw 'trappoint 'trapped)))))
 
 \end{chunk}
@@ -22920,7 +22917,7 @@ Give message and throw to a recovery point.
      (setq erMsg (|getMsgKey| msg))
      (cond
       ((setq pre (|getMsgPrefix?| msg))
-        (setq erMsg (cons '|%b| (cons pre (cons '|%d| erMsg))))))
+        (setq erMsg (cons pre erMsg))))
      (|sayBrightly| (cons "old msg from " (cons (|CallerName| 4) erMsg))))
    ((|msgImPr?| msg) (|msgOutputter| msg))
    (t (setq |$ncMsgList| (cons msg |$ncMsgList|))))))
@@ -23010,7 +23007,7 @@ Give message and throw to a recovery point.
       ((< 0 (setq extraPlaces (- (- |$preLength| (size optPre)) 3)))
        (make-string extraPlaces))
       (t "")))
-    (list '|%b| optPre spses ":" '|%d|)))))
+    (list optPre spses ":")))))
 
 \end{chunk}
 
@@ -23904,15 +23901,15 @@ This is used for the 2nd pos of a fromto
   (setq charMarker (cdr (assoc pos chPosList)))
   (cond
    ((eq tag 'from)
-    (setq markingText (list "(from " charMarker " and on) "))
+    (setq markingText (list " (from " charMarker " and on) "))
     (|setMsgText| msg (append markingText (|getMsgText| msg))))
    ((eq tag 'to)
-    (setq markingText (list "(up to " charMarker ") "))
+    (setq markingText (list " (up to " charMarker ") "))
     (|setMsgText| msg (append markingText (|getMsgText| msg))))
    ((eq tag 'fromto)
     (setq pos2 (|poCharPosn| (|getMsgPos2| msg)))
     (setq charMarker2 (cdr (assoc pos2 chPosList)))
-    (setq markingText (list "(from " charMarker " up to " charMarker2 ") "))
+    (setq markingText (list " (from " charMarker " up to " charMarker2 ") "))
     (|setMsgText| msg (append markingText (|getMsgText| msg)))))))
 
 \end{chunk}
@@ -27220,7 +27217,7 @@ The \verb|$msgdbPrims| variable is set to:
        (|sayMSG| (cons "   The following function or rule "
                   (cons "depends on this:" (|bright| (car dependents)))))))
      (|sayMSG| "   The following functions or rules depend on this:")
-     (setq msg (cons '|%b| (cons "     " nil)))
+     (setq msg (cons "     " nil))
      (do ((G166397 dependents (cdr G166397)) (y nil))
          ((or (atom G166397) (progn (setq y (car G166397)) nil)) nil)
        (seq (exit (setq msg (cons " " (cons y msg))))))
@@ -27234,7 +27231,7 @@ The \verb|$msgdbPrims| variable is set to:
         (|sayMSG| (cons "   This depends on the following function "
                    (cons "or rule:" (|bright| (car dependees)))))))
       (|sayMSG| "   This depends on the following functions or rules:")
-      (setq msg (cons '|%b| (cons "     " nil)))
+      (setq msg (cons "     " nil))
       (do ((G166406 dependees (cdr G166406)) (y nil))
           ((or (atom G166406) (progn (setq y (car G166406)) nil)) nil)
         (seq (exit (setq msg (cons " " (cons y msg))))))
@@ -27886,12 +27883,12 @@ The prefix goes before each element on each side of the list, eg, ")"
     (|sayMessage| (list "   No " label1 "-defined " label2 " in effect."))
     (|sayMessage|
      `("   No " ,label1 "-defined " ,label2 " satisfying patterns:"
-       |%l| "     " |%b| ,@(append (|blankList| patterns) (list '|%d|)))))
+       |%l| "     " ,@(append (|blankList| patterns) (list nil)))))
    (progn
     (when patterns
       (|sayMessage|
        `(,label1 "-defined " ,label2 " satisfying patterns:" |%l| "   "
-          |%b| ,@(append (|blankList| patterns) (list '|%d|)))))
+          ,@(append (|blankList| patterns) (list nil)))))
      (do ((t1 ls (cdr t1)))
          ((atom t1) nil)
       (setq syn (caar t1))
@@ -27901,7 +27898,7 @@ The prefix goes before each element on each side of the list, eg, ")"
       (when (string= syn "%i") (setq syn "%i "))
       (setq wid (max (- 30 (|entryWidth| syn)) 1))
       (|sayBrightly|
-       (|concat| '|%b| prefix syn '|%d| (|fillerSpaces| wid ".")
+       (|concat| prefix syn (|fillerSpaces| wid ".")
          " " prefix comm)))
      (|sayBrightly| "")))))
 
@@ -30068,9 +30065,8 @@ displayed. If the answer is either Y or YES we return true else nil.
          ((|member| macro imacs) '|iterate|)
          (t (|sayBrightly|
           (cons "   "
-           (cons '|%b|
             (cons macro
-             (cons '|%d| (cons " is not a known Axiom macro." nil)))))))))))
+              (cons " is not a known Axiom macro." nil)))))))))
      (setq first t)
      (do ((t1 macros (cdr t1)) (macro nil))
          ((or (atom t1) (progn (setq macro (car t1)) nil)) nil)
@@ -33996,7 +33992,7 @@ explanations see the list structure section \ref{Theliststructure}.
           (do ((t2 opt (cdr t2)) t1 (o nil))
               ((or (atom t2) (progn (setq o (car t2)) nil)) t1)
            (setq t1 (append t1 (cons o (cons " " nil))))))))
-       (|sayBrightly| (|concat| setoption '|%b| opt '|%d|)))
+       (|sayBrightly| (|concat| setoption opt)))
       (string
        (setq opt (|object2String| (|eval| (fifth setdata))))
        (|sayBrightly| `(,setoption ,@(|bright| opt))))
@@ -34209,7 +34205,7 @@ input        controls libraries from which to load compiled code
 \end{verbatim}
 \begin{chunk}{compileoutput}
       (|output|
-       "library in which to place compiled code"
+       "library in which to place compiled code "
        |interpreter|
        FUNCTION
        |setOutputLibrary|
@@ -34247,12 +34243,9 @@ input        controls libraries from which to load compiled code
 (defun |describeOutputLibraryArgs| ()
  "Describe the set output library arguments"
  (|sayBrightly| (list
-  '|%b| ")set compile output library"
-  '|%d| "is used to tell the compiler where to place"
+  " )set compile output library is used to tell the compiler where to place"
   '|%l| "compiled code generated by the library compiler.  By default it goes"
-  '|%l| "in a file called"
-  '|%b| "user.lib"
-  '|%d| "in the current directory.")))
+  '|%l| "in a file called user.lib in the current directory.")))
 
 \end{chunk}
 
@@ -34345,17 +34338,12 @@ The input-libraries is now maintained as a list of truenames.
 (defun |describeInputLibraryArgs| ()
  "Describe the set input library arguments"
  (|sayBrightly| (list
-  '|%b| ")set compile input add library"
-  '|%d| "is used to tell AXIOM to add"
-  '|%b| "library"
-  '|%d| "to"
-  '|%l| "the front of the path used to find compile code."
+  " )set compile input add library "
+  "is used to tell AXIOM to add library to"
+  '|%l| " the front of the path used to find compile code."
   '|%l|
-  '|%b| ")set compile input drop library"
-  '|%d| "is used to tell AXIOM to remove"
-  '|%b| "library"
-  '|%d|
-  '|%l| "from this path.")))
+  " )set compile input drop library is used to tell AXIOM to remove library"
+  '|%l| " from this path.")))
 
 \end{chunk}
 
@@ -34636,18 +34624,15 @@ recurrence   specially compile recurrence relations     on
 (defun |describeSetFunctionsCache| ()
  "Describe the set functions cache"
  (|sayBrightly| (list
-  '|%b| ")set functions cache"
-  '|%d| "is used to tell AXIOM how many"
+  " )set functions cache "
+  "is used to tell AXIOM how many"
   '|%l| " values computed by interpreter functions should be saved.  This"
   '|%l| " can save quite a bit of time in recursive functions, though one" 
   '|%l| " must consider that the cached values will take up (perhaps"
   '|%l| " valuable) room in the workspace."
   '|%l|
-  '|%l| " The value given after"
-  '|%b| "cache"
-  '|%d| "must either be the word"
-  '|%b| "all"
-  '|%d| "or a positive integer."
+  '|%l| " The value given after "
+   "cache must either be the word all or a positive integer."
   '|%l| " This may be followed by any number of function names whose cache"
   '|%l| " sizes you wish to so set.  If no functions are given, the default" 
   '|%l| " cache size is set."
@@ -35156,16 +35141,16 @@ linker       linker arguments (e.g. libraries to search) -lxlf
 \end{verbatim}
 \defdollar{fortranTmpDir}
 \begin{chunk}{initvars}
-(defvar |$fortranTmpDir| "/tmp/" "set location of temporary data files")
+(defvar |$fortranTmpDir| "/tmp/" "set location of temporary data files ")
 
 \end{chunk}
 \begin{chunk}{callingtempfile}
         (|tempfile|
-         "set location of temporary data files"
+         "set location of temporary data files "
          |interpreter|
          FUNCTION
          |setFortTmpDir|
-         (("enter directory name for which you have write-permission"
+         (("enter directory name for which you have write-permission "
            DIRECTORY
            |$fortranTmpDir|
            |chkDirectory|
@@ -35220,8 +35205,8 @@ linker       linker arguments (e.g. libraries to search) -lxlf
  "Describe the set fortran calling tempfile"
  (declare (special |$fortranTmpDir|))
  (|sayBrightly| (list
-  '|%b| ")set fortran calling tempfile"
-  '|%d| " is used to tell AXIOM where"
+  " )set fortran calling tempfile"
+  " is used to tell AXIOM where"
   '|%l| " to place intermediate FORTRAN data files . This must be the "
   '|%l| " name of a valid existing directory to which you have permission "
   '|%l| " to write (including the final slash)."
@@ -35229,9 +35214,9 @@ linker       linker arguments (e.g. libraries to search) -lxlf
   '|%l| " Syntax:"
   '|%l| "   )set fortran calling tempfile DIRECTORYNAME"
   '|%l|
-  '|%l| " The current setting is"
-  '|%b| |$fortranTmpDir|
-  '|%d|)))
+  '|%l| " The current setting is "
+  |$fortranTmpDir|
+  )))
 
 \end{chunk}
 
@@ -35254,16 +35239,16 @@ linker       linker arguments (e.g. libraries to search) -lxlf
 \end{verbatim}
 \defdollar{fortranDirectory}
 \begin{chunk}{initvars}
-(defvar |$fortranDirectory| "./" "set location of generated FORTRAN files")
+(defvar |$fortranDirectory| "./" "set location of generated FORTRAN files ")
 
 \end{chunk}
 \begin{chunk}{callingdirectory}
         (|directory|
-         "set location of generated FORTRAN files"
+         "set location of generated FORTRAN files "
          |interpreter|
          FUNCTION
          |setFortDir|
-         (("enter directory name for which you have write-permission"
+         (("enter directory name for which you have write-permission "
            DIRECTORY
            |$fortranDirectory|
            |chkDirectory|
@@ -35305,8 +35290,8 @@ linker       linker arguments (e.g. libraries to search) -lxlf
 (defun |describeSetFortDir| ()
  (declare (special |$fortranDirectory|))
  (|sayBrightly| (list
-  '|%b| ")set fortran calling directory"
-  '|%d| " is used to tell AXIOM where"
+  " )set fortran calling directory"
+  " is used to tell AXIOM where"
   '|%l| " to place generated FORTRAN files. This must be the name "
   '|%l| " of a valid existing directory to which you have permission "
   '|%l| " to write (including the final slash)."
@@ -35314,9 +35299,9 @@ linker       linker arguments (e.g. libraries to search) -lxlf
   '|%l| " Syntax:"
   '|%l| "   )set fortran calling directory DIRECTORYNAME"
   '|%l|
-  '|%l| " The current setting is"
-  '|%b| |$fortranDirectory|
-  '|%d|)))
+  '|%l| " The current setting is "
+  |$fortranDirectory|
+  )))
 
 \end{chunk}
 \subsubsection{linker}
@@ -35344,7 +35329,7 @@ linker       linker arguments (e.g. libraries to search) -lxlf
 \end{chunk}
 \begin{chunk}{callinglinker}
         (|linker|
-         "linker arguments (e.g. libraries to search)"
+         "linker arguments (e.g. libraries to search) "
          |interpreter|
          FUNCTION
          |setLinkerArgs|
@@ -35382,11 +35367,10 @@ linker       linker arguments (e.g. libraries to search) -lxlf
 (defun |describeSetLinkerArgs| ()
  (declare (special |$fortranLibraries|))
  (|sayBrightly| (list
-  '|%b| ")set fortran calling linkerargs"
-  '|%d| " is used to pass arguments to the linker"
+  " )set fortran calling linkerargs"
+  " is used to pass arguments to the linker"
   '|%l| " when using "
-  '|%b| "mkFort"
-  '|%d| " to create functions which call Fortran code."
+  "mkFort to create functions which call Fortran code."
   '|%l| " For example, it might give a list of libraries to be searched,"
   '|%l| " and their locations."
   '|%l| " The string is passed verbatim, so must be the correct syntax for"
@@ -35394,9 +35378,9 @@ linker       linker arguments (e.g. libraries to search) -lxlf
   '|%l|
   '|%l| " Example: )set fortran calling linker \"-lxlf\""
   '|%l|
-  '|%l| " The current setting is"
-  '|%b| |$fortranLibraries|
-  '|%d|)))
+  '|%l| " The current setting is "
+  |$fortranLibraries|
+  )))
 
 \end{chunk}
 
@@ -36369,7 +36353,7 @@ double       enforce DOUBLE PRECISION ASPs              on
 \end{chunk}
 \begin{chunk}{naglinkhost}
      (|host|
-      "internet address of host for NAGLink"
+      "internet address of host for NAGLink "
       |interpreter|
       FUNCTION
       |setNagHost|
@@ -36405,14 +36389,14 @@ double       enforce DOUBLE PRECISION ASPs              on
 (defun |describeSetNagHost| ()
  (declare (special |$nagHost|))
  (|sayBrightly| (list
-  '|%b| ")set naglink host"
-  '|%d| "is used to tell  AXIOM which  host to contact for"
+  " )set naglink host "
+  "is used to tell  AXIOM which  host to contact for"
   '|%l| " a NAGLink request. An Internet address should be supplied. The host"
   '|%l| " specified must be running the NAGLink daemon."
   '|%l|
-  '|%l| " The current setting is"
-  '|%b| |$nagHost|
-  '|%d|)))
+  '|%l| " The current setting is "
+  |$nagHost|
+  )))
 
 \end{chunk}
 
@@ -36436,7 +36420,7 @@ double       enforce DOUBLE PRECISION ASPs              on
 \end{chunk}
 \begin{chunk}{naglinkpersistence}
      (|persistence|
-      "number of (fortran) functions to remember"
+      "number of (fortran) functions to remember "
       |interpreter|
       FUNCTION
       |setFortPers|
@@ -36483,18 +36467,18 @@ double       enforce DOUBLE PRECISION ASPs              on
 (defun |describeFortPersistence| ()
  (declare (special |$fortPersistence|))
  (|sayBrightly| (list
- '|%b| ")set naglink persistence"
- '|%d| "is used to tell  the "
- '|%b| '|nagd|
- '|%d| '| daemon how  many ASP|
+ " )set naglink persistence "
+ "is used to tell the "
+ '|nagd|
+ '| daemon how  many ASP|
  '|%l|
  " source and object files to keep around in case you reuse them. This helps"
  '|%l| " to avoid needless recompilations. The number specified should be a "
  '|%l| " non-negative integer."
  '|%l|
- '|%l| " The current setting is"
- '|%b| |$fortPersistence|
- '|%d|)))
+ '|%l| " The current setting is "
+ |$fortPersistence|
+ )))
 
 \end{chunk}
 
@@ -36666,7 +36650,7 @@ The current setting is:  On:CONSOLE
 \end{verbatim}
 \defdollar{algebraFormat}
 \begin{chunk}{initvars}
-(defvar |$algebraFormat| t "display output in algebraic form")
+(defvar |$algebraFormat| t "display output in algebraic form ")
 
 \end{chunk}
 \defdollar{algebraOutputFile}
@@ -36677,11 +36661,11 @@ The current setting is:  On:CONSOLE
 \end{chunk}
 \begin{chunk}{outputalgebra}
      (|algebra|
-      "display output in algebraic form"
+      "display output in algebraic form "
       |interpreter|
       FUNCTION
       |setOutputAlgebra|
-      (("display output in algebraic form"
+      (("display output in algebraic form "
         LITERALS
         |$algebraFormat|
         (|off| |on|)
@@ -36818,8 +36802,8 @@ The current setting is:  On:CONSOLE
 \begin{chunk}{defun describeSetOutputAlgebra}
 (defun |describeSetOutputAlgebra| ()
  (|sayBrightly| (list
- '|%b| ")set output algebra"
- '|%d| "is used to tell AXIOM to turn algebra-style output"
+ " )set output algebra "
+ "is used to tell AXIOM to turn algebra-style output"
  '|%l| "printing on and off, and where to place the output.  By default, the"
  '|%l| "destination for the output is the screen but printing is turned off."
  '|%l|
@@ -36835,11 +36819,8 @@ The current setting is:  On:CONSOLE
  '|%l|
  "If you wish to send the output to a file, you may need to issue this command"
  '|%l| "twice: once with"
- '|%b| "on"
- '|%d| "and once with the file name. For example, to send"
- '|%l| "algebra output to the file"
- '|%b| "polymer.spout,"
- '|%d| "issue the two commands"
+ " on and once with the file name. For example, to send"
+ '|%l| "algebra output to the file polymer.spout, issue the two commands"
  '|%l|
  '|%l| "  )set output algebra on"
  '|%l| "  )set output algebra polymer"
@@ -36847,8 +36828,8 @@ The current setting is:  On:CONSOLE
  '|%l| "The output is placed in the directory from which you invoked AXIOM or"
  '|%l| "the one you set with the )cd system command."
  '|%l| "The current setting is: "
- '|%b| (|setOutputAlgebra| '|%display%|)
- '|%d|))) 
+ (|setOutputAlgebra| '|%display%|)
+ ))) 
 
 \end{chunk}
 
@@ -36881,7 +36862,7 @@ The current setting is:  On:CONSOLE
 \end{verbatim}
 \begin{chunk}{outputcharacters}
      (|characters|
-      "choose special output character set"
+      "choose special output character set "
       |interpreter|
       FUNCTION
       |setOutputCharacters|
@@ -36995,7 +36976,7 @@ The current setting is:  Off:CONSOLE
 \end{verbatim}
 \defdollar{fortranFormat}
 \begin{chunk}{initvars}
-(defvar |$fortranFormat| nil "create output in FORTRAN format")
+(defvar |$fortranFormat| nil "create output in FORTRAN format ")
 
 \end{chunk}
 \defdollar{fortranOutputFile}
@@ -37006,11 +36987,11 @@ The current setting is:  Off:CONSOLE
 \end{chunk}
 \begin{chunk}{outputfortran}
      (|fortran|
-      "create output in FORTRAN format"
+      "create output in FORTRAN format "
       |interpreter|
       FUNCTION
       |setOutputFortran|
-      (("create output in FORTRAN format"
+      (("create output in FORTRAN format "
         LITERALS
         |$fortranFormat|
         (|off| |on|)
@@ -37151,8 +37132,8 @@ The current setting is:  Off:CONSOLE
 \begin{chunk}{defun describeSetOutputFortran}
 (defun |describeSetOutputFortran| ()
  (|sayBrightly| (list
-  '|%b| ")set output fortran"
-  '|%d| "is used to tell AXIOM to turn FORTRAN-style output"
+  " )set output fortran"
+  " is used to tell AXIOM to turn FORTRAN-style output "
   '|%l| "printing on and off, and where to place the output.  By default, the"
   '|%l| "destination for the output is the screen but printing is turned off."
   '|%l|
@@ -37169,11 +37150,8 @@ The current setting is:  Off:CONSOLE
   '|%l|
   '|%l| "If you wish to send the output to a file, you must issue this command"
   '|%l| "twice: once with"
-  '|%b| "on"
-  '|%d| "and once with the file name. For example, to send"
-  '|%l| "FORTRAN output to the file"
-  '|%b| "polymer.sfort,"
-  '|%d| "issue the two commands"
+  " on and once with the file name. For example, to send "
+  '|%l| "FORTRAN output to the file polymer.sfort, issue the two commands"
   '|%l|
   '|%l| "  )set output fortran on"
   '|%l| "  )set output fortran polymer"
@@ -37181,8 +37159,8 @@ The current setting is:  Off:CONSOLE
   '|%l| "The output is placed in the directory from which you invoked AXIOM or"
   '|%l| "the one you set with the )cd system command."
   '|%l| "The current setting is: "
-  '|%b| (|setOutputFortran| '|%display%|)
-  '|%d|)))
+  (|setOutputFortran| '|%display%|)
+  )))
 
 \end{chunk}
 
@@ -37250,7 +37228,7 @@ The current setting is:  Off:CONSOLE
 \end{verbatim}
 \defdollar{htmlFormat}
 \begin{chunk}{initvars}
-(defvar |$htmlFormat| nil "create output in HTML format")
+(defvar |$htmlFormat| nil "create output in HTML format ")
 
 \end{chunk}
 \defdollar{htmlOutputFile}
@@ -37261,11 +37239,11 @@ The current setting is:  Off:CONSOLE
 \end{chunk}
 \begin{chunk}{outputhtml}
      (|html|
-      "create output in HTML style"
+      "create output in HTML style "
       |interpreter|
       FUNCTION
       |setOutputHtml|
-      (("create output in HTML format"
+      (("create output in HTML format "
         LITERALS
         |$htmlFormat|
         (|off| |on|)
@@ -37398,8 +37376,8 @@ The current setting is:  Off:CONSOLE
 \begin{chunk}{defun describeSetOutputHtml}
 (defun |describeSetOutputHtml| ()
  (|sayBrightly| (LIST
- '|%b| ")set output html"
- '|%d| "is used to tell AXIOM to turn HTML-style output"
+ " )set output html "
+ "is used to tell AXIOM to turn HTML-style output"
  '|%l| "printing on and off, and where to place the output.  By default, the"
  '|%l| "destination for the output is the screen but printing is turned off."
  '|%l|
@@ -37412,12 +37390,9 @@ The current setting is:  Off:CONSOLE
  '|%l| "              extension .fe. If not given, .fe defaults to .stex."
  '|%l|
  '|%l| "If you wish to send the output to a file, you must issue this command"
- '|%l| "twice: once with"
- '|%b| "on"
- '|%d| "and once with the file name. For example, to send"
- '|%l| "HTML output to the file"
- '|%b| "polymer.smml,"
- '|%d| "issue the two commands"
+ '|%l| "twice: once with "
+ "on and once with the file name. For example, to send"
+ '|%l| "HTML output to the file polymer.smml, issue the two commands"
  '|%l|
  '|%l| "  )set output html on"
  '|%l| "  )set output html polymer"
@@ -37425,8 +37400,8 @@ The current setting is:  Off:CONSOLE
  '|%l| "The output is placed in the directory from which you invoked AXIOM or"
  '|%l| "the one you set with the )cd system command."
  '|%l| "The current setting is: "
- '|%b| (|setOutputHtml| '|%display%|)
- '|%d|)))
+ (|setOutputHtml| '|%display%|)
+ )))
 
 \end{chunk}
 
@@ -37498,7 +37473,7 @@ The current setting is:  Off:CONSOLE
 \end{verbatim}
 \defdollar{mathmlFormat}
 \begin{chunk}{initvars}
-(defvar |$mathmlFormat| nil "create output in MathML format")
+(defvar |$mathmlFormat| nil "create output in MathML format ")
 
 \end{chunk}
 \defdollar{mathmlOutputFile}
@@ -37509,11 +37484,11 @@ The current setting is:  Off:CONSOLE
 \end{chunk}
 \begin{chunk}{outputmathml}
      (|mathml|
-      "create output in MathML style"
+      "create output in MathML style "
       |interpreter|
       FUNCTION
       |setOutputMathml|
-      (("create output in MathML format"
+      (("create output in MathML format "
         LITERALS
         |$mathmlFormat|
         (|off| |on|)
@@ -37646,8 +37621,8 @@ The current setting is:  Off:CONSOLE
 \begin{chunk}{defun describeSetOutputMathml}
 (defun |describeSetOutputMathml| ()
  (|sayBrightly| (LIST
- '|%b| ")set output mathml"
- '|%d| "is used to tell AXIOM to turn MathML-style output"
+ " )set output mathml "
+ "is used to tell AXIOM to turn MathML-style output"
  '|%l| "printing on and off, and where to place the output.  By default, the"
  '|%l| "destination for the output is the screen but printing is turned off."
  '|%l|
@@ -37661,11 +37636,8 @@ The current setting is:  Off:CONSOLE
  '|%l|
  '|%l| "If you wish to send the output to a file, you must issue this command"
  '|%l| "twice: once with"
- '|%b| "on"
- '|%d| "and once with the file name. For example, to send"
- '|%l| "MathML output to the file"
- '|%b| "polymer.smml,"
- '|%d| "issue the two commands"
+ " on and once with the file name. For example, to send"
+ '|%l| "MathML output to the file polymer.smml, issue the two commands"
  '|%l|
  '|%l| "  )set output mathml on"
  '|%l| "  )set output mathml polymer"
@@ -37673,8 +37645,8 @@ The current setting is:  Off:CONSOLE
  '|%l| "The output is placed in the directory from which you invoked AXIOM or"
  '|%l| "the one you set with the )cd system command."
  '|%l| "The current setting is: "
- '|%b| (|setOutputMathml| '|%display%|)
- '|%d|)))
+ (|setOutputMathml| '|%display%|)
+ )))
 
 \end{chunk}
 
@@ -37712,7 +37684,7 @@ The current setting is:  Off:CONSOLE
 \end{verbatim}
 \defdollar{openMathFormat}
 \begin{chunk}{initvars}
-(defvar |$openMathFormat| nil "create output in OpenMath format")
+(defvar |$openMathFormat| nil "create output in OpenMath format ")
 
 \end{chunk}
 \defdollar{openMathOutputFile}
@@ -37723,11 +37695,11 @@ The current setting is:  Off:CONSOLE
 \end{chunk}
 \begin{chunk}{outputopenmath}
      (|openmath|
-      "create output in OpenMath style"
+      "create output in OpenMath style "
       |interpreter|
       FUNCTION
       |setOutputOpenMath|
-      (("create output in OpenMath format"
+      (("create output in OpenMath format "
         LITERALS
         |$openMathFormat|
         (|off| |on|)
@@ -37857,8 +37829,8 @@ The current setting is:  Off:CONSOLE
 \begin{chunk}{defun describeSetOutputOpenMath}
 (defun |describeSetOutputOpenMath| ()
  (|sayBrightly| (list
- '|%b| ")set output openmath"
- '|%d| "is used to tell AXIOM to turn OpenMath output"
+ " )set output openmath "
+ "is used to tell AXIOM to turn OpenMath output"
  '|%l| "printing on and off, and where to place the output.  By default, the"
  '|%l| "destination for the output is the screen but printing is turned off."
  '|%l|
@@ -37873,11 +37845,8 @@ The current setting is:  Off:CONSOLE
  '|%l|
  '|%l| "If you wish to send the output to a file, you must issue this command"
  '|%l| "twice: once with"
- '|%b| "on"
- '|%d| "and once with the file name. For example, to send"
- '|%l| "OpenMath output to the file"
- '|%b| "polymer.som,"
- '|%d| "issue the two commands"
+ " on and once with the file name. For example, to send"
+ '|%l| "OpenMath output to the file polymer.som, issue the two commands"
  '|%l|
  '|%l| "  )set output openmath on"
  '|%l| "  )set output openmath polymer"
@@ -37885,8 +37854,8 @@ The current setting is:  Off:CONSOLE
  '|%l| "The output is placed in the directory from which you invoked AXIOM or"
  '|%l| "the one you set with the )cd system command."
  '|%l| "The current setting is: "
- '|%b| (|setOutputOpenMath| '|%display%|)
- '|%d|)))
+ (|setOutputOpenMath| '|%display%|)
+ )))
 
 \end{chunk}
 
@@ -37937,11 +37906,11 @@ The current setting is:  Off:CONSOLE
 \end{chunk}
 \begin{chunk}{outputscript}
      (|script|
-      "display output in SCRIPT formula format"
+      "display output in SCRIPT formula format "
       |interpreter|
       FUNCTION
       |setOutputFormula|
-      (("display output in SCRIPT format"
+      (("display output in SCRIPT format "
         LITERALS
         |$formulaFormat|
         (|off| |on|)
@@ -38070,8 +38039,8 @@ The current setting is:  Off:CONSOLE
 \begin{chunk}{defun describeSetOutputFormula}
 (defun |describeSetOutputFormula| ()
  (|sayBrightly| (list
- '|%b| ")set output script"
- '|%d| "is used to tell AXIOM to turn IBM Script formula-style"
+ " )set output script "
+ "is used to tell AXIOM to turn IBM Script formula-style"
  '|%l|
  "output printing on and off, and where to place the output.  By default, the"
  '|%l| "destination for the output is the screen but printing is turned off."
@@ -38088,11 +38057,9 @@ The current setting is:  Off:CONSOLE
  '|%l|
  '|%l| "If you wish to send the output to a file, you must issue this command"
  '|%l| "twice: once with"
- '|%b| "on"
- '|%d| "and once with the file name. For example, to send"
- '|%l| "IBM Script formula output to the file"
- '|%b| "polymer.sform,"
- '|%d| "issue the two commands"
+ " on and once with the file name. For example, to send "
+ '|%l| "IBM Script formula output to the file polymer.sform,"
+ " issue the two commands"
  '|%l|
  '|%l| "  )set output script on"
  '|%l| "  )set output script polymer"
@@ -38100,8 +38067,8 @@ The current setting is:  Off:CONSOLE
  '|%l| "The output is placed in the directory from which you invoked AXIOM or"
  '|%l| "the one you set with the )cd system command."
  '|%l| "The current setting is: "
- '|%b| (|setOutputFormula| '|%display%|)
- '|%d|)))
+ (|setOutputFormula| '|%display%|)
+ )))
 
 \end{chunk}
 
@@ -38198,7 +38165,7 @@ The current setting is:  Off:CONSOLE
 \end{verbatim}
 \defdollar{texFormat}
 \begin{chunk}{initvars}
-(defvar |$texFormat| nil "create output in TeX format")
+(defvar |$texFormat| nil "create output in TeX format ")
 
 \end{chunk}
 \defdollar{texOutputFile}
@@ -38209,11 +38176,11 @@ The current setting is:  Off:CONSOLE
 \end{chunk}
 \begin{chunk}{outputtex}
      (|tex|
-      "create output in TeX style"
+      "create output in TeX style "
       |interpreter|
       FUNCTION
       |setOutputTex|
-      (("create output in TeX format"
+      (("create output in TeX format "
         LITERALS
         |$texFormat|
         (|off| |on|)
@@ -38340,8 +38307,8 @@ The current setting is:  Off:CONSOLE
 \begin{chunk}{defun describeSetOutputTex}
 (defun |describeSetOutputTex| ()
  (|sayBrightly| (list
- '|%b| ")set output tex"
- '|%d| "is used to tell AXIOM to turn TeX-style output"
+ " )set output tex "
+ "is used to tell AXIOM to turn TeX-style output"
  '|%l| "printing on and off, and where to place the output.  By default, the"
  '|%l| "destination for the output is the screen but printing is turned off."
  '|%l|
@@ -38355,11 +38322,8 @@ The current setting is:  Off:CONSOLE
  '|%l|
  '|%l| "If you wish to send the output to a file, you must issue this command"
  '|%l| "twice: once with"
- '|%b| "on"
- '|%d| "and once with the file name. For example, to send"
- '|%l| "TeX output to the file"
- '|%b| "polymer.stex,"
- '|%d| "issue the two commands"
+ " on and once with the file name. For example, to send"
+ '|%l| "TeX output to the file polymer.stex, issue the two commands"
  '|%l|
  '|%l| "  )set output tex on"
  '|%l| "  )set output tex polymer"
@@ -38367,8 +38331,8 @@ The current setting is:  Off:CONSOLE
  '|%l| "The output is placed in the directory from which you invoked AXIOM or"
  '|%l| "the one you set with the )cd system command."
  '|%l| "The current setting is: "
- '|%b| (|setOutputTex| '|%display%|)
- '|%d|)))
+ (|setOutputTex| '|%display%|)
+ )))
 
 \end{chunk}
 
@@ -38446,11 +38410,11 @@ showall      display all stream elements computed       off
 \end{chunk}
 \begin{chunk}{streamscalculate}
      (|calculate|
-      "specify number of elements to calculate"
+      "specify number of elements to calculate "
       |interpreter|
       FUNCTION
       |setStreamsCalculate|
-      (("number of initial stream elements you want calculated"
+      (("number of initial stream elements you want calculated "
        INTEGER
        |$streamCount|
        (0 NIL)
@@ -39260,8 +39224,8 @@ o )what
            (reverse (getdatabase op 'attributes))))))
        (if (null attList)
         (|sayBrightly|
-         (|concat| '|%b| (|form2String| functorForm)
-                   '|%d| '|has no attributes.| '|%l|))
+         (|concat| (|form2String| functorForm)
+                   '|has no attributes.| '|%l|))
          (|say2PerLine| (mapcar #'|formatAttribute| attList))))
       ((eq opt '|operations|)
        (|displayOperationsFromLisplib| functorForm))))))))
@@ -39381,8 +39345,8 @@ o )what
   (setq top (car unitForm))
   (setq kind (getdatabase top 'constructorkind))
   (|sayBrightly|
-   (|concat| '|%b| (|formatOpType| unitForm) '|%d|
-             "is a" '|%b| kind '|%d| "constructor."))
+   (|concat| " " (|formatOpType| unitForm)
+             " is a " kind " constructor."))
   (unless isRecordOrUnion
      (setq abb (getdatabase top 'abbreviation))
      (setq sourceFile (getdatabase top 'sourcefile))
@@ -41148,7 +41112,7 @@ alternate polynomial types of Symbols.
  (declare (special |$evalDomain|))
   (when |$evalDomain|
     (|sayMSG| 
-      (|concat| "   instantiating" '|%b| (|prefix2String| form) '|%d|)))
+      (|concat| "   instantiating" (|prefix2String| form))))
   (|startTimingProcess| '|instantiation|)
   (setq result (|eval| (|mkEvalable| form)))
   (|stopTimingProcess| '|instantiation|)
@@ -41902,9 +41866,9 @@ o )show
    (reduce #'append
     (mapcar #'(lambda (x) `(|%l| "        " ,x)) |$whatOptions|)))
   (|sayBrightly|
-   `(|%b| "  )what" |%d| "argument keywords are" |%b| ,@optlist |%d|
-     |%l| "   or abbreviations thereof." |%l| |%l| "   Issue" |%b| ")what ?"
-     |%d| "for more information."))))
+   `("  )what" "argument keywords are" ,@optlist
+     |%l| "   or abbreviations thereof." |%l| |%l| "   Issue" ")what ?"
+     "for more information."))))
 
 \end{chunk}
 
@@ -41936,11 +41900,11 @@ o )show
   (when patterns
    (if ell
      (|sayMessage|
-      `("System commands at this level matching patterns:" |%l| "   " |%b|
-         ,@(append (|blankList| patterns) (list '|%d|))))
+      `("System commands at this level matching patterns:" |%l| "   "
+         ,@(append (|blankList| patterns) (list nil))))
      (|sayMessage|
-      `("No system commands at this level matching patterns:" |%l| "   " |%b|
-        ,@(append (|blankList| patterns) (list '|%d|))))))
+      `("No system commands at this level matching patterns:" |%l| "   "
+        ,@(append (|blankList| patterns) (list nil))))))
   (when ell
    (|sayAsManyPerLineAsPossible| ell)
    (say " "))
@@ -42028,19 +41992,17 @@ in patterns.
          (cons label
           (cons " with names matching patterns:"
            (cons '|%l|
-            (cons "   "
-             (cons '|%b|
-              (append (|blankList| patterns)
-               (cons '|%d| nil))))))))))
+            (cons "    "
+              (append (|blankList| patterns) 
+               (cons " " nil)))))))))
       (t
         (|sayMessage|
          (cons label
           (cons " with names matching patterns:"
            (cons '|%l|
-            (cons "   "
-             (cons '|%b|
+            (cons "    "
               (append (|blankList| patterns)
-               (cons '|%d| nil))))))))))))
+               (cons " " nil)))))))))))
     (cond (l (|pp2Cols| l)))))))
 
 \end{chunk} 
diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
index fb6683d..abf5912 100644
--- a/books/bookvol9.pamphlet
+++ b/books/bookvol9.pamphlet
@@ -7288,7 +7288,7 @@ The compDefine function expects three arguments:
       (cond
        ((isLocalFunction op)
         (when opexport
-         (|userError| (list '|%b| op '|%d| " is local and exported")))
+         (|userError| (list op " is local and exported")))
         (intern (strconc (|encodeItem| |$prefix|) ";" (|encodeItem| op))))
        (t
         (|encodeFunctionName| op |$functorForm| |$signatureOfForm|
@@ -9173,8 +9173,8 @@ Compute the lookup function (complete or incomplete)
    (list 'vector (|mkDomainConstructor| functorForm) nil nil nil nil nil))
   (list ''t
    (list '|systemError|
-    (list 'list ''|%b| (MKQ (CAR functorForm)) ''|%d| "from" ''|%b| 
-          (mkq (|namestring| sourceFile)) ''|%d| "needs to be compiled")))))
+    (list 'list (MKQ (CAR functorForm)) "from"
+          (mkq (|namestring| sourceFile)) "needs to be compiled")))))
 
 \end{chunk}
 
@@ -10569,7 +10569,7 @@ optPackageCall.
    (if (and (consp name) (setq op (qfirst name)))
     op
     name))
-  (|stackSemanticError| (list '|%b| name '|%d| '|is not a known type|) nil)))
+  (|stackSemanticError| (list name '|is not a known type|) nil)))
 
 \end{chunk}
 
@@ -10891,7 +10891,7 @@ The way XLAMs work:
  (let ((cexpr (car t0)) (fnexpr (cadr t0)))
   (if (|compMapCond''| cexpr dc)
     (|compMapCondFun| fnexpr op dc bindings)
-    (|stackMessage| `("not known that" %b ,dc %d "has" %b ,cexpr %d)))))
+    (|stackMessage| `("not known that" ,dc "has" ,cexpr)))))
 
 \end{chunk}
 
@@ -10951,7 +10951,7 @@ The way XLAMs work:
       (|get| '|$Information| 'special |$e|))
      t)
    (t 
-    (|stackMessage| `("not known that" %b ,dc %d "has" %b ,cexpr %d))
+    (|stackMessage| `("not known that" ,dc "has" ,cexpr))
     nil))))
 
 \end{chunk}
@@ -11514,8 +11514,8 @@ in the body of the add.
         (list '|$bootStrapMode| code)
          (list 't
           (list '|systemError|
-           (list 'list ''|%b| (mkq (car |$functorForm|)) ''|%d| "from"
-                 ''|%b| (mkq (|namestring| /editfile)) ''|%d|
+           (list 'list (mkq (car |$functorForm|)) "from"
+                 (mkq (|namestring| /editfile))
                  "needs to be compiled"))))
          mode env))
    (t
@@ -12996,7 +12996,7 @@ We set up the
       ((eql 1 n) (elt mmList 0))
       ((eql 0 n)
         (|stackMessage|
-          (list "Operation " '|%b| anOp '|%d| "missing from domain: " 
+          (list "Operation " anOp "missing from domain: " 
                 aDomain nil))
         nil)
       (t
@@ -13722,11 +13722,10 @@ We set up the
       (list "-- the constructor capsule"))
     (t (|formatUnabbreviated| rhs))))
   (|sayBrightly|
-   (cons "   processing macro definition"
-    (cons '|%b|
+   (cons "   processing macro definition "
      (append (|formatUnabbreviated| lhs)
       (cons " ==> "
-       (append prhs (list '|%d|)))))))
+       (append prhs (list " "))))))
   (when (or (equal mode |$EmptyMode|) (equal mode |$NoValueMode|))
     (list '|/throwAway| |$NoValueMode| 
      (|put| (CAR lhs) '|macro| (|macroExpand| rhs env) env)))))
@@ -14041,7 +14040,7 @@ We set up the
   (cond
    ((null |$exitModeStack|)
     (|stackSemanticError|
-      (list '|the return before| '|%b| x '|%d| '|is unneccessary|) nil)
+      (list '|the return before| x '|is unneccessary|) nil)
     nil)
    ((not (eql level 1))
      (|userError| "multi-level returns not supported"))
@@ -14466,7 +14465,7 @@ We set up the
     (when (|isDomainForm| val ep)
      (when (|isDomainInScope| form ep)
       (|stackWarning|
-       (list '|domain valued variable| '|%b| form '|%d| 
+       (list '|domain valued variable| form
               '|has been reassigned within its scope| )))
       (setq ep (|augModemapsFromDomain1| form val ep)))
     (if (setq k (|NRTassocIndex| form))
@@ -14898,8 +14897,8 @@ of basic objects may not be the same.
 (defun |coerce| (tt mode)
  (labels (
   (fn (x m1 m2)
-   (list '|Cannot coerce| '|%b| x '|%d| '|%l| '|      of mode| '|%b| m1 
-         '|%d| '|%l| '|      to mode| '|%b| m2 '|%d|)))
+   (list '|Cannot coerce| x '|%l| '|      of mode| m1 
+         '|%l| '|      to mode| m2)))
  (let (tp)
  (declare (special |$fromCoerceable$| |$Rep| |$InteractiveMode|))
   (if |$InteractiveMode|
@@ -23377,7 +23376,7 @@ combination of operations was requested. For this case we see:
     (|/RQ,LIB|)
     (dolist (x |$byConstructors|)
      (unless (|member| x |$constructorsSeen|)
-      (|sayBrightly| `(">>> Warning " |%b| ,x |%d| " was not found"))))))))
+      (|sayBrightly| `(">>> Warning " ,x " was not found"))))))))
 
 \end{chunk}
 
@@ -24806,7 +24805,7 @@ preferred to the underlying representation -- RDJ 9/12/83
  (cond
   ((|compForm1| form mode env))
   ((|compArgumentsAndTryAgain| form mode env))
-  (t (|stackMessageIfNone| (list '|cannot compile| '|%b| form '|%d| )))))
+  (t (|stackMessageIfNone| (list '|cannot compile| form)))))
 
 \end{chunk}
 
@@ -25042,7 +25041,7 @@ but there is no handler listed for the form (See \ref{handlers}).
      collect mm))
  (when (and modemapList (null finalModemapList))
   (|stackMessage|
-   (list '|no modemap for| '|%b| op  '|%d| '|with | nargs '| arguments|)))
+   (list '|no modemap for| op '|with | nargs '| arguments|)))
   finalModemapList))
 
 \end{chunk}
diff --git a/changelog b/changelog
index 1608bd2..08cae5b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,30 @@
+20150419 tpd src/axiom-website/patches.html 20150419.01.tpd.patch
+20150419 tpd books/bookvol10.4 remove %b and %d processing
+20150419 tpd books/bookvol5 remove %b and %d processing
+20150419 tpd books/bookvol9 remove %b and %d processing
+20150419 tpd src/input/biquat.input remove %b and %d processing
+20150419 tpd src/input/cmds.input remove %b and %d processing
+20150419 tpd src/input/complexfactor.input remove %b and %d processing
+20150419 tpd src/input/dop.input remove %b and %d processing
+20150419 tpd src/input/exit.input remove %b and %d processing
+20150419 tpd src/input/graphviz.input remove %b and %d processing
+20150419 tpd src/input/grpthry.input remove %b and %d processing
+20150419 tpd src/input/ifthenelse.input remove %b and %d processing
+20150419 tpd src/input/overload.input remove %b and %d processing
+20150419 tpd src/input/setcmd.input remove %b and %d processing
+20150419 tpd src/input/test.input remove %b and %d processing
+20150419 tpd src/input/unittest1.input remove %b and %d processing
+20150419 tpd src/input/unittest2.input remove %b and %d processing
+20150419 tpd src/interp/c-util.lisp remove %b and %d processing
+20150419 tpd src/interp/clam.lisp remove %b and %d processing
+20150419 tpd src/interp/format.lisp remove %b and %d processing
+20150419 tpd src/interp/functor.lisp remove %b and %d processing
+20150419 tpd src/interp/g-error.lisp remove %b and %d processing
+20150419 tpd src/interp/i-funsel.lisp remove %b and %d processing
+20150419 tpd src/interp/i-output.lisp remove %b and %d processing
+20150419 tpd src/interp/i-spec1.lisp remove %b and %d processing
+20150419 tpd src/interp/i-util.lisp remove %b and %d processing
+20150419 tpd src/interp/msgdb.lisp remove %b and %d processing
 20150415 tpd src/axiom-website/patches.html 20150415.01.tpd.patch
 20150415 tpd buglist add bug 7300 outputDomainConstructor failure
 20150414 tpd src/axiom-website/patches.html 20150414.01.tpd.patch
diff --git a/patch b/patch
index 25d75bf..8208a8b 100644
--- a/patch
+++ b/patch
@@ -1,12 +1,9 @@
-buglist add bug 7300 outputDomainConstructor failure
+books/bookvol5 remove %b and %d highlights
 
-=========================================================================
-bug 7300: 
+The %b and %d were used to provide bold text on AIX terminals.
+This feature is never used and causes a lot of output overhead.
+It has been removed everywhere.
 
-outputDomainConstructor(Integer)$Lisp
- 
->> System error:
-Caught fatal error [memory may be damaged]
 
 
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 94b0eb6..d6fb530 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -5016,6 +5016,8 @@ src/doc/msgs/s2-us.msgs: removed. replace code with msg text<br/>
 books/bookvol5 KeyedMsg functions no longer use s2-us.msgs<br/>
 <a href="patches/20150415.01.tpd.patch">20150415.01.tpd.patch</a>
 buglist add bug 7300 outputDomainConstructor failure<br/>
+<a href="patches/20150419.01.tpd.patch">20150419.01.tpd.patch</a>
+books/bookvol5 remove %b and %d processing<br/>
  </body>
 </html>
 
diff --git a/src/input/biquat.input.pamphlet b/src/input/biquat.input.pamphlet
index 0de9a6a..94a2819 100644
--- a/src/input/biquat.input.pamphlet
+++ b/src/input/biquat.input.pamphlet
@@ -12,6 +12,7 @@
 
 \begin{chunk}{*}
 )set break resume
+)sys rm -f biquat.output
 )spool biquat.output
 )set message test on
 )set message auto off
@@ -657,7 +658,7 @@ So let's find out more about this domain:
 --S 35 of 43
 )show RewriteRule
 --R 
---I RewriteRule(Base: SetCategory,R: Join(Ring,...
+--R RewriteRule(Base: SetCategory,R: Join(Ring,PatternMatchable(Base),OrderedSet,ConvertibleTo(Pattern(Base))),F: Join(FunctionSpace(R),PatternMatchable(Base),ConvertibleTo(Pattern(Base))))  is a domain constructor
 --R Abbreviation for RewriteRule is RULE 
 --R This constructor is exposed in this frame.
 --R Issue )edit bookvol10.3.pamphlet to see algebra source code for RULE 
@@ -667,10 +668,10 @@ So let's find out more about this domain:
 --R coerce : % -> OutputForm              elt : (%,F,PositiveInteger) -> F
 --R ?.? : (%,F) -> F                      hash : % -> SingleInteger
 --R latex : % -> String                   lhs : % -> F
---R pattern : % -> Pattern(Base)          retract : % -> Equation(F)
---R rhs : % -> F                          rule : (F,F,List(Symbol)) -> %
---R rule : (F,F) -> %                     ?~=? : (%,%) -> Boolean
---R quotedOperators : % -> List(Symbol)
+--R pattern : % -> Pattern(Base)          quotedOperators : % -> List(Symbol)
+--R retract : % -> Equation(F)            rhs : % -> F
+--R rule : (F,F,List(Symbol)) -> %        rule : (F,F) -> %
+--R ?~=? : (%,%) -> Boolean              
 --R retractIfCan : % -> Union(Equation(F),"failed")
 --R suchThat : (%,List(Symbol),(List(F) -> Boolean)) -> %
 --R
diff --git a/src/input/cmds.input.pamphlet b/src/input/cmds.input.pamphlet
index bedd789..d2c9f5a 100644
--- a/src/input/cmds.input.pamphlet
+++ b/src/input/cmds.input.pamphlet
@@ -920,8 +920,8 @@ This exercises setOutputLibrary, setInputLibrary, and setAsharpArgs
 --R
 --RVariable     Description                                Current Value
 --R-----------------------------------------------------------------------------
---Routput       library in which to place compiled code    user.lib 
---Rinput        controls libraries from which to load compiled code  
+--Routput       library in which to place compiled code   user.lib
+--Rinput        controls libraries from which to load compiled code
 --R
 --E 16
 
@@ -936,18 +936,18 @@ This exercises setInputLibrary, describeInputLibraryArgs
 --R Description: controls libraries from which to load compiled code
 --R
 --R )set compile input add library is used to tell AXIOM to add library to
---Rthe front of the path used to find compile code.
---R )set compile input drop library is used to tell AXIOM to remove library 
---Rfrom this path.
+--R the front of the path used to find compile code.
+--R )set compile input drop library is used to tell AXIOM to remove library
+--R from this path.
 --E 17
 
 --S 18 of 20
 )set compiler input add
 --R 
 --R )set compile input add library is used to tell AXIOM to add library to
---Rthe front of the path used to find compile code.
---R )set compile input drop library is used to tell AXIOM to remove library 
---Rfrom this path.
+--R the front of the path used to find compile code.
+--R )set compile input drop library is used to tell AXIOM to remove library
+--R from this path.
 --E 18
 
 --S 19 of 20
@@ -962,7 +962,7 @@ This exercises setOutputLibrary
 --R 
 --R---------------------------- The output Option ----------------------------
 --R
---R Description: library in which to place compiled code
+--R Description: library in which to place compiled code 
 --R
 --R )set compile output library is used to tell the compiler where to place
 --Rcompiled code generated by the library compiler.  By default it goes
diff --git a/src/input/complexfactor.input.pamphlet b/src/input/complexfactor.input.pamphlet
index 4893e0d..0157994 100644
--- a/src/input/complexfactor.input.pamphlet
+++ b/src/input/complexfactor.input.pamphlet
@@ -22,11 +22,11 @@ along with an example of modemap searching.
 )set message bottomup on
 
 --S 1 of 4
-t1:=-7*x^6 + 10*x^4 + 24*x^3 - 14*x^2 - 27*x - 42 + _
-     %i*(3*x^6 - 9*x^5 + 30*x^4 + 15*x^3 + 17*x*2 - 33*x -7)
+t1:=-7*x**6 + 10*x**4 + 24*x**3 - 14*x**2 - 27*x - 42 + _
+     %i*(3*x**6 - 9*x**5 + 30*x**4 + 15*x**3 + 17*x*2 - 33*x -7)
 --R 
 --R
---R Function Selection for ^
+--R Function Selection for **
 --R      Arguments: (VARIABLE(x),PI) 
 --R      Default target type: Polynomial(Integer) 
 --R   -> no appropriate ** found in Variable(x) 
@@ -76,7 +76,7 @@ t1:=-7*x^6 + 10*x^4 + 24*x^3 - 14*x^2 - 27*x - 42 + _
 --R      implemented: slot $$ from POLY(INT)
 --R 
 --R
---R Function Selection for ^
+--R Function Selection for **
 --R      Arguments: (VARIABLE(x),PI) 
 --R      Default target type: Polynomial(Integer) 
 --R 
@@ -104,7 +104,7 @@ t1:=-7*x^6 + 10*x^4 + 24*x^3 - 14*x^2 - 27*x - 42 + _
 --R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
---R Function Selection for ^
+--R Function Selection for **
 --R      Arguments: (VARIABLE(x),PI) 
 --R      Default target type: Polynomial(Integer) 
 --R 
@@ -132,7 +132,7 @@ t1:=-7*x^6 + 10*x^4 + 24*x^3 - 14*x^2 - 27*x - 42 + _
 --R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
---R Function Selection for ^
+--R Function Selection for **
 --R      Arguments: (VARIABLE(x),PI) 
 --R      Default target type: Polynomial(Integer) 
 --R 
@@ -227,7 +227,7 @@ t1:=-7*x^6 + 10*x^4 + 24*x^3 - 14*x^2 - 27*x - 42 + _
 --R      implemented: slot $(Integer)(Integer) from COMPLEX(INT)
 --R 
 --R
---R Function Selection for ^
+--R Function Selection for **
 --R      Arguments: (VARIABLE(x),PI) 
 --R      Default target type: Polynomial(Integer) 
 --R 
@@ -248,7 +248,7 @@ t1:=-7*x^6 + 10*x^4 + 24*x^3 - 14*x^2 - 27*x - 42 + _
 --R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
---R Function Selection for ^
+--R Function Selection for **
 --R      Arguments: (VARIABLE(x),PI) 
 --R      Default target type: Polynomial(Integer) 
 --R 
@@ -276,7 +276,7 @@ t1:=-7*x^6 + 10*x^4 + 24*x^3 - 14*x^2 - 27*x - 42 + _
 --R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
---R Function Selection for ^
+--R Function Selection for **
 --R      Arguments: (VARIABLE(x),PI) 
 --R      Default target type: Polynomial(Integer) 
 --R 
@@ -304,7 +304,7 @@ t1:=-7*x^6 + 10*x^4 + 24*x^3 - 14*x^2 - 27*x - 42 + _
 --R      implemented: slot $$$ from POLY(INT)
 --R 
 --R
---R Function Selection for ^
+--R Function Selection for **
 --R      Arguments: (VARIABLE(x),PI) 
 --R      Default target type: Polynomial(Integer) 
 --R 
@@ -417,21 +417,21 @@ t1:=-7*x^6 + 10*x^4 + 24*x^3 - 14*x^2 - 27*x - 42 + _
 --R
 --R Modemaps from Associated Packages 
 --R   [1] ((D4 -> D5),D3) -> D1
---R            from UnivariatePolynomialCategoryFunctions2(D4,D3,D5,D1)
---R            if D4 has RING and D5 has RING and D1 has UPOLYC(D5) and D3
---R            has UPOLYC(D4)
+--R             from UnivariatePolynomialCategoryFunctions2(D4,D3,D5,D1)
+--R             if D4 has RING and D5 has RING and D1 has UPOLYC(D5) and 
+--R            D3 has UPOLYC(D4)
 --R   [2] ((D5 -> D7),UnivariatePolynomial(D4,D5)) -> UnivariatePolynomial
 --R            (D6,D7)
---R            from UnivariatePolynomialFunctions2(D4,D5,D6,D7)
---R            if D4: SYMBOL and D5 has RING and D7 has RING and D6: 
+--R             from UnivariatePolynomialFunctions2(D4,D5,D6,D7)
+--R             if D4: SYMBOL and D5 has RING and D7 has RING and D6: 
 --R            SYMBOL
 --R   [3] ((D4 -> D5),SparseUnivariatePolynomial(D4)) -> 
 --R            SparseUnivariatePolynomial(D5)
---R            from SparseUnivariatePolynomialFunctions2(D4,D5)
---R            if D4 has RING and D5 has RING
+--R             from SparseUnivariatePolynomialFunctions2(D4,D5)
+--R             if D4 has RING and D5 has RING
 --R   [4] ((D4 -> D5),Polynomial(D4)) -> Polynomial(D5)
---R            from PolynomialFunctions2(D4,D5) if D4 has RING and D5 has 
---R            RING
+--R             from PolynomialFunctions2(D4,D5) if D4 has RING and D5
+--R             has RING
 --R 
 --R [1]  signature:   ((INT -> COMPLEX(INT)),POLY(INT)) -> POLY(COMPLEX(INT))
 --R      implemented: slot (Polynomial (Complex (Integer)))(Mapping (Complex (Integer)) (Integer))(Polynomial (Integer)) from POLY2(INT,COMPLEX(INT))
@@ -478,51 +478,51 @@ t2:=factor t1
 --R Remaining General Modemaps 
 --R   [1] D -> Factored(D) from D if D has UFD
 --R   [2] D2 -> Factored(D2) from SAERationalFunctionAlgFactor(D3,D4,D2)
---R            if D3 has UPOLYC(FRAC(POLY(INT))) and D4 has Join(Field,
+--R             if D3 has UPOLYC(FRAC(POLY(INT))) and D4 has Join(Field,
 --R            CharacteristicZero,MonogenicAlgebra(Fraction(Polynomial(
 --R            Integer)),D3)) and D2 has UPOLYC(D4)
 --R   [3] D2 -> Factored(D2) from SimpleAlgebraicExtensionAlgFactor(D3,D4,
 --R            D2)
---R            if D3 has UPOLYC(FRAC(INT)) and D4 has Join(Field,
+--R             if D3 has UPOLYC(FRAC(INT)) and D4 has Join(Field,
 --R            CharacteristicZero,MonogenicAlgebra(Fraction(Integer),D3)) 
 --R            and D2 has UPOLYC(D4)
 --R   [4] D2 -> Factored(D2) from RationalFunctionFactor(D2)
---R            if D2 has UPOLYC(FRAC(POLY(INT)))
+--R             if D2 has UPOLYC(FRAC(POLY(INT)))
 --R   [5] SparseUnivariatePolynomial(D6) -> Factored(
 --R            SparseUnivariatePolynomial(D6))
---R            from MultivariateFactorize(D3,D4,D5,D6)
---R            if D3 has ORDSET and D4 has OAMONS and D5 has Join(
+--R             from MultivariateFactorize(D3,D4,D5,D6)
+--R             if D3 has ORDSET and D4 has OAMONS and D5 has Join(
 --R            EuclideanDomain,CharacteristicZero) and D6 has POLYCAT(D5,
 --R            D4,D3)
 --R   [6] D2 -> Factored(D2) from MultivariateFactorize(D3,D4,D5,D2)
---R            if D3 has ORDSET and D4 has OAMONS and D5 has Join(
+--R             if D3 has ORDSET and D4 has OAMONS and D5 has Join(
 --R            EuclideanDomain,CharacteristicZero) and D2 has POLYCAT(D5,
 --R            D4,D3)
 --R   [7] D2 -> Factored(D2) from MPolyCatRationalFunctionFactorizer(D3,D4
 --R            ,D5,D2)
---R            if D3 has OAMONS and D4 has OrderedSet with 
+--R             if D3 has OAMONS and D4 has OrderedSetwith
 --R               convert : % -> Symboland D5 has INTDOM and D2 has 
 --R            POLYCAT(FRAC(POLY(D5)),D3,D4)
 --R   [8] SparseUnivariatePolynomial(D6) -> Factored(
 --R            SparseUnivariatePolynomial(D6))
---R            from MultFiniteFactorize(D3,D4,D5,D6)
---R            if D3 has ORDSET and D4 has OAMONS and D5 has FFIELDC and 
+--R             from MultFiniteFactorize(D3,D4,D5,D6)
+--R             if D3 has ORDSET and D4 has OAMONS and D5 has FFIELDC and 
 --R            D6 has POLYCAT(D5,D4,D3)
 --R   [9] D2 -> Factored(D2) from MultFiniteFactorize(D3,D4,D5,D2)
---R            if D3 has ORDSET and D4 has OAMONS and D5 has FFIELDC and 
+--R             if D3 has ORDSET and D4 has OAMONS and D5 has FFIELDC and 
 --R            D2 has POLYCAT(D5,D4,D3)
 --R   [10] Complex(Integer) -> Factored(Complex(Integer))
---R            from GaussianFactorizationPackage
+--R             from GaussianFactorizationPackage
 --R   [11] D2 -> Factored(D2)
---R            from FiniteFieldFactorizationWithSizeParseBySideEffect(D3,
+--R             from FiniteFieldFactorizationWithSizeParseBySideEffect(D3,
 --R            D2)
---R            if D3 has FFIELDC and D2 has UPOLYC(D3)
+--R             if D3 has FFIELDC and D2 has UPOLYC(D3)
 --R   [12] D2 -> Factored(D2) from FiniteFieldFactorization(D3,D2)
---R            if D3 has FFIELDC and D2 has UPOLYC(D3)
+--R             if D3 has FFIELDC and D2 has UPOLYC(D3)
 --R   [13] D2 -> Factored(D2) from DistinctDegreeFactorize(D3,D2)
---R            if D3 has FFIELDC and D2 has UPOLYC(D3)
+--R             if D3 has FFIELDC and D2 has UPOLYC(D3)
 --R   [14] D2 -> Factored(D2) from ComplexFactorization(D3,D2)
---R            if D3 has EUCDOM and D2 has UPOLYC(COMPLEX(D3))
+--R             if D3 has EUCDOM and D2 has UPOLYC(COMPLEX(D3))
 --R   [15] D2 -> Factored(D2) from AlgFactor(D2) if D2 has UPOLYC(AN)
 --R   -> no appropriate map found in Complex(Integer) 
 --R   -> no appropriate map found in Integer 
@@ -534,7 +534,7 @@ t2:=factor t1
 --R Modemaps from Associated Packages 
 --R   [1] ((D4 -> D5),Complex(D4)) -> Complex(D5) from ComplexFunctions2(
 --R            D4,D5)
---R            if D4 has COMRING and D5 has COMRING
+--R             if D4 has COMRING and D5 has COMRING
 --Rcost=54500 for factor: Expression(Complex(Integer)) -> Factored(Expression(Complex(Integer)))
 --Rcost=14500 for factor: Polynomial(Complex(Integer)) -> Factored(Polynomial(Complex(Integer)))
 --Rcost=55500 for factor: SparseUnivariatePolynomial(Polynomial(Complex(Integer))) -> Factored(SparseUnivariatePolynomial(Polynomial(Complex(Integer))))
diff --git a/src/input/dop.input.pamphlet b/src/input/dop.input.pamphlet
index 1e150d1..b65cd41 100644
--- a/src/input/dop.input.pamphlet
+++ b/src/input/dop.input.pamphlet
@@ -10,12 +10,9 @@
 \eject
 \tableofcontents
 \eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1991.
-\end{chunk}
 \begin{chunk}{*}
 )set break resume
+)sys rm -f dop.output
 )spool dop.output
 )set message test on
 )set message auto off
@@ -26,8 +23,9 @@
 --R 
 --R
 --RThere are 2 exposed functions called binaryTree :
---R   [1] (BinaryTree(D1),D1,BinaryTree(D1)) -> BinaryTree(D1)
---R            from BinaryTree(D1) if D1 has SETCAT
+--R   [1] (BinaryTree(D1),D1,BinaryTree(D1)) -> BinaryTree(D1) from 
+--R            BinaryTree(D1)
+--R             if D1 has SETCAT
 --R   [2] D1 -> BinaryTree(D1) from BinaryTree(D1) if D1 has SETCAT
 --R
 --RExamples of binaryTree from BinaryTree
@@ -46,13 +44,13 @@
 --R
 --RThere is one exposed function called rationalPoint? :
 --R   [1] (D2,D2) -> Boolean from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R             if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
 --R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RThere is one unexposed function called rationalPoint? :
 --R   [1] (D2,D2) -> Boolean from FunctionFieldCategory&(D3,D2,D4,D5)
---R            if D2 has UFD and D4 has UPOLYC(D2) and D5 has UPOLYC(FRAC(
---R            D4)) and D3 has FFCAT(D2,D4,D5)
+--R             if D2 has UFD and D4 has UPOLYC(D2) and D5 has UPOLYC(FRAC
+--R            (D4)) and D3 has FFCAT(D2,D4,D5)
 --R
 --RExamples of rationalPoint? from FunctionFieldCategory&
 --R
@@ -81,7 +79,7 @@
 --R
 --RThere are 2 exposed functions called nthFactor :
 --R   [1] (D,Integer) -> D1 from D
---R            if D has FAMONC(D1,D3) and D3 has CABMON and D1 has SETCAT
+--R             if D has FAMONC(D1,D3) and D3 has CABMON and D1 has SETCAT
 --R            
 --R   [2] (Factored(D1),Integer) -> D1 from Factored(D1) if D1 has INTDOM
 --R            
@@ -93,9 +91,9 @@
 --R            SETCAT
 --R   [3] (ListMonoidOps(D1,D3,D4),Integer) -> D1 from ListMonoidOps(D1,D3
 --R            ,D4)
---R            if D1 has SETCAT and D3 has ABELMON and D4: D3
+--R             if D1 has SETCAT and D3 has ABELMON and D4: D3
 --R   [4] (OrderedFreeMonoid(D1),Integer) -> D1 from OrderedFreeMonoid(D1)
---R            if D1 has ORDSET
+--R             if D1 has ORDSET
 --R
 --RExamples of nthFactor from FreeAbelianMonoidCategory
 --R
@@ -128,11 +126,11 @@
 --R
 --RThere are 2 exposed functions called qsetelt! :
 --R   [1] (D,Integer,Integer,D1) -> D1 from D
---R            if D has ARR2CAT(D1,D3,D4) and D1 has TYPE and D3 has FLAGG
---R            (D1) and D4 has FLAGG(D1)
+--R             if D has ARR2CAT(D1,D3,D4) and D1 has TYPE and D3 has 
+--R            FLAGG(D1) and D4 has FLAGG(D1)
 --R   [2] (D,D2,D1) -> D1 from D
---R            if D has shallowlyMutable and D has ELTAGG(D2,D1) and D2 
---R            has SETCAT and D1 has TYPE
+--R             if D has shallowlyMutable and D has ELTAGG(D2,D1) and D2
+--R             has SETCAT and D1 has TYPE
 --R
 --RExamples of qsetelt! from TwoDimensionalArrayCategory
 --R
@@ -150,7 +148,7 @@
 --R
 --RThere is one unexposed function called cycleElt :
 --R   [1] D1 -> Union(D1,"failed") from CyclicStreamTools(D2,D1)
---R            if D2 has TYPE and D1 has LZSTAGG(D2)
+--R             if D2 has TYPE and D1 has LZSTAGG(D2)
 --R
 --RExamples of cycleElt from CyclicStreamTools
 --R
@@ -182,9 +180,9 @@
 --R
 --RThere are 2 exposed functions called oneDimensionalArray :
 --R   [1] (NonNegativeInteger,D2) -> OneDimensionalArray(D2)
---R            from OneDimensionalArray(D2) if D2 has TYPE
+--R             from OneDimensionalArray(D2) if D2 has TYPE
 --R   [2] List(D2) -> OneDimensionalArray(D2) from OneDimensionalArray(D2)
---R            if D2 has TYPE
+--R             if D2 has TYPE
 --R
 --RExamples of oneDimensionalArray from OneDimensionalArray
 --R
@@ -243,7 +241,7 @@
 --R
 --RThere is one exposed function called integralMatrix :
 --R   [1]  -> Matrix(Fraction(D3)) from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R             if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
 --R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RExamples of integralMatrix from FunctionFieldCategory
@@ -260,8 +258,9 @@
 --R 
 --R
 --RThere are 2 exposed functions called ptree :
---R   [1] (PendantTree(D1),PendantTree(D1)) -> PendantTree(D1)
---R            from PendantTree(D1) if D1 has SETCAT
+--R   [1] (PendantTree(D1),PendantTree(D1)) -> PendantTree(D1) from 
+--R            PendantTree(D1)
+--R             if D1 has SETCAT
 --R   [2] D1 -> PendantTree(D1) from PendantTree(D1) if D1 has SETCAT
 --R
 --RExamples of ptree from PendantTree
@@ -278,13 +277,13 @@
 --R 
 --R
 --RThere are 13 exposed functions called insert! :
---R   [1] (D1,ArrayStack(D1)) -> ArrayStack(D1) from ArrayStack(D1)
---R            if D1 has SETCAT
+--R   [1] (D1,ArrayStack(D1)) -> ArrayStack(D1) from ArrayStack(D1) if D1
+--R             has SETCAT
 --R   [2] (D1,D) -> D from D if D has BGAGG(D1) and D1 has TYPE
 --R   [3] (D1,BinarySearchTree(D1)) -> BinarySearchTree(D1)
---R            from BinarySearchTree(D1) if D1 has ORDSET
+--R             from BinarySearchTree(D1) if D1 has ORDSET
 --R   [4] (D1,BinaryTournament(D1)) -> BinaryTournament(D1)
---R            from BinaryTournament(D1) if D1 has ORDSET
+--R             from BinaryTournament(D1) if D1 has ORDSET
 --R   [5] (D1,Dequeue(D1)) -> Dequeue(D1) from Dequeue(D1) if D1 has 
 --R            SETCAT
 --R   [6] (D,D,Integer) -> D from D if D has ELAGG(D2) and D2 has TYPE
@@ -306,22 +305,22 @@
 --R            The top of range is infinite,bothInfinite: 
 --R            Both top and bottom points are infinite,notEvaluated: 
 --R            Range not yet evaluated))) -> IntegrationFunctionsTable
---R            from IntegrationFunctionsTable
---R   [10] (D1,D,NonNegativeInteger) -> D from D
---R            if D has MDAGG(D1) and D1 has SETCAT
+--R             from IntegrationFunctionsTable
+--R   [10] (D1,D,NonNegativeInteger) -> D from D if D has MDAGG(D1) and D1
+--R             has SETCAT
 --R   [11] Record(key: Record(xinit: DoubleFloat,xend: DoubleFloat,fn: 
 --R            Vector(Expression(DoubleFloat)),yinit: List(DoubleFloat),intvals
 --R            : List(DoubleFloat),g: Expression(DoubleFloat),abserr: 
 --R            DoubleFloat,relerr: DoubleFloat),entry: Record(stiffness: Float,
 --R            stability: Float,expense: Float,accuracy: Float,
 --R            intermediateResults: Float)) -> ODEIntensityFunctionsTable
---R            from ODEIntensityFunctionsTable
+--R             from ODEIntensityFunctionsTable
 --R   [12] (D1,Queue(D1)) -> Queue(D1) from Queue(D1) if D1 has SETCAT
 --R   [13] (D1,Stack(D1)) -> Stack(D1) from Stack(D1) if D1 has SETCAT
 --R
 --RThere is one unexposed function called insert! :
 --R   [1] (D2,D3) -> Void from TabulatedComputationPackage(D2,D3)
---R            if D2 has SETCAT and D3 has SETCAT
+--R             if D2 has SETCAT and D3 has SETCAT
 --R
 --RExamples of insert! from ArrayStack
 --R
@@ -396,38 +395,40 @@
 --R
 --RThere are 5 exposed functions called genus :
 --R   [1] D6 -> NonNegativeInteger
---R            from DesingTreePackage(D7,D8,D6,D9,D10,D11,D12,D1,D2,D3,D4)
---R            if D7 has FIELD and D8: LIST(SYMBOL) and D6 has POLYCAT(D7,
---R            D9,OVAR(D8)) and D9 has DIRPCAT(#(D8),NNI) and D10 has 
+--R             from DesingTreePackage(D7,D8,D6,D9,D10,D11,D12,D1,D2,D3,D4
+--R            )
+--R             if D7 has FIELD and D8: LIST(SYMBOL) and D6 has POLYCAT(D7
+--R            ,D9,OVAR(D8)) and D9 has DIRPCAT(#(D8),NNI) and D10 has 
 --R            PRSPCAT(D7) and D11 has LOCPOWC(D7) and D12 has PLACESC(D7,
 --R            D11) and D1 has DIVCAT(D12) and D2 has INFCLCT(D7,D8,D6,D9,
 --R            D10,D11,D12,D1,D4) and D4 has BLMETCT and D3 has DSTRCAT(D2
 --R            )
 --R   [2]  -> NonNegativeInteger from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R             if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
 --R            D2) and D4 has UPOLYC(FRAC(D3))
 --R   [3]  -> NonNegativeInteger
---R            from GeneralPackageForAlgebraicFunctionField(D6,D7,D8,D9,
+--R             from GeneralPackageForAlgebraicFunctionField(D6,D7,D8,D9,
 --R            D10,D11,D12,D1,D2,D3,D4)
---R            if D6 has FIELD and D7: LIST(SYMBOL) and D8 has POLYCAT(D6,
---R            D9,OVAR(D7)) and D9 has DIRPCAT(#(D7),NNI) and D10 has 
+--R             if D6 has FIELD and D7: LIST(SYMBOL) and D8 has POLYCAT(D6
+--R            ,D9,OVAR(D7)) and D9 has DIRPCAT(#(D7),NNI) and D10 has 
 --R            PRSPCAT(D6) and D11 has LOCPOWC(D6) and D12 has PLACESC(D6,
 --R            D11) and D1 has DIVCAT(D12) and D2 has INFCLCT(D6,D7,D8,D9,
 --R            D10,D11,D12,D1,D4) and D4 has BLMETCT and D3 has DSTRCAT(D2
 --R            )
 --R   [4]  -> NonNegativeInteger
---R            from PackageForAlgebraicFunctionFieldOverFiniteField(D2,D3,
---R            D4)
---R            if D2 has FFIELDC and D3: LIST(SYMBOL) and D4 has BLMETCT
---R         
+--R             from PackageForAlgebraicFunctionFieldOverFiniteField(D2,D3
+--R            ,D4)
+--R             if D2 has FFIELDC and D3: LIST(SYMBOL) and D4 has BLMETCT
+--R            
 --R   [5]  -> NonNegativeInteger from PackageForAlgebraicFunctionField(D2,
 --R            D3,D4)
---R            if D2 has FIELD and D3: LIST(SYMBOL) and D4 has BLMETCT
+--R             if D2 has FIELD and D3: LIST(SYMBOL) and D4 has BLMETCT
+--R         
 --R
 --RThere is one unexposed function called genus :
 --R   [1]  -> NonNegativeInteger from FunctionFieldCategory&(D2,D3,D4,D5)
---R            if D3 has UFD and D4 has UPOLYC(D3) and D5 has UPOLYC(FRAC(
---R            D4)) and D2 has FFCAT(D3,D4,D5)
+--R             if D3 has UFD and D4 has UPOLYC(D3) and D5 has UPOLYC(FRAC
+--R            (D4)) and D2 has FFCAT(D3,D4,D5)
 --R
 --RExamples of genus from DesingTreePackage
 --R
@@ -478,7 +479,7 @@
 --R
 --RThere is one unexposed function called computeCycleLength :
 --R   [1] D2 -> NonNegativeInteger from CyclicStreamTools(D3,D2)
---R            if D3 has TYPE and D2 has LZSTAGG(D3)
+--R             if D3 has TYPE and D2 has LZSTAGG(D3)
 --R
 --RExamples of computeCycleLength from CyclicStreamTools
 --R
@@ -495,7 +496,7 @@
 --RThere is one exposed function called findCycle :
 --R   [1] (NonNegativeInteger,Stream(D3)) -> Record(cycle?: Boolean,prefix
 --R            : NonNegativeInteger,period: NonNegativeInteger)
---R            from Stream(D3) if D3 has TYPE
+--R             from Stream(D3) if D3 has TYPE
 --R
 --RExamples of findCycle from Stream
 --R
@@ -513,108 +514,108 @@
 --RThere are 31 exposed functions called draw :
 --R   [1] ((DoubleFloat -> DoubleFloat),Segment(Float),List(DrawOption))
 --R             -> TwoDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [2] ((DoubleFloat -> DoubleFloat),Segment(Float)) -> 
 --R            TwoDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [3] (ParametricPlaneCurve((DoubleFloat -> DoubleFloat)),Segment(
 --R            Float),List(DrawOption)) -> TwoDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [4] (ParametricPlaneCurve((DoubleFloat -> DoubleFloat)),Segment(
 --R            Float)) -> TwoDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [5] (ParametricSpaceCurve((DoubleFloat -> DoubleFloat)),Segment(
 --R            Float),List(DrawOption)) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [6] (ParametricSpaceCurve((DoubleFloat -> DoubleFloat)),Segment(
 --R            Float)) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [7] ((DoubleFloat -> Point(DoubleFloat)),Segment(Float),List(
 --R            DrawOption)) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [8] ((DoubleFloat -> Point(DoubleFloat)),Segment(Float)) -> 
 --R            ThreeDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [9] (((DoubleFloat,DoubleFloat) -> DoubleFloat),Segment(Float),
 --R            Segment(Float),List(DrawOption)) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [10] (((DoubleFloat,DoubleFloat) -> DoubleFloat),Segment(Float),
 --R            Segment(Float)) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [11] (((DoubleFloat,DoubleFloat) -> Point(DoubleFloat)),Segment(
 --R            Float),Segment(Float),List(DrawOption)) -> 
 --R            ThreeDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [12] (((DoubleFloat,DoubleFloat) -> Point(DoubleFloat)),Segment(
 --R            Float),Segment(Float)) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [13] (ParametricSurface(((DoubleFloat,DoubleFloat) -> DoubleFloat)),
 --R            Segment(Float),Segment(Float),List(DrawOption)) -> 
 --R            ThreeDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [14] (ParametricSurface(((DoubleFloat,DoubleFloat) -> DoubleFloat)),
 --R            Segment(Float),Segment(Float)) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctionsForCompiledFunctions
+--R             from TopLevelDrawFunctionsForCompiledFunctions
 --R   [15] (Equation(D6),Symbol,Symbol,List(DrawOption)) -> 
 --R            TwoDimensionalViewport
---R            from TopLevelDrawFunctionsForAlgebraicCurves(D5,D6)
---R            if D6 has FS(D5) and D5 has Join(IntegralDomain,OrderedSet,
---R            RetractableTo(Integer))
+--R             from TopLevelDrawFunctionsForAlgebraicCurves(D5,D6)
+--R             if D6 has FS(D5) and D5 has Join(IntegralDomain,OrderedSet
+--R            ,RetractableTo(Integer))
 --R   [16] (D2,SegmentBinding(Float),List(DrawOption)) -> 
 --R            TwoDimensionalViewport
---R            from TopLevelDrawFunctions(D2)
---R            if D2 has Join(ConvertibleTo(InputForm),SetCategory)
+--R             from TopLevelDrawFunctions(D2)
+--R             if D2 has Join(ConvertibleTo(InputForm),SetCategory)
 --R   [17] (D2,SegmentBinding(Float)) -> TwoDimensionalViewport
---R            from TopLevelDrawFunctions(D2)
---R            if D2 has Join(ConvertibleTo(InputForm),SetCategory)
+--R             from TopLevelDrawFunctions(D2)
+--R             if D2 has Join(ConvertibleTo(InputForm),SetCategory)
 --R   [18] (ParametricPlaneCurve(D5),SegmentBinding(Float),List(DrawOption
 --R            )) -> TwoDimensionalViewport
---R            from TopLevelDrawFunctions(D5)
---R            if D5 has Join(ConvertibleTo(InputForm),SetCategory)
+--R             from TopLevelDrawFunctions(D5)
+--R             if D5 has Join(ConvertibleTo(InputForm),SetCategory)
 --R   [19] (ParametricPlaneCurve(D4),SegmentBinding(Float)) -> 
 --R            TwoDimensionalViewport
---R            from TopLevelDrawFunctions(D4)
---R            if D4 has Join(ConvertibleTo(InputForm),SetCategory)
+--R             from TopLevelDrawFunctions(D4)
+--R             if D4 has Join(ConvertibleTo(InputForm),SetCategory)
 --R   [20] (ParametricSpaceCurve(D5),SegmentBinding(Float),List(DrawOption
 --R            )) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctions(D5)
---R            if D5 has Join(ConvertibleTo(InputForm),SetCategory)
+--R             from TopLevelDrawFunctions(D5)
+--R             if D5 has Join(ConvertibleTo(InputForm),SetCategory)
 --R   [21] (ParametricSpaceCurve(D4),SegmentBinding(Float)) -> 
 --R            ThreeDimensionalViewport
---R            from TopLevelDrawFunctions(D4)
---R            if D4 has Join(ConvertibleTo(InputForm),SetCategory)
+--R             from TopLevelDrawFunctions(D4)
+--R             if D4 has Join(ConvertibleTo(InputForm),SetCategory)
 --R   [22] (D2,SegmentBinding(Float),SegmentBinding(Float),List(DrawOption
 --R            )) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctions(D2)
---R            if D2 has Join(ConvertibleTo(InputForm),SetCategory)
+--R             from TopLevelDrawFunctions(D2)
+--R             if D2 has Join(ConvertibleTo(InputForm),SetCategory)
 --R   [23] (D2,SegmentBinding(Float),SegmentBinding(Float)) -> 
 --R            ThreeDimensionalViewport
---R            from TopLevelDrawFunctions(D2)
---R            if D2 has Join(ConvertibleTo(InputForm),SetCategory)
+--R             from TopLevelDrawFunctions(D2)
+--R             if D2 has Join(ConvertibleTo(InputForm),SetCategory)
 --R   [24] (ParametricSurface(D5),SegmentBinding(Float),SegmentBinding(
 --R            Float),List(DrawOption)) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctions(D5)
---R            if D5 has Join(ConvertibleTo(InputForm),SetCategory)
+--R             from TopLevelDrawFunctions(D5)
+--R             if D5 has Join(ConvertibleTo(InputForm),SetCategory)
 --R   [25] (ParametricSurface(D4),SegmentBinding(Float),SegmentBinding(
 --R            Float)) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctions(D4)
---R            if D4 has Join(ConvertibleTo(InputForm),SetCategory)
+--R             from TopLevelDrawFunctions(D4)
+--R             if D4 has Join(ConvertibleTo(InputForm),SetCategory)
 --R   [26] (List(DoubleFloat),List(DoubleFloat)) -> TwoDimensionalViewport
---R            from TopLevelDrawFunctionsForPoints
+--R             from TopLevelDrawFunctionsForPoints
 --R   [27] (List(DoubleFloat),List(DoubleFloat),List(DrawOption)) -> 
 --R            TwoDimensionalViewport
---R            from TopLevelDrawFunctionsForPoints
+--R             from TopLevelDrawFunctionsForPoints
 --R   [28] List(Point(DoubleFloat)) -> TwoDimensionalViewport
---R            from TopLevelDrawFunctionsForPoints
+--R             from TopLevelDrawFunctionsForPoints
 --R   [29] (List(Point(DoubleFloat)),List(DrawOption)) -> 
 --R            TwoDimensionalViewport
---R            from TopLevelDrawFunctionsForPoints
+--R             from TopLevelDrawFunctionsForPoints
 --R   [30] (List(DoubleFloat),List(DoubleFloat),List(DoubleFloat)) -> 
 --R            ThreeDimensionalViewport
---R            from TopLevelDrawFunctionsForPoints
+--R             from TopLevelDrawFunctionsForPoints
 --R   [31] (List(DoubleFloat),List(DoubleFloat),List(DoubleFloat),List(
 --R            DrawOption)) -> ThreeDimensionalViewport
---R            from TopLevelDrawFunctionsForPoints
+--R             from TopLevelDrawFunctionsForPoints
 --R
 --RExamples of draw from TopLevelDrawFunctionsForCompiledFunctions
 --R
@@ -667,341 +668,346 @@
 --R
 --RThere are 86 exposed functions called map :
 --R   [1] ((D2 -> D2),D) -> D from D
---R            if D has AMR(D2,D3) and D2 has RING and D3 has OAMON
+--R             if D has AMR(D2,D3) and D2 has RING and D3 has OAMON
 --R   [2] (((D2,D2) -> D2),D,D,D2) -> D from D
---R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            (D2) and D4 has FLAGG(D2)
+--R             if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has 
+--R            FLAGG(D2) and D4 has FLAGG(D2)
 --R   [3] (((D2,D2) -> D2),D,D) -> D from D
---R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            (D2) and D4 has FLAGG(D2)
+--R             if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has 
+--R            FLAGG(D2) and D4 has FLAGG(D2)
 --R   [4] ((D2 -> D2),D) -> D from D
---R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            (D2) and D4 has FLAGG(D2)
+--R             if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has 
+--R            FLAGG(D2) and D4 has FLAGG(D2)
 --R   [5] ((D4 -> D5),OneDimensionalArray(D4)) -> OneDimensionalArray(D5)
---R            from OneDimensionalArrayFunctions2(D4,D5)
---R            if D4 has TYPE and D5 has TYPE
+--R             from OneDimensionalArrayFunctions2(D4,D5) if D4 has TYPE 
+--R            and D5 has TYPE
 --R   [6] ((D2 -> D2),ArrayStack(D2)) -> ArrayStack(D2) from ArrayStack(D2
 --R            )
---R            if D2 has SETCAT
+--R             if D2 has SETCAT
 --R   [7] ((D6 -> D7),CartesianTensor(D4,D5,D6)) -> CartesianTensor(D4,D5,
 --R            D7)
---R            from CartesianTensorFunctions2(D4,D5,D6,D7)
---R            if D4: INT and D5: NNI and D6 has COMRING and D7 has 
+--R             from CartesianTensorFunctions2(D4,D5,D6,D7)
+--R             if D4: INT and D5: NNI and D6 has COMRING and D7 has 
 --R            COMRING
 --R   [8] ((D4 -> D5),Complex(D4)) -> Complex(D5) from ComplexFunctions2(
 --R            D4,D5)
---R            if D4 has COMRING and D5 has COMRING
---R   [9] ((D2 -> D2),Dequeue(D2)) -> Dequeue(D2) from Dequeue(D2)
---R            if D2 has SETCAT
+--R             if D4 has COMRING and D5 has COMRING
+--R   [9] ((D2 -> D2),Dequeue(D2)) -> Dequeue(D2) from Dequeue(D2) if D2
+--R             has SETCAT
 --R   [10] ((D5 -> D6),DirectProduct(D4,D5)) -> DirectProduct(D4,D6)
---R            from DirectProductFunctions2(D4,D5,D6)
---R            if D4: NNI and D5 has TYPE and D6 has TYPE
---R   [11] ((D4 -> D5),Equation(D4)) -> Equation(D5)
---R            from EquationFunctions2(D4,D5) if D4 has TYPE and D5 has 
---R            TYPE
---R   [12] ((D2 -> D2),Equation(D2)) -> Equation(D2) from Equation(D2)
---R            if D2 has TYPE
+--R             from DirectProductFunctions2(D4,D5,D6)
+--R             if D4: NNI and D5 has TYPE and D6 has TYPE
+--R   [11] ((D4 -> D5),Equation(D4)) -> Equation(D5) from 
+--R            EquationFunctions2(D4,D5)
+--R             if D4 has TYPE and D5 has TYPE
+--R   [12] ((D2 -> D2),Equation(D2)) -> Equation(D2) from Equation(D2) if 
+--R            D2 has TYPE
 --R   [13] ((D4 -> D1),Kernel(D4)) -> D1 from ExpressionSpaceFunctions2(D4
 --R            ,D1)
---R            if D4 has ES and D1 has ES
+--R             if D4 has ES and D1 has ES
 --R   [14] ((D -> D),Kernel(D)) -> D from D if D has ES
 --R   [15] ((D4 -> D5),Matrix(D4)) -> Matrix(D5)
---R            from ExpertSystemToolsPackage2(D4,D5)
---R            if D4 has RING and D5 has RING
+--R             from ExpertSystemToolsPackage2(D4,D5) if D4 has RING and 
+--R            D5 has RING
 --R   [16] ((D4 -> D5),Expression(D4)) -> Expression(D5)
---R            from ExpressionFunctions2(D4,D5)
---R            if D4 has ORDSET and D5 has ORDSET
+--R             from ExpressionFunctions2(D4,D5) if D4 has ORDSET and D5
+--R             has ORDSET
 --R   [17] ((D5 -> D6),D3) -> D1
---R            from FiniteAbelianMonoidRingFunctions2(D4,D5,D3,D6,D1)
---R            if D5 has RING and D6 has RING and D4 has OAMON and D1 has 
---R            FAMR(D6,D4) and D3 has FAMR(D5,D4)
+--R             from FiniteAbelianMonoidRingFunctions2(D4,D5,D3,D6,D1)
+--R             if D5 has RING and D6 has RING and D4 has OAMON and D1
+--R             has FAMR(D6,D4) and D3 has FAMR(D5,D4)
 --R   [18] ((D7 -> D11),FiniteDivisor(D7,D8,D9,D10)) -> FiniteDivisor(D11,
 --R            D1,D2,D3)
---R            from FiniteDivisorFunctions2(D7,D8,D9,D10,D11,D1,D2,D3)
---R            if D7 has FIELD and D8 has UPOLYC(D7) and D9 has UPOLYC(
+--R             from FiniteDivisorFunctions2(D7,D8,D9,D10,D11,D1,D2,D3)
+--R             if D7 has FIELD and D8 has UPOLYC(D7) and D9 has UPOLYC(
 --R            FRAC(D8)) and D10 has FFCAT(D7,D8,D9) and D11 has FIELD and
 --R            D1 has UPOLYC(D11) and D2 has UPOLYC(FRAC(D1)) and D3 has 
 --R            FFCAT(D11,D1,D2)
 --R   [19] ((D2 -> D2),D) -> D from D if D has FEVALAB(D2) and D2 has 
 --R            SETCAT
 --R   [20] ((D5 -> D8),D4) -> D2
---R            from FunctionFieldCategoryFunctions2(D5,D6,D7,D4,D8,D9,D1,
+--R             from FunctionFieldCategoryFunctions2(D5,D6,D7,D4,D8,D9,D1,
 --R            D2)
---R            if D5 has UFD and D8 has UFD and D6 has UPOLYC(D5) and D7 
---R            has UPOLYC(FRAC(D6)) and D9 has UPOLYC(D8) and D2 has FFCAT
---R            (D8,D9,D1) and D4 has FFCAT(D5,D6,D7) and D1 has UPOLYC(
---R            FRAC(D9))
+--R             if D5 has UFD and D8 has UFD and D6 has UPOLYC(D5) and D7
+--R             has UPOLYC(FRAC(D6)) and D9 has UPOLYC(D8) and D2 has 
+--R            FFCAT(D8,D9,D1) and D4 has FFCAT(D5,D6,D7) and D1 has 
+--R            UPOLYC(FRAC(D9))
 --R   [21] ((D4 -> D5),D3) -> D1 from FiniteLinearAggregateFunctions2(D4,
 --R            D3,D5,D1)
---R            if D4 has TYPE and D5 has TYPE and D1 has FLAGG(D5) and D3 
---R            has FLAGG(D4)
+--R             if D4 has TYPE and D5 has TYPE and D1 has FLAGG(D5) and D3
+--R             has FLAGG(D4)
 --R   [22] ((D2 -> D2),D) -> D from D
---R            if D has FMCAT(D2,D3) and D2 has RING and D3 has SETCAT
---R   [23] ((D4 -> D5),Factored(D4)) -> Factored(D5)
---R            from FactoredFunctions2(D4,D5)
---R            if D4 has INTDOM and D5 has INTDOM
---R   [24] ((D4 -> D5),Fraction(D4)) -> Fraction(D5)
---R            from FractionFunctions2(D4,D5)
---R            if D4 has INTDOM and D5 has INTDOM
+--R             if D has FMCAT(D2,D3) and D2 has RING and D3 has SETCAT
+--R         
+--R   [23] ((D4 -> D5),Factored(D4)) -> Factored(D5) from 
+--R            FactoredFunctions2(D4,D5)
+--R             if D4 has INTDOM and D5 has INTDOM
+--R   [24] ((D4 -> D5),Fraction(D4)) -> Fraction(D5) from 
+--R            FractionFunctions2(D4,D5)
+--R             if D4 has INTDOM and D5 has INTDOM
 --R   [25] ((D7 -> D11),FractionalIdeal(D7,D8,D9,D10)) -> FractionalIdeal(
 --R            D11,D1,D2,D3)
---R            from FractionalIdealFunctions2(D7,D8,D9,D10,D11,D1,D2,D3)
---R            if D7 has EUCDOM and D8 has QFCAT(D7) and D9 has UPOLYC(D8)
---R            and D10 has Join(FramedAlgebra(D8,D9),RetractableTo(D8)) 
+--R             from FractionalIdealFunctions2(D7,D8,D9,D10,D11,D1,D2,D3)
+--R             if D7 has EUCDOM and D8 has QFCAT(D7) and D9 has UPOLYC(D8
+--R            ) and D10 has Join(FramedAlgebra(D8,D9),RetractableTo(D8)) 
 --R            and D11 has EUCDOM and D1 has QFCAT(D11) and D2 has UPOLYC(
 --R            D1) and D3 has Join(FramedAlgebra(D1,D2),RetractableTo(D1))
 --R            
 --R   [26] ((D4 -> D5),D3) -> D1
---R            from FramedNonAssociativeAlgebraFunctions2(D3,D4,D1,D5)
---R            if D4 has COMRING and D5 has COMRING and D1 has FRNAALG(D5)
---R            and D3 has FRNAALG(D4)
---R   [27] ((D2 -> D2),Factored(D2)) -> Factored(D2) from Factored(D2)
---R            if D2 has INTDOM
+--R             from FramedNonAssociativeAlgebraFunctions2(D3,D4,D1,D5)
+--R             if D4 has COMRING and D5 has COMRING and D1 has FRNAALG(D5
+--R            ) and D3 has FRNAALG(D4)
+--R   [27] ((D2 -> D2),Factored(D2)) -> Factored(D2) from Factored(D2) if 
+--R            D2 has INTDOM
 --R   [28] ((D4 -> D5),D3) -> D1 from FunctionSpaceFunctions2(D4,D3,D5,D1)
---R            if D4 has Join(Ring,OrderedSet) and D5 has Join(Ring,
+--R             if D4 has Join(Ring,OrderedSet) and D5 has Join(Ring,
 --R            OrderedSet) and D1 has FS(D5) and D3 has FS(D4)
 --R   [29] ((D4 -> D5),D3) -> D1 from FiniteSetAggregateFunctions2(D4,D3,
 --R            D5,D1)
---R            if D4 has SETCAT and D5 has SETCAT and D1 has FSAGG(D5) and
---R            D3 has FSAGG(D4)
+--R             if D4 has SETCAT and D5 has SETCAT and D1 has FSAGG(D5) 
+--R            and D3 has FSAGG(D4)
 --R   [30] ((D2 -> D2),Heap(D2)) -> Heap(D2) from Heap(D2) if D2 has 
 --R            ORDSET
 --R   [31] ((D2 -> D2),D) -> D from D if D has HOAGG(D2) and D2 has TYPE
 --R         
 --R   [32] ((D2 -> D2),D) -> D from D
---R            if D has IDPC(D2,D3) and D2 has SETCAT and D3 has ORDSET
+--R             if D has IDPC(D2,D3) and D2 has SETCAT and D3 has ORDSET
 --R         
 --R   [33] ((D4 -> D5),IntegrationResult(D4)) -> IntegrationResult(D5)
---R            from IntegrationResultFunctions2(D4,D5)
---R            if D4 has FIELD and D5 has FIELD
+--R             from IntegrationResultFunctions2(D4,D5) if D4 has FIELD 
+--R            and D5 has FIELD
 --R   [34] ((D4 -> D5),Union(Record(ratpart: D4,coeff: D4),"failed")) -> 
 --R            Union(Record(ratpart: D5,coeff: D5),"failed")
---R            from IntegrationResultFunctions2(D4,D5)
---R            if D4 has FIELD and D5 has FIELD
+--R             from IntegrationResultFunctions2(D4,D5) if D4 has FIELD 
+--R            and D5 has FIELD
 --R   [35] ((D4 -> D1),Union(D4,"failed")) -> Union(D1,"failed")
---R            from IntegrationResultFunctions2(D4,D1)
---R            if D4 has FIELD and D1 has FIELD
+--R             from IntegrationResultFunctions2(D4,D1) if D4 has FIELD 
+--R            and D1 has FIELD
 --R   [36] ((D4 -> D5),Union(Record(mainpart: D4,limitedlogs: List(Record(
 --R            coeff: D4,logand: D4))),"failed")) -> Union(Record(mainpart: D5,
 --R            limitedlogs: List(Record(coeff: D5,logand: D5))),"failed")
---R            from IntegrationResultFunctions2(D4,D5)
---R            if D4 has FIELD and D5 has FIELD
+--R             from IntegrationResultFunctions2(D4,D5) if D4 has FIELD 
+--R            and D5 has FIELD
 --R   [37] ((D4 -> D5),InfiniteTuple(D4)) -> InfiniteTuple(D5)
---R            from InfiniteTupleFunctions2(D4,D5)
---R            if D4 has TYPE and D5 has TYPE
+--R             from InfiniteTupleFunctions2(D4,D5) if D4 has TYPE and D5
+--R             has TYPE
 --R   [38] (((D5,D6) -> D7),InfiniteTuple(D5),InfiniteTuple(D6)) -> 
 --R            InfiniteTuple(D7)
---R            from InfiniteTupleFunctions3(D5,D6,D7)
---R            if D5 has TYPE and D6 has TYPE and D7 has TYPE
+--R             from InfiniteTupleFunctions3(D5,D6,D7)
+--R             if D5 has TYPE and D6 has TYPE and D7 has TYPE
 --R   [39] (((D5,D6) -> D7),Stream(D5),InfiniteTuple(D6)) -> Stream(D7)
---R            from InfiniteTupleFunctions3(D5,D6,D7)
---R            if D5 has TYPE and D6 has TYPE and D7 has TYPE
+--R             from InfiniteTupleFunctions3(D5,D6,D7)
+--R             if D5 has TYPE and D6 has TYPE and D7 has TYPE
 --R   [40] (((D5,D6) -> D7),InfiniteTuple(D5),Stream(D6)) -> Stream(D7)
---R            from InfiniteTupleFunctions3(D5,D6,D7)
---R            if D5 has TYPE and D6 has TYPE and D7 has TYPE
+--R             from InfiniteTupleFunctions3(D5,D6,D7)
+--R             if D5 has TYPE and D6 has TYPE and D7 has TYPE
 --R   [41] ((D2 -> D2),InfiniteTuple(D2)) -> InfiniteTuple(D2)
---R            from InfiniteTuple(D2) if D2 has TYPE
+--R             from InfiniteTuple(D2) if D2 has TYPE
 --R   [42] ((D4 -> D5),List(D4)) -> List(D5) from ListFunctions2(D4,D5)
---R            if D4 has TYPE and D5 has TYPE
+--R             if D4 has TYPE and D5 has TYPE
 --R   [43] (((D5,D6) -> D7),List(D5),List(D6)) -> List(D7)
---R            from ListFunctions3(D5,D6,D7)
---R            if D5 has TYPE and D6 has TYPE and D7 has TYPE
---R   [44] (((D2,D2) -> D2),D,D) -> D from D if D has LNAGG(D2) and D2 has
---R            TYPE
+--R             from ListFunctions3(D5,D6,D7)
+--R             if D5 has TYPE and D6 has TYPE and D7 has TYPE
+--R   [44] (((D2,D2) -> D2),D,D) -> D from D if D has LNAGG(D2) and D2
+--R             has TYPE
 --R   [45] ((D5 -> D8),D4) -> D2
---R            from MatrixCategoryFunctions2(D5,D6,D7,D4,D8,D9,D1,D2)
---R            if D5 has RING and D8 has RING and D6 has FLAGG(D5) and D7 
---R            has FLAGG(D5) and D2 has MATCAT(D8,D9,D1) and D4 has MATCAT
---R            (D5,D6,D7) and D9 has FLAGG(D8) and D1 has FLAGG(D8)
+--R             from MatrixCategoryFunctions2(D5,D6,D7,D4,D8,D9,D1,D2)
+--R             if D5 has RING and D8 has RING and D6 has FLAGG(D5) and D7
+--R             has FLAGG(D5) and D2 has MATCAT(D8,D9,D1) and D4 has 
+--R            MATCAT(D5,D6,D7) and D9 has FLAGG(D8) and D1 has FLAGG(D8)
+--R            
 --R   [46] ((D5 -> Union(D8,"failed")),D4) -> Union(D2,"failed")
---R            from MatrixCategoryFunctions2(D5,D6,D7,D4,D8,D9,D1,D2)
---R            if D5 has RING and D8 has RING and D6 has FLAGG(D5) and D7 
---R            has FLAGG(D5) and D2 has MATCAT(D8,D9,D1) and D4 has MATCAT
---R            (D5,D6,D7) and D9 has FLAGG(D8) and D1 has FLAGG(D8)
+--R             from MatrixCategoryFunctions2(D5,D6,D7,D4,D8,D9,D1,D2)
+--R             if D5 has RING and D8 has RING and D6 has FLAGG(D5) and D7
+--R             has FLAGG(D5) and D2 has MATCAT(D8,D9,D1) and D4 has 
+--R            MATCAT(D5,D6,D7) and D9 has FLAGG(D8) and D1 has FLAGG(D8)
+--R            
 --R   [47] ((D7 -> D8),D3) -> D1 from MPolyCatFunctions2(D4,D5,D6,D7,D8,D3
 --R            ,D1)
---R            if D7 has RING and D8 has RING and D4 has ORDSET and D5 has
---R            OAMONS and D1 has POLYCAT(D8,D6,D4) and D6 has OAMONS and 
---R            D3 has POLYCAT(D7,D5,D4)
+--R             if D7 has RING and D8 has RING and D4 has ORDSET and D5
+--R             has OAMONS and D1 has POLYCAT(D8,D6,D4) and D6 has OAMONS 
+--R            and D3 has POLYCAT(D7,D5,D4)
 --R   [48] ((D4 -> D5),MonoidRing(D4,D6)) -> MonoidRing(D5,D6)
---R            from MonoidRingFunctions2(D4,D5,D6)
---R            if D4 has RING and D5 has RING and D6 has MONOID
+--R             from MonoidRingFunctions2(D4,D5,D6)
+--R             if D4 has RING and D5 has RING and D6 has MONOID
 --R   [49] ((D4 -> D5),D3) -> D1 from OctonionCategoryFunctions2(D3,D4,D1,
 --R            D5)
---R            if D4 has COMRING and D5 has COMRING and D1 has OC(D5) and 
+--R             if D4 has COMRING and D5 has COMRING and D1 has OC(D5) and
 --R            D3 has OC(D4)
 --R   [50] ((D4 -> D5),OnePointCompletion(D4)) -> OnePointCompletion(D5)
---R            from OnePointCompletionFunctions2(D4,D5)
---R            if D4 has SETCAT and D5 has SETCAT
+--R             from OnePointCompletionFunctions2(D4,D5)
+--R             if D4 has SETCAT and D5 has SETCAT
 --R   [51] ((D4 -> D5),OnePointCompletion(D4),OnePointCompletion(D5)) -> 
 --R            OnePointCompletion(D5)
---R            from OnePointCompletionFunctions2(D4,D5)
---R            if D4 has SETCAT and D5 has SETCAT
+--R             from OnePointCompletionFunctions2(D4,D5)
+--R             if D4 has SETCAT and D5 has SETCAT
 --R   [52] ((D4 -> D5),OrderedCompletion(D4)) -> OrderedCompletion(D5)
---R            from OrderedCompletionFunctions2(D4,D5)
---R            if D4 has SETCAT and D5 has SETCAT
+--R             from OrderedCompletionFunctions2(D4,D5)
+--R             if D4 has SETCAT and D5 has SETCAT
 --R   [53] ((D4 -> D5),OrderedCompletion(D4),OrderedCompletion(D5),
 --R            OrderedCompletion(D5)) -> OrderedCompletion(D5)
---R            from OrderedCompletionFunctions2(D4,D5)
---R            if D4 has SETCAT and D5 has SETCAT
+--R             from OrderedCompletionFunctions2(D4,D5)
+--R             if D4 has SETCAT and D5 has SETCAT
 --R   [54] ((D4 -> D5),ParametricPlaneCurve(D4)) -> ParametricPlaneCurve(
 --R            D5)
---R            from ParametricPlaneCurveFunctions2(D4,D5)
---R            if D4 has TYPE and D5 has TYPE
+--R             from ParametricPlaneCurveFunctions2(D4,D5)
+--R             if D4 has TYPE and D5 has TYPE
 --R   [55] ((D4 -> D5),ParametricSpaceCurve(D4)) -> ParametricSpaceCurve(
 --R            D5)
---R            from ParametricSpaceCurveFunctions2(D4,D5)
---R            if D4 has TYPE and D5 has TYPE
+--R             from ParametricSpaceCurveFunctions2(D4,D5)
+--R             if D4 has TYPE and D5 has TYPE
 --R   [56] ((D4 -> D5),ParametricSurface(D4)) -> ParametricSurface(D5)
---R            from ParametricSurfaceFunctions2(D4,D5)
---R            if D4 has TYPE and D5 has TYPE
+--R             from ParametricSurfaceFunctions2(D4,D5) if D4 has TYPE and
+--R            D5 has TYPE
 --R   [57] ((D5 -> D6),PatternMatchResult(D4,D5)) -> PatternMatchResult(D4
 --R            ,D6)
---R            from PatternMatchResultFunctions2(D4,D5,D6)
---R            if D4 has SETCAT and D5 has SETCAT and D6 has SETCAT
+--R             from PatternMatchResultFunctions2(D4,D5,D6)
+--R             if D4 has SETCAT and D5 has SETCAT and D6 has SETCAT
 --R   [58] ((D4 -> D5),Pattern(D4)) -> Pattern(D5) from PatternFunctions2(
 --R            D4,D5)
---R            if D4 has SETCAT and D5 has SETCAT
+--R             if D4 has SETCAT and D5 has SETCAT
 --R   [59] ((D4 -> D5),Polynomial(D4)) -> Polynomial(D5)
---R            from PolynomialFunctions2(D4,D5) if D4 has RING and D5 has 
---R            RING
+--R             from PolynomialFunctions2(D4,D5) if D4 has RING and D5
+--R             has RING
 --R   [60] ((D4 -> D5),PrimitiveArray(D4)) -> PrimitiveArray(D5)
---R            from PrimitiveArrayFunctions2(D4,D5)
---R            if D4 has TYPE and D5 has TYPE
+--R             from PrimitiveArrayFunctions2(D4,D5) if D4 has TYPE and D5
+--R             has TYPE
 --R   [61] ((D4 -> D5),Point(D4)) -> Point(D5) from PointFunctions2(D4,D5)
---R            if D4 has RING and D5 has RING
+--R             if D4 has RING and D5 has RING
 --R   [62] ((D4 -> D5),D3) -> D1 from QuotientFieldCategoryFunctions2(D4,
 --R            D5,D3,D1)
---R            if D4 has INTDOM and D5 has INTDOM and D1 has QFCAT(D5) and
---R            D3 has QFCAT(D4)
+--R             if D4 has INTDOM and D5 has INTDOM and D1 has QFCAT(D5) 
+--R            and D3 has QFCAT(D4)
 --R   [63] ((D4 -> D5),D3) -> D1 from QuaternionCategoryFunctions2(D3,D4,
 --R            D1,D5)
---R            if D4 has COMRING and D5 has COMRING and D1 has QUATCAT(D5)
---R            and D3 has QUATCAT(D4)
+--R             if D4 has COMRING and D5 has COMRING and D1 has QUATCAT(D5
+--R            ) and D3 has QUATCAT(D4)
 --R   [64] ((D2 -> D2),Queue(D2)) -> Queue(D2) from Queue(D2) if D2 has 
 --R            SETCAT
 --R   [65] (((D4,D4) -> D4),D,D) -> D from D
---R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
---R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
+--R             if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5
+--R             has DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
 --R   [66] ((D4 -> D4),D) -> D from D
---R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
---R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
+--R             if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5
+--R             has DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
 --R   [67] ((D9 -> D1),D6) -> D4
---R            from RectangularMatrixCategoryFunctions2(D7,D8,D9,D10,D11,
+--R             from RectangularMatrixCategoryFunctions2(D7,D8,D9,D10,D11,
 --R            D6,D1,D2,D3,D4)
---R            if D9 has RING and D1 has RING and D7: NNI and D8: NNI and 
---R            D10 has DIRPCAT(D8,D9) and D11 has DIRPCAT(D7,D9) and D4 
---R            has RMATCAT(D7,D8,D1,D2,D3) and D6 has RMATCAT(D7,D8,D9,D10
---R            ,D11) and D2 has DIRPCAT(D8,D1) and D3 has DIRPCAT(D7,D1)
---R         
+--R             if D9 has RING and D1 has RING and D7: NNI and D8: NNI and
+--R            D10 has DIRPCAT(D8,D9) and D11 has DIRPCAT(D7,D9) and D4
+--R             has RMATCAT(D7,D8,D1,D2,D3) and D6 has RMATCAT(D7,D8,D9,
+--R            D10,D11) and D2 has DIRPCAT(D8,D1) and D3 has DIRPCAT(D7,D1
+--R            )
 --R   [68] ((D4 -> D5),Segment(D4)) -> Segment(D5) from SegmentFunctions2(
 --R            D4,D5)
---R            if D4 has TYPE and D5 has TYPE
+--R             if D4 has TYPE and D5 has TYPE
 --R   [69] ((D4 -> D5),Segment(D4)) -> List(D5) from SegmentFunctions2(D4,
 --R            D5)
---R            if D4 has ORDRING and D4 has TYPE and D5 has TYPE
+--R             if D4 has ORDRING and D4 has TYPE and D5 has TYPE
 --R   [70] ((D4 -> D5),SegmentBinding(D4)) -> SegmentBinding(D5)
---R            from SegmentBindingFunctions2(D4,D5)
---R            if D4 has TYPE and D5 has TYPE
+--R             from SegmentBindingFunctions2(D4,D5) if D4 has TYPE and D5
+--R             has TYPE
 --R   [71] ((D3 -> D3),D) -> D1 from D
---R            if D has SEGXCAT(D3,D1) and D3 has ORDRING and D1 has STAGG
---R            (D3)
+--R             if D has SEGXCAT(D3,D1) and D3 has ORDRING and D1 has 
+--R            STAGG(D3)
 --R   [72] ((D2 -> D2),Stack(D2)) -> Stack(D2) from Stack(D2) if D2 has 
 --R            SETCAT
 --R   [73] ((D4 -> D5),Stream(D4)) -> Stream(D5) from StreamFunctions2(D4,
 --R            D5)
---R            if D4 has TYPE and D5 has TYPE
+--R             if D4 has TYPE and D5 has TYPE
 --R   [74] (((D5,D6) -> D7),Stream(D5),Stream(D6)) -> Stream(D7)
---R            from StreamFunctions3(D5,D6,D7)
---R            if D5 has TYPE and D6 has TYPE and D7 has TYPE
+--R             from StreamFunctions3(D5,D6,D7)
+--R             if D5 has TYPE and D6 has TYPE and D7 has TYPE
 --R   [75] ((D4 -> D5),SparseUnivariatePolynomial(D4)) -> 
 --R            SparseUnivariatePolynomial(D5)
---R            from SparseUnivariatePolynomialFunctions2(D4,D5)
---R            if D4 has RING and D5 has RING
+--R             from SparseUnivariatePolynomialFunctions2(D4,D5)
+--R             if D4 has RING and D5 has RING
 --R   [76] (((D3,D3) -> D3),D,D) -> D from D
---R            if D has TBAGG(D2,D3) and D2 has SETCAT and D3 has SETCAT
---R         
+--R             if D has TBAGG(D2,D3) and D2 has SETCAT and D3 has SETCAT
+--R            
 --R   [77] ((D5 -> D6),UnivariateLaurentSeries(D5,D7,D9)) -> 
 --R            UnivariateLaurentSeries(D6,D8,D1)
---R            from UnivariateLaurentSeriesFunctions2(D5,D6,D7,D8,D9,D1)
---R            if D5 has RING and D6 has RING and D7: SYMBOL and D9: D5 
+--R             from UnivariateLaurentSeriesFunctions2(D5,D6,D7,D8,D9,D1)
+--R             if D5 has RING and D6 has RING and D7: SYMBOL and D9: D5 
 --R            and D1: D6 and D8: SYMBOL
 --R   [78] ((D4 -> D5),UniversalSegment(D4)) -> UniversalSegment(D5)
---R            from UniversalSegmentFunctions2(D4,D5)
---R            if D4 has TYPE and D5 has TYPE
+--R             from UniversalSegmentFunctions2(D4,D5) if D4 has TYPE and 
+--R            D5 has TYPE
 --R   [79] ((D4 -> D5),UniversalSegment(D4)) -> Stream(D5)
---R            from UniversalSegmentFunctions2(D4,D5)
---R            if D4 has ORDRING and D4 has TYPE and D5 has TYPE
+--R             from UniversalSegmentFunctions2(D4,D5)
+--R             if D4 has ORDRING and D4 has TYPE and D5 has TYPE
 --R   [80] ((D5 -> D7),UnivariatePolynomial(D4,D5)) -> 
 --R            UnivariatePolynomial(D6,D7)
---R            from UnivariatePolynomialFunctions2(D4,D5,D6,D7)
---R            if D4: SYMBOL and D5 has RING and D7 has RING and D6: 
+--R             from UnivariatePolynomialFunctions2(D4,D5,D6,D7)
+--R             if D4: SYMBOL and D5 has RING and D7 has RING and D6: 
 --R            SYMBOL
 --R   [81] ((D4 -> D5),D3) -> D1
---R            from UnivariatePolynomialCategoryFunctions2(D4,D3,D5,D1)
---R            if D4 has RING and D5 has RING and D1 has UPOLYC(D5) and D3
---R            has UPOLYC(D4)
+--R             from UnivariatePolynomialCategoryFunctions2(D4,D3,D5,D1)
+--R             if D4 has RING and D5 has RING and D1 has UPOLYC(D5) and 
+--R            D3 has UPOLYC(D4)
 --R   [82] ((D5 -> D6),UnivariatePuiseuxSeries(D5,D7,D9)) -> 
 --R            UnivariatePuiseuxSeries(D6,D8,D1)
---R            from UnivariatePuiseuxSeriesFunctions2(D5,D6,D7,D8,D9,D1)
---R            if D5 has RING and D6 has RING and D7: SYMBOL and D9: D5 
+--R             from UnivariatePuiseuxSeriesFunctions2(D5,D6,D7,D8,D9,D1)
+--R             if D5 has RING and D6 has RING and D7: SYMBOL and D9: D5 
 --R            and D1: D6 and D8: SYMBOL
---R   [83] ((D4 -> D5),D3) -> D1
---R            from UnivariateTaylorSeriesFunctions2(D4,D5,D3,D1)
---R            if D4 has RING and D5 has RING and D1 has UTSCAT(D5) and D3
---R            has UTSCAT(D4)
+--R   [83] ((D4 -> D5),D3) -> D1 from UnivariateTaylorSeriesFunctions2(D4,
+--R            D5,D3,D1)
+--R             if D4 has RING and D5 has RING and D1 has UTSCAT(D5) and 
+--R            D3 has UTSCAT(D4)
 --R   [84] ((D4 -> D5),Vector(D4)) -> Vector(D5) from VectorFunctions2(D4,
 --R            D5)
---R            if D4 has TYPE and D5 has TYPE
+--R             if D4 has TYPE and D5 has TYPE
 --R   [85] ((D4 -> Union(D5,"failed")),Vector(D4)) -> Union(Vector(D5),
 --R            "failed")
---R            from VectorFunctions2(D4,D5) if D4 has TYPE and D5 has TYPE
---R            
+--R             from VectorFunctions2(D4,D5) if D4 has TYPE and D5 has 
+--R            TYPE
 --R   [86] ((D3 -> D3),D) -> D from D
---R            if D has XFALG(D2,D3) and D2 has ORDSET and D3 has RING
+--R             if D has XFALG(D2,D3) and D2 has ORDSET and D3 has RING
+--R         
 --R
 --RThere are 10 unexposed functions called map :
 --R   [1] ((D2 -> D2),AntiSymm(D2,D3)) -> AntiSymm(D2,D3) from AntiSymm(D2
 --R            ,D3)
---R            if D2 has RING and D3: LIST(SYMBOL)
+--R             if D2 has RING and D3: LIST(SYMBOL)
 --R   [2] ((Expression(D2) -> Expression(D2)),DeRhamComplex(D2,D3)) -> 
 --R            DeRhamComplex(D2,D3)
---R            from DeRhamComplex(D2,D3)
---R            if D2 has Join(Ring,OrderedSet) and D3: LIST(SYMBOL)
+--R             from DeRhamComplex(D2,D3)
+--R             if D2 has Join(Ring,OrderedSet) and D3: LIST(SYMBOL)
 --R   [3] ((D5 -> D1),String,Kernel(D5)) -> D1
---R            from ExpressionSpaceFunctions1(D5,D1)
---R            if D5 has ES and D1 has TYPE
+--R             from ExpressionSpaceFunctions1(D5,D1) if D5 has ES and D1
+--R             has TYPE
 --R   [4] ((D4 -> D6),D3) -> D1 from MultipleMap(D4,D5,D3,D6,D7,D1)
---R            if D4 has INTDOM and D6 has INTDOM and D5 has UPOLYC(D4) 
+--R             if D4 has INTDOM and D6 has INTDOM and D5 has UPOLYC(D4) 
 --R            and D1 has UPOLYC(FRAC(D7)) and D3 has UPOLYC(FRAC(D5)) and
 --R            D7 has UPOLYC(D6)
 --R   [5] ((D4 -> D5),D3) -> D1 from MPolyCatFunctions3(D4,D5,D6,D7,D8,D3,
 --R            D1)
---R            if D4 has ORDSET and D5 has ORDSET and D6 has OAMONS and D8
---R            has RING and D1 has POLYCAT(D8,D7,D5) and D7 has OAMONS and
---R            D3 has POLYCAT(D8,D6,D4)
+--R             if D4 has ORDSET and D5 has ORDSET and D6 has OAMONS and 
+--R            D8 has RING and D1 has POLYCAT(D8,D7,D5) and D7 has OAMONS 
+--R            and D3 has POLYCAT(D8,D6,D4)
 --R   [6] ((D2 -> D2),MonoidRing(D2,D3)) -> MonoidRing(D2,D3)
---R            from MonoidRing(D2,D3) if D2 has RING and D3 has MONOID
+--R             from MonoidRing(D2,D3) if D2 has RING and D3 has MONOID
+--R         
 --R   [7] ((D4 -> D5),NewSparseUnivariatePolynomial(D4)) -> 
 --R            NewSparseUnivariatePolynomial(D5)
---R            from NewSparseUnivariatePolynomialFunctions2(D4,D5)
---R            if D4 has RING and D5 has RING
+--R             from NewSparseUnivariatePolynomialFunctions2(D4,D5)
+--R             if D4 has RING and D5 has RING
 --R   [8] ((D7 -> D2),(D8 -> D2),D5) -> D2
---R            from PolynomialCategoryLifting(D6,D7,D8,D5,D2)
---R            if D7 has ORDSET and D8 has RING and D6 has OAMONS and D2 
---R            has SetCategory with 
+--R             from PolynomialCategoryLifting(D6,D7,D8,D5,D2)
+--R             if D7 has ORDSET and D8 has RING and D6 has OAMONS and D2
+--R             has SetCategorywith
 --R               ?+? : (%,%) -> %
 --R               ?*? : (%,%) -> %
 --R               D : (%,NonNegativeInteger) -> %and D5 has POLYCAT(D8
 --R            ,D6,D7)
 --R   [9] ((Polynomial(D3) -> D1),D1) -> D1 from PushVariables(D3,D4,D5,D1
 --R            )
---R            if D3 has RING and D1 has POLYCAT(POLY(D3),D4,D5) and D4 
---R            has OAMONS and D5 has OrderedSet with 
+--R             if D3 has RING and D1 has POLYCAT(POLY(D3),D4,D5) and D4
+--R             has OAMONS and D5 has OrderedSetwith
 --R               convert : % -> Symbol
 --R               variable : Symbol -> Union(%,"failed")
 --R   [10] ((D2 -> D2),XPolynomialRing(D2,D3)) -> XPolynomialRing(D2,D3)
---R            from XPolynomialRing(D2,D3) if D2 has RING and D3 has 
+--R             from XPolynomialRing(D2,D3) if D2 has RING and D3 has 
 --R            ORDMON
 --R
 --RExamples of map from AbelianMonoidRing
@@ -1323,14 +1329,15 @@
 --R 
 --R
 --RThere are 5 exposed functions called complete :
---R   [1] ContinuedFraction(D1) -> ContinuedFraction(D1)
---R            from ContinuedFraction(D1) if D1 has EUCDOM
+--R   [1] ContinuedFraction(D1) -> ContinuedFraction(D1) from 
+--R            ContinuedFraction(D1)
+--R             if D1 has EUCDOM
 --R   [2] Integer -> SymmetricPolynomial(Fraction(Integer)) from 
 --R            CycleIndicators
 --R   [3] D -> D from D if D has LZSTAGG(D1) and D1 has TYPE
 --R   [4] D -> D from D if D has PADICCT(D1)
 --R   [5] D -> D from D
---R            if D has PSCAT(D1,D2,D3) and D1 has RING and D2 has OAMON 
+--R             if D has PSCAT(D1,D2,D3) and D1 has RING and D2 has OAMON 
 --R            and D3 has ORDSET
 --R
 --RExamples of complete from ContinuedFraction
@@ -1377,14 +1384,14 @@
 --R
 --RThere are 3 exposed functions called ncols :
 --R   [1] D -> NonNegativeInteger from D
---R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            (D2) and D4 has FLAGG(D2)
+--R             if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has 
+--R            FLAGG(D2) and D4 has FLAGG(D2)
 --R   [2] D -> NonNegativeInteger from D
---R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
---R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
+--R             if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5
+--R             has DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
 --R   [3] SparseEchelonMatrix(D2,D3) -> NonNegativeInteger
---R            from SparseEchelonMatrix(D2,D3) if D2 has ORDSET and D3 has
---R            RING
+--R             from SparseEchelonMatrix(D2,D3) if D2 has ORDSET and D3
+--R             has RING
 --R
 --RExamples of ncols from TwoDimensionalArrayCategory
 --R
@@ -1405,7 +1412,7 @@
 --R
 --RThere is one exposed function called inverseIntegralMatrixAtInfinity :
 --R   [1]  -> Matrix(Fraction(D3)) from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R             if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
 --R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RExamples of inverseIntegralMatrixAtInfinity from FunctionFieldCategory
@@ -1491,7 +1498,7 @@
 --R
 --RThere is one exposed function called balancedBinaryTree :
 --R   [1] (NonNegativeInteger,D2) -> BalancedBinaryTree(D2)
---R            from BalancedBinaryTree(D2) if D2 has SETCAT
+--R             from BalancedBinaryTree(D2) if D2 has SETCAT
 --R
 --RExamples of balancedBinaryTree from BalancedBinaryTree
 --R
@@ -1505,8 +1512,8 @@
 --R
 --RThere is one exposed function called integralBasisAtInfinity :
 --R   [1]  -> Vector(D) from D
---R            if D2 has UFD and D3 has UPOLYC(D2) and D4 has UPOLYC(FRAC(
---R            D3)) and D has FFCAT(D2,D3,D4)
+--R             if D2 has UFD and D3 has UPOLYC(D2) and D4 has UPOLYC(FRAC
+--R            (D3)) and D has FFCAT(D2,D3,D4)
 --R
 --RExamples of integralBasisAtInfinity from FunctionFieldCategory
 --R
@@ -1523,7 +1530,7 @@
 --R
 --RThere is one exposed function called branchPointAtInfinity? :
 --R   [1]  -> Boolean from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R             if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
 --R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RExamples of branchPointAtInfinity? from FunctionFieldCategory
@@ -1544,22 +1551,22 @@
 --RThere are 4 exposed functions called transpose :
 --R   [1] (CartesianTensor(D2,D3,D4),Integer,Integer) -> CartesianTensor(
 --R            D2,D3,D4)
---R            from CartesianTensor(D2,D3,D4)
---R            if D2: INT and D3: NNI and D4 has COMRING
+--R             from CartesianTensor(D2,D3,D4) if D2: INT and D3: NNI and 
+--R            D4 has COMRING
 --R   [2] CartesianTensor(D1,D2,D3) -> CartesianTensor(D1,D2,D3)
---R            from CartesianTensor(D1,D2,D3)
---R            if D1: INT and D2: NNI and D3 has COMRING
+--R             from CartesianTensor(D1,D2,D3) if D1: INT and D2: NNI and 
+--R            D3 has COMRING
 --R   [3] D -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
---R            D1) and D3 has FLAGG(D1)
+--R             if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG
+--R            (D1) and D3 has FLAGG(D1)
 --R   [4] D1 -> D from D
---R            if D2 has RING and D has MATCAT(D2,D1,D3) and D1 has FLAGG(
---R            D2) and D3 has FLAGG(D2)
+--R             if D2 has RING and D has MATCAT(D2,D1,D3) and D1 has FLAGG
+--R            (D2) and D3 has FLAGG(D2)
 --R
 --RThere is one unexposed function called transpose :
 --R   [1] SquareMatrix(D1,D2) -> SquareMatrix(D1,D2) from SquareMatrix(D1,
 --R            D2)
---R            if D1: NNI and D2 has RING
+--R             if D1: NNI and D2 has RING
 --R
 --RExamples of transpose from CartesianTensor
 --R
@@ -1591,9 +1598,9 @@
 --R
 --RThere are 2 exposed functions called setrest! :
 --R   [1] (Stream(D2),Integer,Stream(D2)) -> Stream(D2) from Stream(D2)
---R            if D2 has TYPE
+--R             if D2 has TYPE
 --R   [2] (D,D) -> D from D
---R            if D has shallowlyMutable and D has URAGG(D1) and D1 has 
+--R             if D has shallowlyMutable and D has URAGG(D1) and D1 has 
 --R            TYPE
 --R
 --RExamples of setrest! from Stream
@@ -1620,96 +1627,96 @@
 --R   [4] (D,D) -> D from D if D has ELEMFUN
 --R   [5] (Float,Float) -> Float from Float
 --R   [6] (D,NonNegativeInteger) -> D from D
---R            if D has FS(D2) and D2 has ORDSET and D2 has SGROUP
+--R             if D has FS(D2) and D2 has ORDSET and D2 has SGROUP
 --R   [7] (D,Integer) -> D from D if D has GROUP
 --R   [8] (PolynomialIdeals(D2,D3,D4,D5),NonNegativeInteger) -> 
 --R            PolynomialIdeals(D2,D3,D4,D5)
---R            from PolynomialIdeals(D2,D3,D4,D5)
---R            if D2 has FIELD and D3 has OAMONS and D4 has ORDSET and D5 
---R            has POLYCAT(D2,D3,D4)
+--R             from PolynomialIdeals(D2,D3,D4,D5)
+--R             if D2 has FIELD and D3 has OAMONS and D4 has ORDSET and D5
+--R             has POLYCAT(D2,D3,D4)
 --R   [9] ((D3 -> D3),NonNegativeInteger) -> (D3 -> D3) from 
 --R            MappingPackage1(D3)
---R            if D3 has SETCAT
+--R             if D3 has SETCAT
 --R   [10] (D,Integer) -> D from D
---R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG(
---R            D2) and D4 has FLAGG(D2) and D2 has FIELD
+--R             if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG
+--R            (D2) and D4 has FLAGG(D2) and D2 has FIELD
 --R   [11] (D,NonNegativeInteger) -> D from D
---R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG(
---R            D2) and D4 has FLAGG(D2)
+--R             if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG
+--R            (D2) and D4 has FLAGG(D2)
 --R   [12] (ModuleOperator(D2,D3),Integer) -> ModuleOperator(D2,D3)
---R            from ModuleOperator(D2,D3) if D2 has RING and D3 has 
+--R             from ModuleOperator(D2,D3) if D2 has RING and D3 has 
 --R            LMODULE(D2)
 --R   [13] (BasicOperator,Integer) -> ModuleOperator(D3,D4)
---R            from ModuleOperator(D3,D4) if D3 has RING and D4 has 
+--R             from ModuleOperator(D3,D4) if D3 has RING and D4 has 
 --R            LMODULE(D3)
 --R   [14] (D,PositiveInteger) -> D from D if D has MONAD
 --R   [15] (D,NonNegativeInteger) -> D from D if D has MONADWU
 --R   [16] (D,NonNegativeInteger) -> D from D if D has MONOID
 --R   [17] (MyExpression(D1,D2),MyExpression(D1,D2)) -> MyExpression(D1,D2
 --R            )
---R            from MyExpression(D1,D2)
---R            if D1: SYMBOL and D2 has Join(Ring,OrderedSet,
+--R             from MyExpression(D1,D2)
+--R             if D1: SYMBOL and D2 has Join(Ring,OrderedSet,
 --R            IntegralDomain)
 --R   [18] (D,Fraction(Integer)) -> D from D if D has RADCAT
 --R   [19] (StochasticDifferential(D2),PositiveInteger) -> 
 --R            StochasticDifferential(D2)
---R            from StochasticDifferential(D2)
---R            if D2 has Join(OrderedSet,IntegralDomain)
+--R             from StochasticDifferential(D2)
+--R             if D2 has Join(OrderedSet,IntegralDomain)
 --R   [20] (D,PositiveInteger) -> D from D if D has SGROUP
 --R   [21] (D,Integer) -> D from D
---R            if D has SMATCAT(D2,D3,D4,D5) and D3 has RING and D4 has 
+--R             if D has SMATCAT(D2,D3,D4,D5) and D3 has RING and D4 has 
 --R            DIRPCAT(D2,D3) and D5 has DIRPCAT(D2,D3) and D3 has FIELD
 --R         
---R   [22] (D,D1) -> D from D
---R            if D has UTSCAT(D1) and D1 has RING and D1 has FIELD
+--R   [22] (D,D1) -> D from D if D has UTSCAT(D1) and D1 has RING and D1
+--R             has FIELD
 --R
 --RThere are 18 unexposed functions called ** :
 --R   [1] (D1,Fraction(Integer)) -> D1 from AlgebraicFunction(D3,D1)
---R            if D3 has RETRACT(INT) and D3 has Join(OrderedSet,
+--R             if D3 has RETRACT(INT) and D3 has Join(OrderedSet,
 --R            IntegralDomain) and D1 has FS(D3)
 --R   [2] (D1,D1) -> D1 from CombinatorialFunction(D2,D1)
---R            if D2 has Join(OrderedSet,IntegralDomain) and D1 has FS(D2)
---R            
+--R             if D2 has Join(OrderedSet,IntegralDomain) and D1 has FS(D2
+--R            )
 --R   [3] (D1,Fraction(Integer)) -> D1
---R            from ElementaryFunctionsUnivariateLaurentSeries(D3,D4,D1)
---R            if D3 has FIELD and D3 has ALGEBRA(FRAC(INT)) and D4 has 
+--R             from ElementaryFunctionsUnivariateLaurentSeries(D3,D4,D1)
+--R             if D3 has FIELD and D3 has ALGEBRA(FRAC(INT)) and D4 has 
 --R            UTSCAT(D3) and D1 has ULSCCAT(D3,D4)
 --R   [4] (D1,Fraction(Integer)) -> D1
---R            from ElementaryFunctionsUnivariatePuiseuxSeries(D3,D4,D1,D5
---R            )
---R            if D3 has FIELD and D3 has ALGEBRA(FRAC(INT)) and D4 has 
+--R             from ElementaryFunctionsUnivariatePuiseuxSeries(D3,D4,D1,
+--R            D5)
+--R             if D3 has FIELD and D3 has ALGEBRA(FRAC(INT)) and D4 has 
 --R            ULSCAT(D3) and D1 has UPXSCCA(D3,D4) and D5 has PTRANFN(D4)
 --R            
 --R   [5] (D1,Integer) -> FreeGroup(D1) from FreeGroup(D1) if D1 has 
 --R            SETCAT
 --R   [6] (D1,NonNegativeInteger) -> FreeMonoid(D1) from FreeMonoid(D1)
---R            if D1 has SETCAT
+--R             if D1 has SETCAT
 --R   [7] (Vector(D3),Integer) -> Vector(D3)
---R            from InnerNormalBasisFieldFunctions(D3) if D3 has FFIELDC
---R         
+--R             from InnerNormalBasisFieldFunctions(D3) if D3 has FFIELDC
+--R            
 --R   [8] (InputForm,Integer) -> InputForm from InputForm
 --R   [9] (InputForm,NonNegativeInteger) -> InputForm from InputForm
 --R   [10] (Matrix(D3),NonNegativeInteger) -> Matrix(D3)
---R            from StorageEfficientMatrixOperations(D3) if D3 has RING
+--R             from StorageEfficientMatrixOperations(D3) if D3 has RING
 --R         
 --R   [11] (D1,NonNegativeInteger) -> OrderedFreeMonoid(D1)
---R            from OrderedFreeMonoid(D1) if D1 has ORDSET
---R   [12] (Operator(D2),Integer) -> Operator(D2) from Operator(D2) if D2 
---R            has RING
+--R             from OrderedFreeMonoid(D1) if D1 has ORDSET
+--R   [12] (Operator(D2),Integer) -> Operator(D2) from Operator(D2) if D2
+--R             has RING
 --R   [13] (BasicOperator,Integer) -> Operator(D3) from Operator(D3) if D3
---R            has RING
+--R             has RING
 --R   [14] (OutputForm,OutputForm) -> OutputForm from OutputForm
---R   [15] (Pattern(D1),Pattern(D1)) -> Pattern(D1) from Pattern(D1)
---R            if D1 has SETCAT
+--R   [15] (Pattern(D1),Pattern(D1)) -> Pattern(D1) from Pattern(D1) if D1
+--R             has SETCAT
 --R   [16] (Pattern(D2),NonNegativeInteger) -> Pattern(D2) from Pattern(D2
 --R            )
---R            if D2 has SETCAT
+--R             if D2 has SETCAT
 --R   [17] (Stream(D2),Stream(D2)) -> Stream(D2)
---R            from StreamTranscendentalFunctionsNonCommutative(D2)
---R            if D2 has ALGEBRA(FRAC(INT))
+--R             from StreamTranscendentalFunctionsNonCommutative(D2)
+--R             if D2 has ALGEBRA(FRAC(INT))
 --R   [18] (Stream(D2),Stream(D2)) -> Stream(D2)
---R            from StreamTranscendentalFunctions(D2)
---R            if D2 has ALGEBRA(FRAC(INT))
+--R             from StreamTranscendentalFunctions(D2) if D2 has ALGEBRA(
+--R            FRAC(INT))
 --R
 --RExamples of ** from AlgebraicFunction
 --R
@@ -1837,39 +1844,39 @@
 --R
 --RThere are 12 unexposed functions called plot :
 --R   [1] (D2,Symbol,Segment(DoubleFloat)) -> Plot from PlotFunctions1(D2)
---R            if D2 has KONVERT(INFORM)
+--R             if D2 has KONVERT(INFORM)
 --R   [2] (D2,D2,Symbol,Segment(DoubleFloat)) -> Plot from PlotFunctions1(
 --R            D2)
---R            if D2 has KONVERT(INFORM)
+--R             if D2 has KONVERT(INFORM)
 --R   [3] (Plot3D,Segment(DoubleFloat)) -> Plot3D from Plot3D
 --R   [4] ((DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),(
 --R            DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),Segment(
 --R            DoubleFloat),Segment(DoubleFloat),Segment(DoubleFloat),Segment(
 --R            DoubleFloat)) -> Plot3D
---R            from Plot3D
+--R             from Plot3D
 --R   [5] ((DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),(
 --R            DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),Segment(
 --R            DoubleFloat)) -> Plot3D
---R            from Plot3D
+--R             from Plot3D
 --R   [6] (Plot,Segment(DoubleFloat)) -> Plot from Plot
 --R   [7] ((DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),
 --R            Segment(DoubleFloat),Segment(DoubleFloat),Segment(DoubleFloat))
 --R             -> Plot
---R            from Plot
+--R             from Plot
 --R   [8] ((DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),
 --R            Segment(DoubleFloat)) -> Plot
---R            from Plot
+--R             from Plot
 --R   [9] (List((DoubleFloat -> DoubleFloat)),Segment(DoubleFloat),Segment
 --R            (DoubleFloat)) -> Plot
---R            from Plot
+--R             from Plot
 --R   [10] (List((DoubleFloat -> DoubleFloat)),Segment(DoubleFloat)) -> 
 --R            Plot
---R            from Plot
+--R             from Plot
 --R   [11] ((DoubleFloat -> DoubleFloat),Segment(DoubleFloat),Segment(
 --R            DoubleFloat)) -> Plot
---R            from Plot
---R   [12] ((DoubleFloat -> DoubleFloat),Segment(DoubleFloat)) -> Plot 
---R            from Plot
+--R             from Plot
+--R   [12] ((DoubleFloat -> DoubleFloat),Segment(DoubleFloat)) -> Plot
+--R             from Plot
 --R
 --RExamples of plot from PlotFunctions1
 --R
@@ -1891,13 +1898,13 @@
 --RThere is one exposed function called factorList :
 --R   [1] Factored(D2) -> List(Record(flg: Union("nil","sqfr","irred",
 --R            "prime"),fctr: D2,xpnt: Integer))
---R            from Factored(D2) if D2 has INTDOM
+--R             from Factored(D2) if D2 has INTDOM
 --R
 --RThere is one unexposed function called factorList :
 --R   [1] (D2,NonNegativeInteger,NonNegativeInteger,NonNegativeInteger)
 --R             -> List(SparseUnivariatePolynomial(D2))
---R            from ChineseRemainderToolsForIntegralBases(D2,D4,D5)
---R            if D2 has FFIELDC and D4 has UPOLYC(D2) and D5 has UPOLYC(
+--R             from ChineseRemainderToolsForIntegralBases(D2,D4,D5)
+--R             if D2 has FFIELDC and D4 has UPOLYC(D2) and D5 has UPOLYC(
 --R            D4)
 --R
 --RExamples of factorList from Factored
@@ -1916,12 +1923,12 @@
 --R
 --RThere is one exposed function called physicalLength :
 --R   [1] FlexibleArray(D2) -> NonNegativeInteger from FlexibleArray(D2)
---R            if D2 has TYPE
+--R             if D2 has TYPE
 --R
 --RThere is one unexposed function called physicalLength :
 --R   [1] IndexedFlexibleArray(D2,D3) -> NonNegativeInteger
---R            from IndexedFlexibleArray(D2,D3) if D2 has TYPE and D3: INT
---R            
+--R             from IndexedFlexibleArray(D2,D3) if D2 has TYPE and D3: 
+--R            INT
 --R
 --RExamples of physicalLength from FlexibleArray
 --R
@@ -1940,13 +1947,13 @@
 --R
 --RThere is one exposed function called absolutelyIrreducible? :
 --R   [1]  -> Boolean from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R             if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
 --R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RThere is one unexposed function called absolutelyIrreducible? :
 --R   [1]  -> Boolean from FunctionFieldCategory&(D2,D3,D4,D5)
---R            if D3 has UFD and D4 has UPOLYC(D3) and D5 has UPOLYC(FRAC(
---R            D4)) and D2 has FFCAT(D3,D4,D5)
+--R             if D3 has UFD and D4 has UPOLYC(D3) and D5 has UPOLYC(FRAC
+--R            (D4)) and D2 has FFCAT(D3,D4,D5)
 --R
 --RExamples of absolutelyIrreducible? from FunctionFieldCategory&
 --R
@@ -1971,7 +1978,7 @@
 --R
 --RThere is one exposed function called repeating? :
 --R   [1] (List(D3),Stream(D3)) -> Boolean from Stream(D3)
---R            if D3 has SETCAT and D3 has TYPE
+--R             if D3 has SETCAT and D3 has TYPE
 --R
 --RExamples of repeating? from Stream
 --R
@@ -2015,8 +2022,8 @@
 --R
 --RThere is one exposed function called setColumn! :
 --R   [1] (D,Integer,D2) -> D from D
---R            if D has ARR2CAT(D3,D4,D2) and D3 has TYPE and D4 has FLAGG
---R            (D3) and D2 has FLAGG(D3)
+--R             if D has ARR2CAT(D3,D4,D2) and D3 has TYPE and D4 has 
+--R            FLAGG(D3) and D2 has FLAGG(D3)
 --R
 --RExamples of setColumn! from TwoDimensionalArrayCategory
 --R
@@ -2049,13 +2056,13 @@
 --RThere is one exposed function called physicalLength! :
 --R   [1] (FlexibleArray(D2),Integer) -> FlexibleArray(D2) from 
 --R            FlexibleArray(D2)
---R            if D2 has TYPE
+--R             if D2 has TYPE
 --R
 --RThere is one unexposed function called physicalLength! :
 --R   [1] (IndexedFlexibleArray(D2,D3),Integer) -> IndexedFlexibleArray(D2
 --R            ,D3)
---R            from IndexedFlexibleArray(D2,D3) if D2 has TYPE and D3: INT
---R            
+--R             from IndexedFlexibleArray(D2,D3) if D2 has TYPE and D3: 
+--R            INT
 --R
 --RExamples of physicalLength! from FlexibleArray
 --R
@@ -2092,30 +2099,33 @@
 --R
 --RThere are 11 exposed functions called extend :
 --R   [1] (ContinuedFraction(D2),Integer) -> ContinuedFraction(D2)
---R            from ContinuedFraction(D2) if D2 has EUCDOM
+--R             from ContinuedFraction(D2) if D2 has EUCDOM
 --R   [2] (D,Integer) -> D from D if D has LZSTAGG(D2) and D2 has TYPE
 --R   [3] (D,NonNegativeInteger) -> D from D
---R            if D has MTSCAT(D2,D3) and D2 has RING and D3 has ORDSET
+--R             if D has MTSCAT(D2,D3) and D2 has RING and D3 has ORDSET
 --R         
 --R   [4] (D,Integer) -> D from D if D has PADICCT(D2)
 --R   [5] (D,List(D2)) -> D from D if D has PTCAT(D2) and D2 has RING
 --R   [6] (List(D6),List(D)) -> List(D) from D
---R            if D has RSETCAT(D3,D4,D5,D6) and D3 has GCDDOM and D4 has 
---R            OAMONS and D5 has ORDSET and D6 has RPOLCAT(D3,D4,D5)
+--R             if D has RSETCAT(D3,D4,D5,D6) and D3 has GCDDOM and D4
+--R             has OAMONS and D5 has ORDSET and D6 has RPOLCAT(D3,D4,D5)
+--R            
 --R   [7] (List(D6),D) -> List(D) from D
---R            if D6 has RPOLCAT(D3,D4,D5) and D3 has GCDDOM and D4 has 
+--R             if D6 has RPOLCAT(D3,D4,D5) and D3 has GCDDOM and D4 has 
 --R            OAMONS and D5 has ORDSET and D has RSETCAT(D3,D4,D5,D6)
 --R   [8] (D2,List(D)) -> List(D) from D
---R            if D has RSETCAT(D3,D4,D5,D2) and D3 has GCDDOM and D4 has 
---R            OAMONS and D5 has ORDSET and D2 has RPOLCAT(D3,D4,D5)
+--R             if D has RSETCAT(D3,D4,D5,D2) and D3 has GCDDOM and D4
+--R             has OAMONS and D5 has ORDSET and D2 has RPOLCAT(D3,D4,D5)
+--R            
 --R   [9] (D2,D) -> List(D) from D
---R            if D3 has GCDDOM and D4 has OAMONS and D5 has ORDSET and D2
---R            has RPOLCAT(D3,D4,D5) and D has RSETCAT(D3,D4,D5,D2)
+--R             if D3 has GCDDOM and D4 has OAMONS and D5 has ORDSET and 
+--R            D2 has RPOLCAT(D3,D4,D5) and D has RSETCAT(D3,D4,D5,D2)
 --R   [10] (D,D1) -> D from D
---R            if D has TSETCAT(D2,D3,D4,D1) and D2 has INTDOM and D3 has 
---R            OAMONS and D4 has ORDSET and D1 has RPOLCAT(D2,D3,D4)
---R   [11] (D,D1) -> D from D
---R            if D has UPSCAT(D2,D1) and D2 has RING and D1 has OAMON
+--R             if D has TSETCAT(D2,D3,D4,D1) and D2 has INTDOM and D3
+--R             has OAMONS and D4 has ORDSET and D1 has RPOLCAT(D2,D3,D4)
+--R            
+--R   [11] (D,D1) -> D from D if D has UPSCAT(D2,D1) and D2 has RING and 
+--R            D1 has OAMON
 --R
 --RExamples of extend from ContinuedFraction
 --R
@@ -2160,12 +2170,12 @@
 --R   [4] Queue(D2) -> NonNegativeInteger from Queue(D2) if D2 has SETCAT
 --R            
 --R   [5] D -> D1 from D
---R            if D has VECTCAT(D1) and D1 has TYPE and D1 has RADCAT and 
+--R             if D has VECTCAT(D1) and D1 has TYPE and D1 has RADCAT and
 --R            D1 has RING
 --R
 --RThere are 6 unexposed functions called length :
 --R   [1] D2 -> D1 from GaloisGroupFactorizationUtilities(D3,D2,D1)
---R            if D3 has RING and D1 has Join(FloatingPointSystem,
+--R             if D3 has RING and D1 has Join(FloatingPointSystem,
 --R            RetractableTo(D3),Field,TranscendentalFunctionCategory,
 --R            ElementaryFunctionCategory) and D2 has UPOLYC(D3)
 --R   [2] LyndonWord(D2) -> PositiveInteger from LyndonWord(D2) if D2 has 
@@ -2173,10 +2183,10 @@
 --R   [3] Magma(D2) -> PositiveInteger from Magma(D2) if D2 has ORDSET
 --R   [4] OrderedFreeMonoid(D2) -> NonNegativeInteger from 
 --R            OrderedFreeMonoid(D2)
---R            if D2 has ORDSET
+--R             if D2 has ORDSET
 --R   [5] PoincareBirkhoffWittLyndonBasis(D2) -> NonNegativeInteger
---R            from PoincareBirkhoffWittLyndonBasis(D2) if D2 has ORDSET
---R         
+--R             from PoincareBirkhoffWittLyndonBasis(D2) if D2 has ORDSET
+--R            
 --R   [6] Tuple(D2) -> NonNegativeInteger from Tuple(D2) if D2 has TYPE
 --R         
 --R
@@ -2234,7 +2244,7 @@
 --RThere are 2 exposed functions called viewPosDefault :
 --R   [1]  -> List(NonNegativeInteger) from ViewDefaultsPackage
 --R   [2] List(NonNegativeInteger) -> List(NonNegativeInteger)
---R            from ViewDefaultsPackage
+--R             from ViewDefaultsPackage
 --R
 --RExamples of viewPosDefault from ViewDefaultsPackage
 --R
@@ -2246,33 +2256,33 @@
 --R
 --RThere are 5 exposed functions called groebner :
 --R   [1] List(D5) -> List(D5) from GroebnerPackage(D2,D3,D4,D5)
---R            if D5 has POLYCAT(D2,D3,D4) and D2 has GCDDOM and D3 has 
+--R             if D5 has POLYCAT(D2,D3,D4) and D2 has GCDDOM and D3 has 
 --R            OAMONS and D4 has ORDSET
 --R   [2] (List(D6),String) -> List(D6) from GroebnerPackage(D3,D4,D5,D6)
---R            if D6 has POLYCAT(D3,D4,D5) and D3 has GCDDOM and D4 has 
+--R             if D6 has POLYCAT(D3,D4,D5) and D3 has GCDDOM and D4 has 
 --R            OAMONS and D5 has ORDSET
 --R   [3] (List(D6),String,String) -> List(D6) from GroebnerPackage(D3,D4,
 --R            D5,D6)
---R            if D6 has POLYCAT(D3,D4,D5) and D3 has GCDDOM and D4 has 
+--R             if D6 has POLYCAT(D3,D4,D5) and D3 has GCDDOM and D4 has 
 --R            OAMONS and D5 has ORDSET
 --R   [4] PolynomialIdeals(D1,D2,D3,D4) -> PolynomialIdeals(D1,D2,D3,D4)
---R            from PolynomialIdeals(D1,D2,D3,D4)
---R            if D1 has FIELD and D2 has OAMONS and D3 has ORDSET and D4 
---R            has POLYCAT(D1,D2,D3)
+--R             from PolynomialIdeals(D1,D2,D3,D4)
+--R             if D1 has FIELD and D2 has OAMONS and D3 has ORDSET and D4
+--R             has POLYCAT(D1,D2,D3)
 --R   [5] List(D6) -> List(D6) from InterfaceGroebnerPackage(D2,D3,D4,D5,
 --R            D6)
---R            if D6 has POLYCAT(D2,D4,D5) and D2 has FIELD and D4 has 
+--R             if D6 has POLYCAT(D2,D4,D5) and D2 has FIELD and D4 has 
 --R            OAMONS and D5 has ORDSET and D3: LIST(SYMBOL)
 --R
 --RThere are 2 unexposed functions called groebner :
---R   [1] List(Polynomial(D2)) -> List(Polynomial(D2))
---R            from FGLMIfCanPackage(D2,D3) if D2 has GCDDOM and D3: LIST(
---R            SYMBOL)
+--R   [1] List(Polynomial(D2)) -> List(Polynomial(D2)) from 
+--R            FGLMIfCanPackage(D2,D3)
+--R             if D2 has GCDDOM and D3: LIST(SYMBOL)
 --R   [2] List(NewSparseMultivariatePolynomial(D2,OrderedVariableList(D3))
 --R            ) -> List(NewSparseMultivariatePolynomial(D2,OrderedVariableList(
 --R            D3)))
---R            from LexTriangularPackage(D2,D3)
---R            if D2 has GCDDOM and D3: LIST(SYMBOL)
+--R             from LexTriangularPackage(D2,D3) if D2 has GCDDOM and D3: 
+--R            LIST(SYMBOL)
 --R
 --RExamples of groebner from FGLMIfCanPackage
 --R
@@ -2342,22 +2352,22 @@
 --R
 --RThere are 7 exposed functions called map! :
 --R   [1] ((D2 -> D2),D) -> D from D
---R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            (D2) and D4 has FLAGG(D2)
+--R             if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has 
+--R            FLAGG(D2) and D4 has FLAGG(D2)
 --R   [2] ((D2 -> D2),ArrayStack(D2)) -> ArrayStack(D2) from ArrayStack(D2
 --R            )
---R            if $ has shallowlyMutable and D2 has SETCAT
+--R             if $ has shallowlyMutable and D2 has SETCAT
 --R   [3] ((D2 -> D2),Dequeue(D2)) -> Dequeue(D2) from Dequeue(D2)
---R            if $ has shallowlyMutable and D2 has SETCAT
+--R             if $ has shallowlyMutable and D2 has SETCAT
 --R   [4] ((D2 -> D2),Heap(D2)) -> Heap(D2) from Heap(D2)
---R            if $ has shallowlyMutable and D2 has ORDSET
+--R             if $ has shallowlyMutable and D2 has ORDSET
 --R   [5] ((D2 -> D2),D) -> D from D
---R            if D has shallowlyMutable and D has HOAGG(D2) and D2 has 
+--R             if D has shallowlyMutable and D has HOAGG(D2) and D2 has 
 --R            TYPE
 --R   [6] ((D2 -> D2),Queue(D2)) -> Queue(D2) from Queue(D2)
---R            if $ has shallowlyMutable and D2 has SETCAT
+--R             if $ has shallowlyMutable and D2 has SETCAT
 --R   [7] ((D2 -> D2),Stack(D2)) -> Stack(D2) from Stack(D2)
---R            if $ has shallowlyMutable and D2 has SETCAT
+--R             if $ has shallowlyMutable and D2 has SETCAT
 --R
 --RExamples of map! from TwoDimensionalArrayCategory
 --R
@@ -2410,7 +2420,7 @@
 --R
 --RThere is one exposed function called setleaves! :
 --R   [1] (BalancedBinaryTree(D2),List(D2)) -> BalancedBinaryTree(D2)
---R            from BalancedBinaryTree(D2) if D2 has SETCAT
+--R             from BalancedBinaryTree(D2) if D2 has SETCAT
 --R
 --RExamples of setleaves! from BalancedBinaryTree
 --R
@@ -2426,32 +2436,32 @@
 --RThere are 8 exposed functions called scan :
 --R   [1] (((D5,D4) -> D4),OneDimensionalArray(D5),D4) -> 
 --R            OneDimensionalArray(D4)
---R            from OneDimensionalArrayFunctions2(D5,D4)
---R            if D5 has TYPE and D4 has TYPE
+--R             from OneDimensionalArrayFunctions2(D5,D4) if D5 has TYPE 
+--R            and D4 has TYPE
 --R   [2] (((D6,D4) -> D4),DirectProduct(D5,D6),D4) -> DirectProduct(D5,D4
 --R            )
---R            from DirectProductFunctions2(D5,D6,D4)
---R            if D5: NNI and D6 has TYPE and D4 has TYPE
+--R             from DirectProductFunctions2(D5,D6,D4)
+--R             if D5: NNI and D6 has TYPE and D4 has TYPE
 --R   [3] (((D5,D4) -> D4),D3,D4) -> D1
---R            from FiniteLinearAggregateFunctions2(D5,D3,D4,D1)
---R            if D5 has TYPE and D4 has TYPE and D1 has FLAGG(D4) and D3 
---R            has FLAGG(D5)
+--R             from FiniteLinearAggregateFunctions2(D5,D3,D4,D1)
+--R             if D5 has TYPE and D4 has TYPE and D1 has FLAGG(D4) and D3
+--R             has FLAGG(D5)
 --R   [4] (((D5,D4) -> D4),D3,D4) -> D1
---R            from FiniteSetAggregateFunctions2(D5,D3,D4,D1)
---R            if D5 has SETCAT and D4 has SETCAT and D1 has FSAGG(D4) and
---R            D3 has FSAGG(D5)
+--R             from FiniteSetAggregateFunctions2(D5,D3,D4,D1)
+--R             if D5 has SETCAT and D4 has SETCAT and D1 has FSAGG(D4) 
+--R            and D3 has FSAGG(D5)
 --R   [5] (((D5,D4) -> D4),List(D5),D4) -> List(D4) from ListFunctions2(D5
 --R            ,D4)
---R            if D5 has TYPE and D4 has TYPE
+--R             if D5 has TYPE and D4 has TYPE
 --R   [6] (((D5,D4) -> D4),PrimitiveArray(D5),D4) -> PrimitiveArray(D4)
---R            from PrimitiveArrayFunctions2(D5,D4)
---R            if D5 has TYPE and D4 has TYPE
+--R             from PrimitiveArrayFunctions2(D5,D4) if D5 has TYPE and D4
+--R             has TYPE
 --R   [7] (D2,((D5,D2) -> D2),Stream(D5)) -> Stream(D2)
---R            from StreamFunctions2(D5,D2) if D5 has TYPE and D2 has TYPE
---R            
+--R             from StreamFunctions2(D5,D2) if D5 has TYPE and D2 has 
+--R            TYPE
 --R   [8] (((D5,D4) -> D4),Vector(D5),D4) -> Vector(D4)
---R            from VectorFunctions2(D5,D4) if D5 has TYPE and D4 has TYPE
---R            
+--R             from VectorFunctions2(D5,D4) if D5 has TYPE and D4 has 
+--R            TYPE
 --R
 --RExamples of scan from OneDimensionalArrayFunctions2
 --R
@@ -2512,57 +2522,55 @@
 --R   [1] (D,D) -> D from D if D has ABELSG
 --R   [2] (Color,Color) -> Color from Color
 --R   [3] (Database(D1),Database(D1)) -> Database(D1) from Database(D1)
---R            if D1 has OrderedSet with 
+--R             if D1 has OrderedSetwith
 --R               ?.? : (%,Symbol) -> String
 --R               display : % -> Void
 --R               fullDisplay : % -> Void
 --R   [4] (Equation(D1),D1) -> Equation(D1) from Equation(D1)
---R            if D1 has ABELSG and D1 has TYPE
+--R             if D1 has ABELSG and D1 has TYPE
 --R   [5] (D1,Equation(D1)) -> Equation(D1) from Equation(D1)
---R            if D1 has ABELSG and D1 has TYPE
---R   [6] (D1,D) -> D from D
---R            if D has FAMONC(D1,D2) and D1 has SETCAT and D2 has CABMON
---R            
+--R             if D1 has ABELSG and D1 has TYPE
+--R   [6] (D1,D) -> D from D if D has FAMONC(D1,D2) and D1 has SETCAT and 
+--R            D2 has CABMON
 --R   [7] (D1,FullPartialFractionExpansion(D2,D1)) -> 
 --R            FullPartialFractionExpansion(D2,D1)
---R            from FullPartialFractionExpansion(D2,D1)
---R            if D2 has Join(Field,CharacteristicZero) and D1 has UPOLYC(
---R            D2)
---R   [8] (D,D) -> D from D
---R            if D has GRMOD(D1,D2) and D1 has COMRING and D2 has ABELMON
---R            
+--R             from FullPartialFractionExpansion(D2,D1)
+--R             if D2 has Join(Field,CharacteristicZero) and D1 has UPOLYC
+--R            (D2)
+--R   [8] (D,D) -> D from D if D has GRMOD(D1,D2) and D1 has COMRING and 
+--R            D2 has ABELMON
 --R   [9] (PolynomialIdeals(D1,D2,D3,D4),PolynomialIdeals(D1,D2,D3,D4))
 --R             -> PolynomialIdeals(D1,D2,D3,D4)
---R            from PolynomialIdeals(D1,D2,D3,D4)
---R            if D1 has FIELD and D2 has OAMONS and D3 has ORDSET and D4 
---R            has POLYCAT(D1,D2,D3)
+--R             from PolynomialIdeals(D1,D2,D3,D4)
+--R             if D1 has FIELD and D2 has OAMONS and D3 has ORDSET and D4
+--R             has POLYCAT(D1,D2,D3)
 --R   [10] ((D2 -> D3),(D2 -> D3)) -> (D2 -> D3) from MappingPackage4(D2,
 --R            D3)
---R            if D2 has SETCAT and D3 has RING
+--R             if D2 has SETCAT and D3 has RING
 --R   [11] (D,D) -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
---R            D1) and D3 has FLAGG(D1)
+--R             if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG
+--R            (D1) and D3 has FLAGG(D1)
 --R   [12] (D,Divisor(D)) -> Divisor(D) from D
---R            if D has PLACESC(D2,D3) and D2 has FIELD and D3 has LOCPOWC
---R            (D2)
+--R             if D has PLACESC(D2,D3) and D2 has FIELD and D3 has 
+--R            LOCPOWC(D2)
 --R   [13] (Divisor(D),D) -> Divisor(D) from D
---R            if D has PLACESC(D2,D3) and D2 has FIELD and D3 has LOCPOWC
---R            (D2)
+--R             if D has PLACESC(D2,D3) and D2 has FIELD and D3 has 
+--R            LOCPOWC(D2)
 --R   [14] (D,D) -> Divisor(D) from D
---R            if D2 has FIELD and D3 has LOCPOWC(D2) and D has PLACESC(D2
---R            ,D3)
---R   [15] (D,D) -> D from D
---R            if D has VECTCAT(D1) and D1 has TYPE and D1 has ABELSG
+--R             if D2 has FIELD and D3 has LOCPOWC(D2) and D has PLACESC(
+--R            D2,D3)
+--R   [15] (D,D) -> D from D if D has VECTCAT(D1) and D1 has TYPE and D1
+--R             has ABELSG
 --R
 --RThere are 5 unexposed functions called + :
 --R   [1] (InputForm,InputForm) -> InputForm from InputForm
 --R   [2] (OutputForm,OutputForm) -> OutputForm from OutputForm
---R   [3] (Pattern(D1),Pattern(D1)) -> Pattern(D1) from Pattern(D1)
---R            if D1 has SETCAT
+--R   [3] (Pattern(D1),Pattern(D1)) -> Pattern(D1) from Pattern(D1) if D1
+--R             has SETCAT
 --R   [4] (Stream(D2),Stream(D2)) -> Stream(D2)
---R            from StreamTaylorSeriesOperations(D2) if D2 has RING
+--R             from StreamTaylorSeriesOperations(D2) if D2 has RING
 --R   [5] (Point(DoubleFloat),Point(DoubleFloat)) -> Point(DoubleFloat)
---R            from TubePlotTools
+--R             from TubePlotTools
 --R
 --RExamples of + from AbelianSemiGroup
 --R
@@ -2632,57 +2640,55 @@
 --R   [2] D -> D from D if D has ABELGRP
 --R   [3] (CardinalNumber,CardinalNumber) -> Union(CardinalNumber,"failed"
 --R            )
---R            from CardinalNumber
+--R             from CardinalNumber
 --R   [4] (Database(D1),Database(D1)) -> Database(D1) from Database(D1)
---R            if D1 has OrderedSet with 
+--R             if D1 has OrderedSetwith
 --R               ?.? : (%,Symbol) -> String
 --R               display : % -> Void
 --R               fullDisplay : % -> Void
 --R   [5] (Equation(D1),D1) -> Equation(D1) from Equation(D1)
---R            if D1 has ABELGRP and D1 has TYPE
+--R             if D1 has ABELGRP and D1 has TYPE
 --R   [6] (D1,Equation(D1)) -> Equation(D1) from Equation(D1)
---R            if D1 has ABELGRP and D1 has TYPE
---R   [7] (D,D) -> D from D
---R            if D has GRMOD(D1,D2) and D1 has COMRING and D2 has ABELMON
---R            
---R   [8] D -> D from D
---R            if D has GRMOD(D1,D2) and D1 has COMRING and D2 has ABELMON
---R            
+--R             if D1 has ABELGRP and D1 has TYPE
+--R   [7] (D,D) -> D from D if D has GRMOD(D1,D2) and D1 has COMRING and 
+--R            D2 has ABELMON
+--R   [8] D -> D from D if D has GRMOD(D1,D2) and D1 has COMRING and D2
+--R             has ABELMON
 --R   [9] ((D2 -> D3),(D2 -> D3)) -> (D2 -> D3) from MappingPackage4(D2,D3
 --R            )
---R            if D2 has SETCAT and D3 has RING
+--R             if D2 has SETCAT and D3 has RING
 --R   [10] D -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
---R            D1) and D3 has FLAGG(D1)
+--R             if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG
+--R            (D1) and D3 has FLAGG(D1)
 --R   [11] (D,D) -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
---R            D1) and D3 has FLAGG(D1)
+--R             if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG
+--R            (D1) and D3 has FLAGG(D1)
 --R   [12] D -> Divisor(D) from D
---R            if D2 has FIELD and D3 has LOCPOWC(D2) and D has PLACESC(D2
---R            ,D3)
+--R             if D2 has FIELD and D3 has LOCPOWC(D2) and D has PLACESC(
+--R            D2,D3)
 --R   [13] (D,Divisor(D)) -> Divisor(D) from D
---R            if D has PLACESC(D2,D3) and D2 has FIELD and D3 has LOCPOWC
---R            (D2)
+--R             if D has PLACESC(D2,D3) and D2 has FIELD and D3 has 
+--R            LOCPOWC(D2)
 --R   [14] (Divisor(D),D) -> Divisor(D) from D
---R            if D has PLACESC(D2,D3) and D2 has FIELD and D3 has LOCPOWC
---R            (D2)
+--R             if D has PLACESC(D2,D3) and D2 has FIELD and D3 has 
+--R            LOCPOWC(D2)
 --R   [15] (D,D) -> Divisor(D) from D
---R            if D2 has FIELD and D3 has LOCPOWC(D2) and D has PLACESC(D2
---R            ,D3)
---R   [16] (D,D) -> D from D
---R            if D has VECTCAT(D1) and D1 has TYPE and D1 has ABELGRP
---R   [17] D -> D from D
---R            if D has VECTCAT(D1) and D1 has TYPE and D1 has ABELGRP
+--R             if D2 has FIELD and D3 has LOCPOWC(D2) and D has PLACESC(
+--R            D2,D3)
+--R   [16] (D,D) -> D from D if D has VECTCAT(D1) and D1 has TYPE and D1
+--R             has ABELGRP
+--R   [17] D -> D from D if D has VECTCAT(D1) and D1 has TYPE and D1 has 
+--R            ABELGRP
 --R
 --RThere are 5 unexposed functions called - :
 --R   [1] OutputForm -> OutputForm from OutputForm
 --R   [2] (OutputForm,OutputForm) -> OutputForm from OutputForm
 --R   [3] (Stream(D2),Stream(D2)) -> Stream(D2)
---R            from StreamTaylorSeriesOperations(D2) if D2 has RING
+--R             from StreamTaylorSeriesOperations(D2) if D2 has RING
 --R   [4] Stream(D2) -> Stream(D2) from StreamTaylorSeriesOperations(D2)
---R            if D2 has RING
+--R             if D2 has RING
 --R   [5] (Point(DoubleFloat),Point(DoubleFloat)) -> Point(DoubleFloat)
---R            from TubePlotTools
+--R             from TubePlotTools
 --R
 --RExamples of - from AbelianGroup
 --R
@@ -2742,84 +2748,84 @@
 --R
 --RThere are 15 exposed functions called / :
 --R   [1] (D,D1) -> D from D
---R            if D has AMR(D1,D2) and D1 has RING and D2 has OAMON and D1
---R            has FIELD
+--R             if D has AMR(D1,D2) and D1 has RING and D2 has OAMON and 
+--R            D1 has FIELD
 --R   [2] (DoubleFloat,Integer) -> DoubleFloat from DoubleFloat
 --R   [3] (D,D) -> D from D
---R            if D = EQ(D1) and D1 has FIELD and D1 has TYPE or D = EQ(D1
---R            ) and D1 has GROUP and D1 has TYPE
+--R             if D = EQ(D1) and D1 has FIELD and D1 has TYPE or D = EQ(
+--R            D1) and D1 has GROUP and D1 has TYPE
 --R   [4] (D,D) -> D from D if D has FIELD
 --R   [5] (Float,Integer) -> Float from Float
 --R   [6] (SparseMultivariatePolynomial(D2,Kernel(D)),
 --R            SparseMultivariatePolynomial(D2,Kernel(D))) -> D
---R            from D if D2 has INTDOM and D2 has ORDSET and D has FS(D2)
+--R             from D if D2 has INTDOM and D2 has ORDSET and D has FS(D2)
 --R            
 --R   [7] (D,D) -> D from D if D has GROUP
---R   [8] (D,D1) -> D from D
---R            if D has LIECAT(D1) and D1 has COMRING and D1 has FIELD
+--R   [8] (D,D1) -> D from D if D has LIECAT(D1) and D1 has COMRING and D1
+--R             has FIELD
 --R   [9] ((D2 -> Expression(Integer)),(D2 -> Expression(Integer))) -> (D2
 --R             -> Expression(Integer))
---R            from MappingPackage4(D2,D3) if D2 has SETCAT and D3 has 
+--R             from MappingPackage4(D2,D3) if D2 has SETCAT and D3 has 
 --R            RING
 --R   [10] (D,D1) -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
---R            D1) and D3 has FLAGG(D1) and D1 has FIELD
+--R             if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG
+--R            (D1) and D3 has FLAGG(D1) and D1 has FIELD
 --R   [11] (MyExpression(D1,D2),MyExpression(D1,D2)) -> MyExpression(D1,D2
 --R            )
---R            from MyExpression(D1,D2)
---R            if D1: SYMBOL and D2 has Join(Ring,OrderedSet,
+--R             from MyExpression(D1,D2)
+--R             if D1: SYMBOL and D2 has Join(Ring,OrderedSet,
 --R            IntegralDomain)
 --R   [12] (D1,D1) -> D from D if D has QFCAT(D1) and D1 has INTDOM
 --R   [13] (D,D1) -> D from D
---R            if D has RMATCAT(D2,D3,D1,D4,D5) and D1 has RING and D4 has
---R            DIRPCAT(D3,D1) and D5 has DIRPCAT(D2,D1) and D1 has FIELD
---R         
+--R             if D has RMATCAT(D2,D3,D1,D4,D5) and D1 has RING and D4
+--R             has DIRPCAT(D3,D1) and D5 has DIRPCAT(D2,D1) and D1 has 
+--R            FIELD
 --R   [14] (StochasticDifferential(D2),Expression(D2)) -> 
 --R            StochasticDifferential(D2)
---R            from StochasticDifferential(D2)
---R            if D2 has Join(OrderedSet,IntegralDomain)
+--R             from StochasticDifferential(D2)
+--R             if D2 has Join(OrderedSet,IntegralDomain)
 --R   [15] (D,D1) -> D from D if D has VSPACE(D1) and D1 has FIELD
 --R
 --RThere are 12 unexposed functions called / :
 --R   [1] (Vector(D2),Vector(D2)) -> Vector(D2)
---R            from InnerNormalBasisFieldFunctions(D2) if D2 has FFIELDC
---R         
+--R             from InnerNormalBasisFieldFunctions(D2) if D2 has FFIELDC
+--R            
 --R   [2] (InputForm,InputForm) -> InputForm from InputForm
 --R   [3] (D1,D2) -> LocalAlgebra(D1,D3,D2) from LocalAlgebra(D1,D3,D2)
---R            if D3 has COMRING and D1 has ALGEBRA(D3) and D2 has 
+--R             if D3 has COMRING and D1 has ALGEBRA(D3) and D2 has 
 --R            SubsetCategory(Monoid,D3)
 --R   [4] (LocalAlgebra(D2,D3,D1),D1) -> LocalAlgebra(D2,D3,D1)
---R            from LocalAlgebra(D2,D3,D1)
---R            if D3 has COMRING and D2 has ALGEBRA(D3) and D1 has 
+--R             from LocalAlgebra(D2,D3,D1)
+--R             if D3 has COMRING and D2 has ALGEBRA(D3) and D1 has 
 --R            SubsetCategory(Monoid,D3)
 --R   [5] (D1,D2) -> Localize(D1,D3,D2) from Localize(D1,D3,D2)
---R            if D3 has COMRING and D1 has MODULE(D3) and D2 has 
+--R             if D3 has COMRING and D1 has MODULE(D3) and D2 has 
 --R            SubsetCategory(Monoid,D3)
 --R   [6] (Localize(D2,D3,D1),D1) -> Localize(D2,D3,D1) from Localize(D2,
 --R            D3,D1)
---R            if D3 has COMRING and D2 has MODULE(D3) and D1 has 
+--R             if D3 has COMRING and D2 has MODULE(D3) and D1 has 
 --R            SubsetCategory(Monoid,D3)
 --R   [7] (OutputForm,OutputForm) -> OutputForm from OutputForm
 --R   [8] (OrdinaryWeightedPolynomials(D1,D2,D3,D4),
 --R            OrdinaryWeightedPolynomials(D1,D2,D3,D4)) -> Union(
 --R            OrdinaryWeightedPolynomials(D1,D2,D3,D4),"failed")
---R            from OrdinaryWeightedPolynomials(D1,D2,D3,D4)
---R            if D1 has FIELD and D1 has RING and D2: LIST(SYMBOL) and D3
---R            : LIST(NNI) and D4: NNI
---R   [9] (Pattern(D1),Pattern(D1)) -> Pattern(D1) from Pattern(D1)
---R            if D1 has SETCAT
+--R             from OrdinaryWeightedPolynomials(D1,D2,D3,D4)
+--R             if D1 has FIELD and D1 has RING and D2: LIST(SYMBOL) and 
+--R            D3: LIST(NNI) and D4: NNI
+--R   [9] (Pattern(D1),Pattern(D1)) -> Pattern(D1) from Pattern(D1) if D1
+--R             has SETCAT
 --R   [10] (Stream(D2),Stream(D2)) -> Stream(D2)
---R            from StreamTaylorSeriesOperations(D2) if D2 has RING
+--R             from StreamTaylorSeriesOperations(D2) if D2 has RING
 --R   [11] (WeightedPolynomials(D1,D2,D3,D4,D5,D6,D7),WeightedPolynomials(
 --R            D1,D2,D3,D4,D5,D6,D7)) -> Union(WeightedPolynomials(D1,D2,D3,D4,
 --R            D5,D6,D7),"failed")
---R            from WeightedPolynomials(D1,D2,D3,D4,D5,D6,D7)
---R            if D1 has FIELD and D1 has RING and D2 has ORDSET and D3 
---R            has OAMONS and D5: LIST(D2) and D4 has POLYCAT(D1,D3,D2) 
+--R             from WeightedPolynomials(D1,D2,D3,D4,D5,D6,D7)
+--R             if D1 has FIELD and D1 has RING and D2 has ORDSET and D3
+--R             has OAMONS and D5: LIST(D2) and D4 has POLYCAT(D1,D3,D2) 
 --R            and D6: LIST(NNI) and D7: NNI
 --R   [12] (XPolynomialRing(D1,D2),D1) -> XPolynomialRing(D1,D2)
---R            from XPolynomialRing(D1,D2)
---R            if D1 has FIELD and D1 has RING and D2 has ORDMON
+--R             from XPolynomialRing(D1,D2)
+--R             if D1 has FIELD and D1 has RING and D2 has ORDMON
 --R
 --RExamples of / from AbelianMonoidRing
 --R
@@ -2911,26 +2917,26 @@
 --R
 --RThere is one exposed function called integralBasis :
 --R   [1]  -> Vector(D) from D
---R            if D2 has UFD and D3 has UPOLYC(D2) and D4 has UPOLYC(FRAC(
---R            D3)) and D has FFCAT(D2,D3,D4)
+--R             if D2 has UFD and D3 has UPOLYC(D2) and D4 has UPOLYC(FRAC
+--R            (D3)) and D has FFCAT(D2,D3,D4)
 --R
 --RThere are 4 unexposed functions called integralBasis :
 --R   [1]  -> Record(basis: Matrix(D2),basisDen: D2,basisInv: Matrix(D2))
---R            from FunctionFieldIntegralBasis(D2,D3,D4)
---R            if D2 has EuclideanDomain with 
+--R             from FunctionFieldIntegralBasis(D2,D3,D4)
+--R             if D2 has EuclideanDomainwith
 --R               squareFree : % -> Factored(%)and D3 has UPOLYC(D2) 
 --R            and D4 has FRAMALG(D2,D3)
 --R   [2]  -> Record(basis: Matrix(Integer),basisDen: Integer,basisInv: 
 --R            Matrix(Integer))
---R            from NumberFieldIntegralBasis(D2,D3)
---R            if D2 has UPOLYC(INT) and D3 has FRAMALG(INT,D2)
+--R             from NumberFieldIntegralBasis(D2,D3)
+--R             if D2 has UPOLYC(INT) and D3 has FRAMALG(INT,D2)
 --R   [3]  -> Record(basis: Matrix(D3),basisDen: D3,basisInv: Matrix(D3))
---R            from PAdicWildFunctionFieldIntegralBasis(D2,D3,D4,D5)
---R            if D2 has FFIELDC and D3 has UPOLYC(D2) and D4 has UPOLYC(
+--R             from PAdicWildFunctionFieldIntegralBasis(D2,D3,D4,D5)
+--R             if D2 has FFIELDC and D3 has UPOLYC(D2) and D4 has UPOLYC(
 --R            D3) and D5 has MONOGEN(D3,D4)
 --R   [4]  -> Record(basis: Matrix(D3),basisDen: D3,basisInv: Matrix(D3))
---R            from WildFunctionFieldIntegralBasis(D2,D3,D4,D5)
---R            if D2 has FFIELDC and D3 has UPOLYC(D2) and D4 has UPOLYC(
+--R             from WildFunctionFieldIntegralBasis(D2,D3,D4,D5)
+--R             if D2 has FFIELDC and D3 has UPOLYC(D2) and D4 has UPOLYC(
 --R            D3) and D5 has FRAMALG(D3,D4)
 --R
 --RExamples of integralBasis from FunctionFieldCategory
@@ -2962,32 +2968,32 @@
 --R   [1] D2 -> Factored(D2) from AlgFactor(D2) if D2 has UPOLYC(AN)
 --R   [2] (D2,BinarySearchTree(D2)) -> Record(less: BinarySearchTree(D2),
 --R            greater: BinarySearchTree(D2))
---R            from BinarySearchTree(D2) if D2 has ORDSET
+--R             from BinarySearchTree(D2) if D2 has ORDSET
 --R   [3] D -> List(D) from D if D2 has SETCAT and D has DIVCAT(D2)
 --R   [4] IntegrationResult(D3) -> IntegrationResult(D3)
---R            from IntegrationResultToFunction(D2,D3)
---R            if D3 has Join(AlgebraicallyClosedFunctionSpace(D2),
+--R             from IntegrationResultToFunction(D2,D3)
+--R             if D3 has Join(AlgebraicallyClosedFunctionSpace(D2),
 --R            TranscendentalFunctionCategory) and D2 has Join(GcdDomain,
 --R            RetractableTo(Integer),OrderedSet,LinearlyExplicitRingOver(
 --R            Integer))
 --R   [5] IntegrationResult(Fraction(Polynomial(D2))) -> IntegrationResult
 --R            (Fraction(Polynomial(D2)))
---R            from IntegrationResultRFToFunction(D2)
---R            if D2 has Join(GcdDomain,RetractableTo(Integer),OrderedSet,
---R            LinearlyExplicitRingOver(Integer))
+--R             from IntegrationResultRFToFunction(D2)
+--R             if D2 has Join(GcdDomain,RetractableTo(Integer),OrderedSet
+--R            ,LinearlyExplicitRingOver(Integer))
 --R   [6] (List(Matrix(D4)),Vector(D4)) -> List(List(Matrix(D4)))
---R            from RepresentationPackage2(D4) if D4 has FIELD and D4 has 
---R            RING
+--R             from RepresentationPackage2(D4) if D4 has FIELD and D4
+--R             has RING
 --R   [7] (List(Matrix(D4)),Vector(Vector(D4))) -> List(List(Matrix(D4)))
---R            from RepresentationPackage2(D4) if D4 has FIELD and D4 has 
---R            RING
+--R             from RepresentationPackage2(D4) if D4 has FIELD and D4
+--R             has RING
 --R   [8] (D,CharacterClass) -> List(D) from D if D has SRAGG
 --R   [9] (D,Character) -> List(D) from D if D has SRAGG
 --R
 --RThere is one unexposed function called split :
 --R   [1] (D2,(D2 -> D2)) -> Record(normal: D2,special: D2)
---R            from MonomialExtensionTools(D4,D2)
---R            if D2 has UPOLYC(D4) and D4 has FIELD
+--R             from MonomialExtensionTools(D4,D2) if D2 has UPOLYC(D4) 
+--R            and D4 has FIELD
 --R
 --RExamples of split from AlgFactor
 --R
@@ -3023,13 +3029,12 @@
 --R
 --RThere are 3 exposed functions called qelt :
 --R   [1] (D,Integer,Integer) -> D1 from D
---R            if D has ARR2CAT(D1,D3,D4) and D3 has FLAGG(D1) and D4 has 
---R            FLAGG(D1) and D1 has TYPE
---R   [2] (D,D2) -> D1 from D
---R            if D has ELTAGG(D2,D1) and D2 has SETCAT and D1 has TYPE
---R         
+--R             if D has ARR2CAT(D1,D3,D4) and D3 has FLAGG(D1) and D4
+--R             has FLAGG(D1) and D1 has TYPE
+--R   [2] (D,D2) -> D1 from D if D has ELTAGG(D2,D1) and D2 has SETCAT and
+--R            D1 has TYPE
 --R   [3] (D,Integer,Integer) -> D1 from D
---R            if D has RMATCAT(D3,D4,D1,D5,D6) and D5 has DIRPCAT(D4,D1) 
+--R             if D has RMATCAT(D3,D4,D1,D5,D6) and D5 has DIRPCAT(D4,D1)
 --R            and D6 has DIRPCAT(D3,D1) and D1 has RING
 --R
 --RExamples of qelt from TwoDimensionalArrayCategory
@@ -3052,9 +3057,9 @@
 --RThere are 2 exposed functions called mapUp! :
 --R   [1] (BalancedBinaryTree(D2),BalancedBinaryTree(D2),((D2,D2,D2,D2)
 --R             -> D2)) -> BalancedBinaryTree(D2)
---R            from BalancedBinaryTree(D2) if D2 has SETCAT
+--R             from BalancedBinaryTree(D2) if D2 has SETCAT
 --R   [2] (BalancedBinaryTree(D1),((D1,D1) -> D1)) -> D1
---R            from BalancedBinaryTree(D1) if D1 has SETCAT
+--R             from BalancedBinaryTree(D1) if D1 has SETCAT
 --R
 --RExamples of mapUp! from BalancedBinaryTree
 --R
@@ -3081,8 +3086,8 @@
 --RThere is one exposed function called reindex :
 --R   [1] (CartesianTensor(D2,D3,D4),List(Integer)) -> CartesianTensor(D2,
 --R            D3,D4)
---R            from CartesianTensor(D2,D3,D4)
---R            if D2: INT and D3: NNI and D4 has COMRING
+--R             from CartesianTensor(D2,D3,D4) if D2: INT and D3: NNI and 
+--R            D4 has COMRING
 --R
 --RExamples of reindex from CartesianTensor
 --R
@@ -3100,10 +3105,10 @@
 --RThere are 2 exposed functions called mapDown! :
 --R   [1] (BalancedBinaryTree(D1),D1,((D1,D1,D1) -> List(D1))) -> 
 --R            BalancedBinaryTree(D1)
---R            from BalancedBinaryTree(D1) if D1 has SETCAT
+--R             from BalancedBinaryTree(D1) if D1 has SETCAT
 --R   [2] (BalancedBinaryTree(D1),D1,((D1,D1) -> D1)) -> 
 --R            BalancedBinaryTree(D1)
---R            from BalancedBinaryTree(D1) if D1 has SETCAT
+--R             from BalancedBinaryTree(D1) if D1 has SETCAT
 --R
 --RExamples of mapDown! from BalancedBinaryTree
 --R
@@ -3129,14 +3134,14 @@
 --R
 --RThere are 3 exposed functions called nrows :
 --R   [1] D -> NonNegativeInteger from D
---R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            (D2) and D4 has FLAGG(D2)
+--R             if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has 
+--R            FLAGG(D2) and D4 has FLAGG(D2)
 --R   [2] D -> NonNegativeInteger from D
---R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
---R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
+--R             if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5
+--R             has DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
 --R   [3] SparseEchelonMatrix(D2,D3) -> NonNegativeInteger
---R            from SparseEchelonMatrix(D2,D3) if D2 has ORDSET and D3 has
---R            RING
+--R             from SparseEchelonMatrix(D2,D3) if D2 has ORDSET and D3
+--R             has RING
 --R
 --RExamples of nrows from TwoDimensionalArrayCategory
 --R
@@ -3157,15 +3162,15 @@
 --R
 --RThere are 3 exposed functions called row :
 --R   [1] (D,Integer) -> D1 from D
---R            if D has ARR2CAT(D3,D1,D4) and D3 has TYPE and D4 has FLAGG
---R            (D3) and D1 has FLAGG(D3)
+--R             if D has ARR2CAT(D3,D1,D4) and D3 has TYPE and D4 has 
+--R            FLAGG(D3) and D1 has FLAGG(D3)
 --R   [2] (D,Integer) -> D1 from D
---R            if D has RMATCAT(D3,D4,D5,D1,D6) and D5 has RING and D6 has
---R            DIRPCAT(D3,D5) and D1 has DIRPCAT(D4,D5)
+--R             if D has RMATCAT(D3,D4,D5,D1,D6) and D5 has RING and D6
+--R             has DIRPCAT(D3,D5) and D1 has DIRPCAT(D4,D5)
 --R   [3] (SparseEchelonMatrix(D3,D4),Integer) -> Record(Indices: List(D3)
 --R            ,Entries: List(D4))
---R            from SparseEchelonMatrix(D3,D4) if D3 has ORDSET and D4 has
---R            RING
+--R             from SparseEchelonMatrix(D3,D4) if D3 has ORDSET and D4
+--R             has RING
 --R
 --RExamples of row from TwoDimensionalArrayCategory
 --R
@@ -3187,7 +3192,7 @@
 --RThere is one exposed function called ravel :
 --R   [1] CartesianTensor(D2,D3,D4) -> List(D4) from CartesianTensor(D2,D3
 --R            ,D4)
---R            if D2: INT and D3: NNI and D4 has COMRING
+--R             if D2: INT and D3: NNI and D4 has COMRING
 --R
 --RExamples of ravel from CartesianTensor
 --R
@@ -3203,7 +3208,7 @@
 --R
 --RThere is one exposed function called inverseIntegralMatrix :
 --R   [1]  -> Matrix(Fraction(D3)) from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R             if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
 --R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RExamples of inverseIntegralMatrix from FunctionFieldCategory
@@ -3226,20 +3231,20 @@
 --RThere are 3 exposed functions called contract :
 --R   [1] (CartesianTensor(D2,D3,D4),Integer,Integer) -> CartesianTensor(
 --R            D2,D3,D4)
---R            from CartesianTensor(D2,D3,D4)
---R            if D2: INT and D3: NNI and D4 has COMRING
+--R             from CartesianTensor(D2,D3,D4) if D2: INT and D3: NNI and 
+--R            D4 has COMRING
 --R   [2] (CartesianTensor(D2,D3,D4),Integer,CartesianTensor(D2,D3,D4),
 --R            Integer) -> CartesianTensor(D2,D3,D4)
---R            from CartesianTensor(D2,D3,D4)
---R            if D2: INT and D3: NNI and D4 has COMRING
+--R             from CartesianTensor(D2,D3,D4) if D2: INT and D3: NNI and 
+--R            D4 has COMRING
 --R   [3] (PolynomialIdeals(Fraction(Integer),DirectProduct(D4,
 --R            NonNegativeInteger),OrderedVariableList(D3),
 --R            DistributedMultivariatePolynomial(D3,Fraction(Integer))),List(
 --R            OrderedVariableList(D3))) -> PolynomialIdeals(Fraction(Integer),
 --R            DirectProduct(D4,NonNegativeInteger),OrderedVariableList(D3),
 --R            DistributedMultivariatePolynomial(D3,Fraction(Integer)))
---R            from IdealDecompositionPackage(D3,D4)
---R            if D3: LIST(SYMBOL) and D4: NNI
+--R             from IdealDecompositionPackage(D3,D4) if D3: LIST(SYMBOL) 
+--R            and D4: NNI
 --R
 --RExamples of contract from CartesianTensor
 --R
@@ -3289,8 +3294,8 @@
 --R   [7] (D,D1) -> D from D if D has LNAGG(D1) and D1 has TYPE
 --R   [8] (RoutinesTable,RoutinesTable) -> RoutinesTable from 
 --R            RoutinesTable
---R   [9] Stream(Stream(D3)) -> Stream(D3) from StreamFunctions1(D3)
---R            if D3 has TYPE
+--R   [9] Stream(Stream(D3)) -> Stream(D3) from StreamFunctions1(D3) if D3
+--R             has TYPE
 --R   [10] (D1,D) -> D from D if D has URAGG(D1) and D1 has TYPE
 --R   [11] (D,D) -> D from D if D has URAGG(D1) and D1 has TYPE
 --R
@@ -3323,8 +3328,8 @@
 --R 
 --R
 --RThere is one exposed function called binaryTournament :
---R   [1] List(D2) -> BinaryTournament(D2) from BinaryTournament(D2)
---R            if D2 has ORDSET
+--R   [1] List(D2) -> BinaryTournament(D2) from BinaryTournament(D2) if D2
+--R             has ORDSET
 --R
 --RExamples of binaryTournament from BinaryTournament
 --R
@@ -3366,13 +3371,13 @@
 --RThere are 2 unexposed functions called exponent :
 --R   [1] ExponentialOfUnivariatePuiseuxSeries(D2,D3,D4) -> 
 --R            UnivariatePuiseuxSeries(D2,D3,D4)
---R            from ExponentialOfUnivariatePuiseuxSeries(D2,D3,D4)
---R            if D2 has Join(Field,OrderedSet) and D3: SYMBOL and D4: D2
+--R             from ExponentialOfUnivariatePuiseuxSeries(D2,D3,D4)
+--R             if D2 has Join(Field,OrderedSet) and D3: SYMBOL and D4: D2
 --R            
 --R   [2] ModuleMonomial(D2,D1,D3) -> D1 from ModuleMonomial(D2,D1,D3)
---R            if D1 has SETCAT and D2 has ORDSET and D3: ((Record(index: 
---R            D2,exponent: D1),Record(index: D2,exponent: D1)) -> Boolean
---R            )
+--R             if D1 has SETCAT and D2 has ORDSET and D3: ((Record(index
+--R            : D2,exponent: D1),Record(index: D2,exponent: D1)) -> 
+--R            Boolean)
 --R
 --RExamples of exponent from ExponentialOfUnivariatePuiseuxSeries
 --R
@@ -3399,15 +3404,15 @@
 --R
 --RThere are 3 exposed functions called setRow! :
 --R   [1] (D,Integer,D2) -> D from D
---R            if D has ARR2CAT(D3,D2,D4) and D3 has TYPE and D2 has FLAGG
---R            (D3) and D4 has FLAGG(D3)
+--R             if D has ARR2CAT(D3,D2,D4) and D3 has TYPE and D2 has 
+--R            FLAGG(D3) and D4 has FLAGG(D3)
 --R   [2] (SparseEchelonMatrix(D5,D6),Integer,List(D5),List(D6)) -> Void
---R            from SparseEchelonMatrix(D5,D6) if D5 has ORDSET and D6 has
---R            RING
+--R             from SparseEchelonMatrix(D5,D6) if D5 has ORDSET and D6
+--R             has RING
 --R   [3] (SparseEchelonMatrix(D4,D5),Integer,Record(Indices: List(D4),
 --R            Entries: List(D5))) -> Void
---R            from SparseEchelonMatrix(D4,D5) if D4 has ORDSET and D5 has
---R            RING
+--R             from SparseEchelonMatrix(D4,D5) if D4 has ORDSET and D5
+--R             has RING
 --R
 --RExamples of setRow! from TwoDimensionalArrayCategory
 --R
@@ -3428,9 +3433,9 @@
 --R
 --RThere are 4 exposed functions called generate :
 --R   [1] (NonNegativeInteger,NonNegativeInteger) -> Vector(List(Integer))
---R            from HallBasis
---R   [2] ((D2 -> D2),D2) -> InfiniteTuple(D2) from InfiniteTuple(D2)
---R            if D2 has TYPE
+--R             from HallBasis
+--R   [2] ((D2 -> D2),D2) -> InfiniteTuple(D2) from InfiniteTuple(D2) if 
+--R            D2 has TYPE
 --R   [3] ((D2 -> D2),D2) -> Stream(D2) from Stream(D2) if D2 has TYPE
 --R   [4] (() -> D2) -> Stream(D2) from Stream(D2) if D2 has TYPE
 --R
@@ -3458,39 +3463,39 @@
 --R   [1] List(D) -> D from D if D has GCDDOM
 --R   [2] (D,D) -> D from D if D has GCDDOM
 --R   [3] (D1,D1,Integer) -> D1 from ModularDistinctDegreeFactorizer(D1)
---R            if D1 has UPOLYC(INT)
+--R             if D1 has UPOLYC(INT)
 --R   [4] (NonNegativeInteger,NonNegativeInteger) -> NonNegativeInteger
---R            from NonNegativeInteger
---R   [5] (PositiveInteger,PositiveInteger) -> PositiveInteger
---R            from PositiveInteger
+--R             from NonNegativeInteger
+--R   [5] (PositiveInteger,PositiveInteger) -> PositiveInteger from 
+--R            PositiveInteger
 --R   [6] (U32Vector,U32Vector,Integer) -> U32Vector
---R            from U32VectorPolynomialOperations
+--R             from U32VectorPolynomialOperations
 --R   [7] (PrimitiveArray(U32Vector),Integer,Integer,Integer) -> U32Vector
---R            from U32VectorPolynomialOperations
+--R             from U32VectorPolynomialOperations
 --R   [8] (D1,D) -> D1 from D
---R            if D has RPOLCAT(D1,D2,D3) and D1 has RING and D2 has 
+--R             if D has RPOLCAT(D1,D2,D3) and D1 has RING and D2 has 
 --R            OAMONS and D3 has ORDSET and D1 has GCDDOM
 --R
 --RThere are 6 unexposed functions called gcd :
 --R   [1] List(D1) -> D1 from HeuGcd(D1) if D1 has UPOLYC(INT)
 --R   [2] (D1,D1) -> D1 from PolynomialGcdPackage(D2,D3,D4,D1)
---R            if D2 has OAMONS and D3 has ORDSET and D4 has EUCDOM and D1
---R            has POLYCAT(D4,D2,D3)
+--R             if D2 has OAMONS and D3 has ORDSET and D4 has EUCDOM and 
+--R            D1 has POLYCAT(D4,D2,D3)
 --R   [3] List(D1) -> D1 from PolynomialGcdPackage(D3,D4,D5,D1)
---R            if D1 has POLYCAT(D5,D3,D4) and D3 has OAMONS and D4 has 
+--R             if D1 has POLYCAT(D5,D3,D4) and D3 has OAMONS and D4 has 
 --R            ORDSET and D5 has EUCDOM
 --R   [4] (SparseUnivariatePolynomial(D5),SparseUnivariatePolynomial(D5))
 --R             -> SparseUnivariatePolynomial(D5)
---R            from PolynomialGcdPackage(D2,D3,D4,D5)
---R            if D5 has POLYCAT(D4,D2,D3) and D2 has OAMONS and D3 has 
+--R             from PolynomialGcdPackage(D2,D3,D4,D5)
+--R             if D5 has POLYCAT(D4,D2,D3) and D2 has OAMONS and D3 has 
 --R            ORDSET and D4 has EUCDOM
 --R   [5] List(SparseUnivariatePolynomial(D6)) -> 
 --R            SparseUnivariatePolynomial(D6)
---R            from PolynomialGcdPackage(D3,D4,D5,D6)
---R            if D3 has OAMONS and D4 has ORDSET and D5 has EUCDOM and D6
---R            has POLYCAT(D5,D3,D4)
+--R             from PolynomialGcdPackage(D3,D4,D5,D6)
+--R             if D3 has OAMONS and D4 has ORDSET and D5 has EUCDOM and 
+--R            D6 has POLYCAT(D5,D3,D4)
 --R   [6] (D1,D1) -> D1 from PseudoRemainderSequence(D2,D1)
---R            if D2 has GCDDOM and D2 has INTDOM and D1 has UPOLYC(D2)
+--R             if D2 has GCDDOM and D2 has INTDOM and D1 has UPOLYC(D2)
 --R         
 --R
 --RExamples of gcd from GcdDomain
@@ -3556,37 +3561,37 @@
 --R
 --RThere are 6 exposed functions called expand :
 --R   [1] Factored(D1) -> D1 from Factored(D1) if D1 has INTDOM
---R   [2] IntegrationResult(D4) -> List(D4)
---R            from IntegrationResultToFunction(D3,D4)
---R            if D4 has Join(AlgebraicallyClosedFunctionSpace(D3),
+--R   [2] IntegrationResult(D4) -> List(D4) from 
+--R            IntegrationResultToFunction(D3,D4)
+--R             if D4 has Join(AlgebraicallyClosedFunctionSpace(D3),
 --R            TranscendentalFunctionCategory) and D3 has Join(GcdDomain,
 --R            RetractableTo(Integer),OrderedSet,LinearlyExplicitRingOver(
 --R            Integer))
 --R   [3] IntegrationResult(Fraction(Polynomial(D3))) -> List(Expression(
 --R            D3))
---R            from IntegrationResultRFToFunction(D3)
---R            if D3 has Join(GcdDomain,RetractableTo(Integer),OrderedSet,
---R            LinearlyExplicitRingOver(Integer))
---R   [4] D -> D1 from D
---R            if D has SEGXCAT(D2,D1) and D2 has ORDRING and D1 has STAGG
---R            (D2)
+--R             from IntegrationResultRFToFunction(D3)
+--R             if D3 has Join(GcdDomain,RetractableTo(Integer),OrderedSet
+--R            ,LinearlyExplicitRingOver(Integer))
+--R   [4] D -> D1 from D if D has SEGXCAT(D2,D1) and D2 has ORDRING and D1
+--R             has STAGG(D2)
 --R   [5] List(D) -> D1 from D
---R            if D has SEGXCAT(D3,D1) and D3 has ORDRING and D1 has STAGG
---R            (D3)
+--R             if D has SEGXCAT(D3,D1) and D3 has ORDRING and D1 has 
+--R            STAGG(D3)
 --R   [6] D1 -> D1 from TranscendentalManipulations(D2,D1)
---R            if D2 has Join(OrderedSet,GcdDomain) and D1 has Join(
+--R             if D2 has Join(OrderedSet,GcdDomain) and D1 has Join(
 --R            FunctionSpace(D2),TranscendentalFunctionCategory)
 --R
 --RThere are 3 unexposed functions called expand :
 --R   [1] (Expression(D5),PositiveInteger) -> List(Expression(D5))
---R            from DegreeReductionPackage(D4,D5)
---R            if D5 has Join(IntegralDomain,OrderedSet) and D4 has RING
---R         
---R   [2] XPolynomial(D2) -> XDistributedPolynomial(Symbol,D2)
---R            from XPolynomial(D2) if D2 has RING
+--R             from DegreeReductionPackage(D4,D5)
+--R             if D5 has Join(IntegralDomain,OrderedSet) and D4 has RING
+--R            
+--R   [2] XPolynomial(D2) -> XDistributedPolynomial(Symbol,D2) from 
+--R            XPolynomial(D2)
+--R             if D2 has RING
 --R   [3] XRecursivePolynomial(D2,D3) -> XDistributedPolynomial(D2,D3)
---R            from XRecursivePolynomial(D2,D3)
---R            if D2 has ORDSET and D3 has RING
+--R             from XRecursivePolynomial(D2,D3) if D2 has ORDSET and D3
+--R             has RING
 --R
 --RExamples of expand from DegreeReductionPackage
 --R
@@ -3622,9 +3627,9 @@
 --R
 --RThere are 2 exposed functions called filterWhile :
 --R   [1] ((D2 -> Boolean),InfiniteTuple(D2)) -> InfiniteTuple(D2)
---R            from InfiniteTuple(D2) if D2 has TYPE
---R   [2] ((D2 -> Boolean),Stream(D2)) -> Stream(D2) from Stream(D2)
---R            if D2 has TYPE
+--R             from InfiniteTuple(D2) if D2 has TYPE
+--R   [2] ((D2 -> Boolean),Stream(D2)) -> Stream(D2) from Stream(D2) if D2
+--R             has TYPE
 --R
 --RExamples of filterWhile from InfiniteTuple
 --R
@@ -3643,9 +3648,9 @@
 --R
 --RThere are 2 exposed functions called filterUntil :
 --R   [1] ((D2 -> Boolean),InfiniteTuple(D2)) -> InfiniteTuple(D2)
---R            from InfiniteTuple(D2) if D2 has TYPE
---R   [2] ((D2 -> Boolean),Stream(D2)) -> Stream(D2) from Stream(D2)
---R            if D2 has TYPE
+--R             from InfiniteTuple(D2) if D2 has TYPE
+--R   [2] ((D2 -> Boolean),Stream(D2)) -> Stream(D2) from Stream(D2) if D2
+--R             has TYPE
 --R
 --RExamples of filterUntil from InfiniteTuple
 --R
@@ -3660,18 +3665,20 @@
 
 --S 83 of 127
 )d op select
+--R 
 --R
 --RThere are 4 exposed functions called select :
 --R   [1] ((D2 -> Boolean),D) -> D from D
---R            if D has finiteAggregate and D has CLAGG(D2) and D2 has 
+--R             if D has finiteAggregate and D has CLAGG(D2) and D2 has 
 --R            TYPE
 --R   [2] ((D2 -> Boolean),InfiniteTuple(D2)) -> InfiniteTuple(D2)
---R            from InfiniteTuple(D2) if D2 has TYPE
+--R             from InfiniteTuple(D2) if D2 has TYPE
 --R   [3] ((D2 -> Boolean),D) -> D from D if D has LZSTAGG(D2) and D2 has 
 --R            TYPE
 --R   [4] (D,D2) -> Union(D1,"failed") from D
---R            if D has TSETCAT(D3,D4,D2,D1) and D3 has INTDOM and D4 has 
---R            OAMONS and D2 has ORDSET and D1 has RPOLCAT(D3,D4,D2)
+--R             if D has TSETCAT(D3,D4,D2,D1) and D3 has INTDOM and D4
+--R             has OAMONS and D2 has ORDSET and D1 has RPOLCAT(D3,D4,D2)
+--R            
 --R
 --RThere is one unexposed function called select :
 --R   [1] (Tuple(D1),NonNegativeInteger) -> D1 from Tuple(D1) if D1 has 
@@ -3706,7 +3713,7 @@
 --R
 --RThere is one exposed function called nthFlag :
 --R   [1] (Factored(D3),Integer) -> Union("nil","sqfr","irred","prime")
---R            from Factored(D3) if D3 has INTDOM
+--R             from Factored(D3) if D3 has INTDOM
 --R
 --RExamples of nthFlag from Factored
 --R
@@ -3722,12 +3729,12 @@
 --RThere is one exposed function called makeFR :
 --R   [1] (D1,List(Record(flg: Union("nil","sqfr","irred","prime"),fctr: 
 --R            D1,xpnt: Integer))) -> Factored(D1)
---R            from Factored(D1) if D1 has INTDOM
+--R             from Factored(D1) if D1 has INTDOM
 --R
 --RThere is one unexposed function called makeFR :
 --R   [1] Record(contp: Integer,factors: List(Record(irr: D3,pow: Integer)
 --R            )) -> Factored(D3)
---R            from GaloisGroupFactorizer(D3) if D3 has UPOLYC(INT)
+--R             from GaloisGroupFactorizer(D3) if D3 has UPOLYC(INT)
 --R
 --RExamples of makeFR from Factored
 --R
@@ -3750,157 +3757,153 @@
 --R   [3] (PositiveInteger,D) -> D from D if D has ABELSG
 --R   [4] (CartesianTensor(D1,D2,D3),CartesianTensor(D1,D2,D3)) -> 
 --R            CartesianTensor(D1,D2,D3)
---R            from CartesianTensor(D1,D2,D3)
---R            if D1: INT and D2: NNI and D3 has COMRING
+--R             from CartesianTensor(D1,D2,D3) if D1: INT and D2: NNI and 
+--R            D3 has COMRING
 --R   [5] (DoubleFloat,Color) -> Color from Color
 --R   [6] (PositiveInteger,Color) -> Color from Color
 --R   [7] (DenavitHartenbergMatrix(D2),Point(D2)) -> Point(D2)
---R            from DenavitHartenbergMatrix(D2)
---R            if D2 has Join(Field,TranscendentalFunctionCategory)
---R   [8] (D1,D) -> D from D
---R            if D has DIRPCAT(D2,D1) and D1 has TYPE and D1 has MONOID
---R         
---R   [9] (D,D1) -> D from D
---R            if D has DIRPCAT(D2,D1) and D1 has TYPE and D1 has MONOID
---R         
+--R             from DenavitHartenbergMatrix(D2)
+--R             if D2 has Join(Field,TranscendentalFunctionCategory)
+--R   [8] (D1,D) -> D from D if D has DIRPCAT(D2,D1) and D1 has TYPE and 
+--R            D1 has MONOID
+--R   [9] (D,D1) -> D from D if D has DIRPCAT(D2,D1) and D1 has TYPE and 
+--R            D1 has MONOID
 --R   [10] (D1,Equation(D1)) -> Equation(D1) from Equation(D1)
---R            if D1 has SGROUP and D1 has TYPE
+--R             if D1 has SGROUP and D1 has TYPE
 --R   [11] (Equation(D1),D1) -> Equation(D1) from Equation(D1)
---R            if D1 has SGROUP and D1 has TYPE
---R   [12] (D1,D2) -> D from D
---R            if D has FAMONC(D2,D1) and D2 has SETCAT and D1 has CABMON
---R            
---R   [13] (D1,D2) -> D from D
---R            if D has FMCAT(D1,D2) and D1 has RING and D2 has SETCAT
---R   [14] (D,D1) -> D from D
---R            if D has GRMOD(D1,D2) and D1 has COMRING and D2 has ABELMON
---R            
---R   [15] (D1,D) -> D from D
---R            if D has GRMOD(D1,D2) and D1 has COMRING and D2 has ABELMON
---R            
+--R             if D1 has SGROUP and D1 has TYPE
+--R   [12] (D1,D2) -> D from D if D has FAMONC(D2,D1) and D2 has SETCAT 
+--R            and D1 has CABMON
+--R   [13] (D1,D2) -> D from D if D has FMCAT(D1,D2) and D1 has RING and 
+--R            D2 has SETCAT
+--R   [14] (D,D1) -> D from D if D has GRMOD(D1,D2) and D1 has COMRING and
+--R            D2 has ABELMON
+--R   [15] (D1,D) -> D from D if D has GRMOD(D1,D2) and D1 has COMRING and
+--R            D2 has ABELMON
 --R   [16] (PolynomialIdeals(D1,D2,D3,D4),PolynomialIdeals(D1,D2,D3,D4))
 --R             -> PolynomialIdeals(D1,D2,D3,D4)
---R            from PolynomialIdeals(D1,D2,D3,D4)
---R            if D1 has FIELD and D2 has OAMONS and D3 has ORDSET and D4 
---R            has POLYCAT(D1,D2,D3)
+--R             from PolynomialIdeals(D1,D2,D3,D4)
+--R             if D1 has FIELD and D2 has OAMONS and D3 has ORDSET and D4
+--R             has POLYCAT(D1,D2,D3)
 --R   [17] (D1,D) -> D from D if D has LMODULE(D1) and D1 has RNG
 --R   [18] ((D5 -> D6),(D4 -> D5)) -> (D4 -> D6) from MappingPackage3(D4,
 --R            D5,D6)
---R            if D4 has SETCAT and D5 has SETCAT and D6 has SETCAT
+--R             if D4 has SETCAT and D5 has SETCAT and D6 has SETCAT
 --R   [19] ((D2 -> D3),(D2 -> D3)) -> (D2 -> D3) from MappingPackage4(D2,
 --R            D3)
---R            if D2 has SETCAT and D3 has RING
+--R             if D2 has SETCAT and D3 has RING
 --R   [20] (D1,D) -> D1 from D
---R            if D has MATCAT(D2,D1,D3) and D2 has RING and D1 has FLAGG(
---R            D2) and D3 has FLAGG(D2)
+--R             if D has MATCAT(D2,D1,D3) and D2 has RING and D1 has FLAGG
+--R            (D2) and D3 has FLAGG(D2)
 --R   [21] (D,D1) -> D1 from D
---R            if D has MATCAT(D2,D3,D1) and D2 has RING and D3 has FLAGG(
---R            D2) and D1 has FLAGG(D2)
+--R             if D has MATCAT(D2,D3,D1) and D2 has RING and D3 has FLAGG
+--R            (D2) and D1 has FLAGG(D2)
 --R   [22] (Integer,D) -> D from D
---R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG(
---R            D2) and D4 has FLAGG(D2)
+--R             if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG
+--R            (D2) and D4 has FLAGG(D2)
 --R   [23] (D,D1) -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
---R            D1) and D3 has FLAGG(D1)
+--R             if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG
+--R            (D1) and D3 has FLAGG(D1)
 --R   [24] (D1,D) -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
---R            D1) and D3 has FLAGG(D1)
+--R             if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG
+--R            (D1) and D3 has FLAGG(D1)
 --R   [25] (D,D) -> D from D
---R            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG(
---R            D1) and D3 has FLAGG(D1)
+--R             if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG
+--R            (D1) and D3 has FLAGG(D1)
 --R   [26] (D,D) -> D from D if D has MONAD
 --R   [27] (MyExpression(D1,D2),MyExpression(D1,D2)) -> MyExpression(D1,D2
 --R            )
---R            from MyExpression(D1,D2)
---R            if D1: SYMBOL and D2 has Join(Ring,OrderedSet,
+--R             from MyExpression(D1,D2)
+--R             if D1: SYMBOL and D2 has Join(Ring,OrderedSet,
 --R            IntegralDomain)
 --R   [28] (Integer,D) -> Divisor(D) from D
---R            if D3 has FIELD and D4 has LOCPOWC(D3) and D has PLACESC(D3
---R            ,D4)
+--R             if D3 has FIELD and D4 has LOCPOWC(D3) and D has PLACESC(
+--R            D3,D4)
 --R   [29] (D,D1) -> D from D if D has RMODULE(D1) and D1 has RNG
 --R   [30] (Matrix(Fraction(D3)),SparseEchelonMatrix(D2,D3)) -> 
 --R            SparseEchelonMatrix(D2,D3)
---R            from SparseEchelonMatrix(D2,D3)
---R            if D3 has INTDOM and D3 has RING and D2 has ORDSET
+--R             from SparseEchelonMatrix(D2,D3)
+--R             if D3 has INTDOM and D3 has RING and D2 has ORDSET
 --R   [31] (Matrix(D3),SparseEchelonMatrix(D2,D3)) -> SparseEchelonMatrix(
 --R            D2,D3)
---R            from SparseEchelonMatrix(D2,D3) if D3 has RING and D2 has 
+--R             from SparseEchelonMatrix(D2,D3) if D3 has RING and D2 has 
 --R            ORDSET
 --R   [32] (D,D) -> D from D if D has SGROUP
 --R   [33] (D1,D) -> D1 from D
---R            if D has SMATCAT(D2,D3,D1,D4) and D3 has RING and D1 has 
+--R             if D has SMATCAT(D2,D3,D1,D4) and D3 has RING and D1 has 
 --R            DIRPCAT(D2,D3) and D4 has DIRPCAT(D2,D3)
 --R   [34] (D,D1) -> D1 from D
---R            if D has SMATCAT(D2,D3,D4,D1) and D3 has RING and D4 has 
+--R             if D has SMATCAT(D2,D3,D4,D1) and D3 has RING and D4 has 
 --R            DIRPCAT(D2,D3) and D1 has DIRPCAT(D2,D3)
---R   [35] (D,D1) -> D from D
---R            if D has VECTCAT(D1) and D1 has TYPE and D1 has MONOID
---R   [36] (D1,D) -> D from D
---R            if D has VECTCAT(D1) and D1 has TYPE and D1 has MONOID
+--R   [35] (D,D1) -> D from D if D has VECTCAT(D1) and D1 has TYPE and D1
+--R             has MONOID
+--R   [36] (D1,D) -> D from D if D has VECTCAT(D1) and D1 has TYPE and D1
+--R             has MONOID
 --R   [37] (Integer,D) -> D from D
---R            if D has VECTCAT(D2) and D2 has TYPE and D2 has ABELGRP
---R   [38] (D1,D) -> D from D
---R            if D has XFALG(D1,D2) and D1 has ORDSET and D2 has RING
---R   [39] (D,D1) -> D from D
---R            if D has XFALG(D2,D1) and D2 has ORDSET and D1 has RING
+--R             if D has VECTCAT(D2) and D2 has TYPE and D2 has ABELGRP
+--R         
+--R   [38] (D1,D) -> D from D if D has XFALG(D1,D2) and D1 has ORDSET and 
+--R            D2 has RING
+--R   [39] (D,D1) -> D from D if D has XFALG(D2,D1) and D2 has ORDSET and 
+--R            D1 has RING
 --R
 --RThere are 23 unexposed functions called * :
---R   [1] (FreeGroup(D1),D1) -> FreeGroup(D1) from FreeGroup(D1) if D1 has
---R            SETCAT
---R   [2] (D1,FreeGroup(D1)) -> FreeGroup(D1) from FreeGroup(D1) if D1 has
---R            SETCAT
+--R   [1] (FreeGroup(D1),D1) -> FreeGroup(D1) from FreeGroup(D1) if D1
+--R             has SETCAT
+--R   [2] (D1,FreeGroup(D1)) -> FreeGroup(D1) from FreeGroup(D1) if D1
+--R             has SETCAT
 --R   [3] (D1,D2) -> FreeModule1(D2,D1) from FreeModule1(D2,D1)
---R            if D2 has RING and D1 has ORDSET
---R   [4] (FreeMonoid(D1),D1) -> FreeMonoid(D1) from FreeMonoid(D1)
---R            if D1 has SETCAT
---R   [5] (D1,FreeMonoid(D1)) -> FreeMonoid(D1) from FreeMonoid(D1)
---R            if D1 has SETCAT
+--R             if D2 has RING and D1 has ORDSET
+--R   [4] (FreeMonoid(D1),D1) -> FreeMonoid(D1) from FreeMonoid(D1) if D1
+--R             has SETCAT
+--R   [5] (D1,FreeMonoid(D1)) -> FreeMonoid(D1) from FreeMonoid(D1) if D1
+--R             has SETCAT
 --R   [6] (D1,GeneralModulePolynomial(D2,D3,D4,D5,D6,D1)) -> 
 --R            GeneralModulePolynomial(D2,D3,D4,D5,D6,D1)
---R            from GeneralModulePolynomial(D2,D3,D4,D5,D6,D1)
---R            if D2: LIST(SYMBOL) and D3 has COMRING and D5 has DIRPCAT(#
---R            (D2),NNI) and D6: ((Record(index: D4,exponent: D5),Record(
+--R             from GeneralModulePolynomial(D2,D3,D4,D5,D6,D1)
+--R             if D2: LIST(SYMBOL) and D3 has COMRING and D5 has DIRPCAT(
+--R            #(D2),NNI) and D6: ((Record(index: D4,exponent: D5),Record(
 --R            index: D4,exponent: D5)) -> Boolean) and D4 has ORDSET and 
 --R            D1 has POLYCAT(D3,D5,OVAR(D2))
 --R   [7] (Vector(D2),Vector(D2)) -> Vector(D2)
---R            from InnerNormalBasisFieldFunctions(D2) if D2 has FFIELDC
---R         
+--R             from InnerNormalBasisFieldFunctions(D2) if D2 has FFIELDC
+--R            
 --R   [8] (InputForm,InputForm) -> InputForm from InputForm
 --R   [9] (InnerTaylorSeries(D2),Integer) -> InnerTaylorSeries(D2)
---R            from InnerTaylorSeries(D2) if D2 has RING
+--R             from InnerTaylorSeries(D2) if D2 has RING
 --R   [10] (InnerTaylorSeries(D1),D1) -> InnerTaylorSeries(D1)
---R            from InnerTaylorSeries(D1) if D1 has RING
+--R             from InnerTaylorSeries(D1) if D1 has RING
 --R   [11] (D1,InnerTaylorSeries(D1)) -> InnerTaylorSeries(D1)
---R            from InnerTaylorSeries(D1) if D1 has RING
+--R             from InnerTaylorSeries(D1) if D1 has RING
 --R   [12] (Magma(D1),Magma(D1)) -> Magma(D1) from Magma(D1) if D1 has 
 --R            ORDSET
 --R   [13] (OrderedFreeMonoid(D1),D1) -> OrderedFreeMonoid(D1)
---R            from OrderedFreeMonoid(D1) if D1 has ORDSET
+--R             from OrderedFreeMonoid(D1) if D1 has ORDSET
 --R   [14] (D1,OrderedFreeMonoid(D1)) -> OrderedFreeMonoid(D1)
---R            from OrderedFreeMonoid(D1) if D1 has ORDSET
+--R             from OrderedFreeMonoid(D1) if D1 has ORDSET
 --R   [15] (OutputForm,OutputForm) -> OutputForm from OutputForm
---R   [16] (Pattern(D1),Pattern(D1)) -> Pattern(D1) from Pattern(D1)
---R            if D1 has SETCAT
+--R   [16] (Pattern(D1),Pattern(D1)) -> Pattern(D1) from Pattern(D1) if D1
+--R             has SETCAT
 --R   [17] (D2,Vector(D3)) -> Vector(D3) from PseudoRemainderSequence(D2,
 --R            D3)
---R            if D3 has UPOLYC(D2) and D2 has INTDOM
+--R             if D3 has UPOLYC(D2) and D2 has INTDOM
 --R   [18] (D1,SparseMultivariateTaylorSeries(D2,D3,D1)) -> 
 --R            SparseMultivariateTaylorSeries(D2,D3,D1)
---R            from SparseMultivariateTaylorSeries(D2,D3,D1)
---R            if D2 has RING and D3 has ORDSET and D1 has POLYCAT(D2,INDE
---R            (D3),D3)
+--R             from SparseMultivariateTaylorSeries(D2,D3,D1)
+--R             if D2 has RING and D3 has ORDSET and D1 has POLYCAT(D2,
+--R            INDE(D3),D3)
 --R   [19] (Stream(D2),Stream(D2)) -> Stream(D2)
---R            from StreamTaylorSeriesOperations(D2) if D2 has RING
+--R             from StreamTaylorSeriesOperations(D2) if D2 has RING
 --R   [20] (D2,Stream(D2)) -> Stream(D2) from StreamTaylorSeriesOperations
 --R            (D2)
---R            if D2 has RING
+--R             if D2 has RING
 --R   [21] (Stream(D2),D2) -> Stream(D2) from StreamTaylorSeriesOperations
 --R            (D2)
---R            if D2 has RING
---R   [22] (DoubleFloat,Point(DoubleFloat)) -> Point(DoubleFloat)
---R            from TubePlotTools
+--R             if D2 has RING
+--R   [22] (DoubleFloat,Point(DoubleFloat)) -> Point(DoubleFloat) from 
+--R            TubePlotTools
 --R   [23] (XPolynomialRing(D1,D2),D1) -> XPolynomialRing(D1,D2)
---R            from XPolynomialRing(D1,D2) if D1 has RING and D2 has 
+--R             from XPolynomialRing(D1,D2) if D1 has RING and D2 has 
 --R            ORDMON
 --R
 --RExamples of * from AbelianGroup
@@ -4071,15 +4074,15 @@
 --R
 --RThere are 2 exposed functions called numberOfComponents :
 --R   [1]  -> NonNegativeInteger from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R             if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
 --R            D2) and D4 has UPOLYC(FRAC(D3))
 --R   [2] D -> NonNegativeInteger from D if D has SPACEC(D2) and D2 has 
 --R            RING
 --R
 --RThere is one unexposed function called numberOfComponents :
 --R   [1]  -> NonNegativeInteger from FunctionFieldCategory&(D2,D3,D4,D5)
---R            if D3 has UFD and D4 has UPOLYC(D3) and D5 has UPOLYC(FRAC(
---R            D4)) and D2 has FFCAT(D3,D4,D5)
+--R             if D3 has UFD and D4 has UPOLYC(D3) and D5 has UPOLYC(FRAC
+--R            (D4)) and D2 has FFCAT(D3,D4,D5)
 --R
 --RExamples of numberOfComponents from FunctionFieldCategory&
 --R
@@ -4149,8 +4152,8 @@
 --RThere are 3 exposed functions called unit :
 --R   [1] List(Float) -> DrawOption from DrawOption
 --R   [2]  -> Union(D,"failed") from D
---R            if D has FINAALG(D1) and D1 has INTDOM and D1 has COMRING
---R         
+--R             if D has FINAALG(D1) and D1 has INTDOM and D1 has COMRING
+--R            
 --R   [3] Factored(D1) -> D1 from Factored(D1) if D1 has INTDOM
 --R
 --RExamples of unit from DrawOption
@@ -4189,24 +4192,23 @@
 --RThere are 4 exposed functions called product :
 --R   [1] (CartesianTensor(D1,D2,D3),CartesianTensor(D1,D2,D3)) -> 
 --R            CartesianTensor(D1,D2,D3)
---R            from CartesianTensor(D1,D2,D3)
---R            if D1: INT and D2: NNI and D3 has COMRING
+--R             from CartesianTensor(D1,D2,D3) if D1: INT and D2: NNI and 
+--R            D3 has COMRING
 --R   [2] (D,SegmentBinding(D)) -> D from D if D has COMBOPC
 --R   [3] (D,Symbol) -> D from D if D has COMBOPC
---R   [4] (D,D) -> D from D
---R            if D has GRALG(D1,D2) and D1 has COMRING and D2 has ABELMON
---R            
+--R   [4] (D,D) -> D from D if D has GRALG(D1,D2) and D1 has COMRING and 
+--R            D2 has ABELMON
 --R
 --RThere are 3 unexposed functions called product :
 --R   [1] (D1,Symbol) -> D1 from CombinatorialFunction(D3,D1)
---R            if D3 has Join(OrderedSet,IntegralDomain) and D1 has FS(D3)
---R            
+--R             if D3 has Join(OrderedSet,IntegralDomain) and D1 has FS(D3
+--R            )
 --R   [2] (D1,SegmentBinding(D1)) -> D1 from CombinatorialFunction(D3,D1)
---R            if D1 has FS(D3) and D3 has Join(OrderedSet,IntegralDomain)
---R            
+--R             if D1 has FS(D3) and D3 has Join(OrderedSet,IntegralDomain
+--R            )
 --R   [3] (XPBWPolynomial(D2,D3),XPBWPolynomial(D2,D3),NonNegativeInteger)
 --R             -> XPBWPolynomial(D2,D3)
---R            from XPBWPolynomial(D2,D3) if D2 has ORDSET and D3 has 
+--R             from XPBWPolynomial(D2,D3) if D2 has ORDSET and D3 has 
 --R            COMRING
 --R
 --RExamples of product from CartesianTensor
@@ -4237,11 +4239,11 @@
 --R
 --RThere are 2 exposed functions called fill! :
 --R   [1] (D,D1) -> D from D
---R            if D has ARR2CAT(D1,D2,D3) and D1 has TYPE and D2 has FLAGG
---R            (D1) and D3 has FLAGG(D1)
+--R             if D has ARR2CAT(D1,D2,D3) and D1 has TYPE and D2 has 
+--R            FLAGG(D1) and D3 has FLAGG(D1)
 --R   [2] (D,D1) -> D from D
---R            if D has shallowlyMutable and D has IXAGG(D2,D1) and D2 has
---R            SETCAT and D1 has TYPE
+--R             if D has shallowlyMutable and D has IXAGG(D2,D1) and D2
+--R             has SETCAT and D1 has TYPE
 --R
 --RExamples of fill! from TwoDimensionalArrayCategory
 --R
@@ -4273,7 +4275,7 @@
 --R
 --RThere is one exposed function called integralMatrixAtInfinity :
 --R   [1]  -> Matrix(Fraction(D3)) from D
---R            if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
+--R             if D has FFCAT(D2,D3,D4) and D2 has UFD and D3 has UPOLYC(
 --R            D2) and D4 has UPOLYC(FRAC(D3))
 --R
 --RExamples of integralMatrixAtInfinity from FunctionFieldCategory
@@ -4292,9 +4294,9 @@
 --RThere are 3 exposed functions called finite? :
 --R   [1] CardinalNumber -> Boolean from CardinalNumber
 --R   [2] OnePointCompletion(D2) -> Boolean from OnePointCompletion(D2)
---R            if D2 has SETCAT
---R   [3] OrderedCompletion(D2) -> Boolean from OrderedCompletion(D2)
---R            if D2 has SETCAT
+--R             if D2 has SETCAT
+--R   [3] OrderedCompletion(D2) -> Boolean from OrderedCompletion(D2) if 
+--R            D2 has SETCAT
 --R
 --RExamples of finite? from CardinalNumber
 --R
@@ -4317,39 +4319,39 @@
 --R
 --RThere are 8 exposed functions called rank :
 --R   [1] CartesianTensor(D2,D3,D4) -> NonNegativeInteger
---R            from CartesianTensor(D2,D3,D4)
---R            if D2: INT and D3: NNI and D4 has COMRING
+--R             from CartesianTensor(D2,D3,D4) if D2: INT and D3: NNI and 
+--R            D4 has COMRING
 --R   [2]  -> PositiveInteger from D if D has FINAALG(D2) and D2 has 
 --R            COMRING
 --R   [3]  -> PositiveInteger from D
---R            if D has FINRALG(D2,D3) and D2 has COMRING and D3 has 
+--R             if D has FINRALG(D2,D3) and D2 has COMRING and D3 has 
 --R            UPOLYC(D2)
 --R   [4] (Matrix(D4),Vector(D4)) -> NonNegativeInteger
---R            from LinearSystemMatrixPackage1(D4) if D4 has FIELD
---R   [5] (D2,D3) -> NonNegativeInteger
---R            from LinearSystemMatrixPackage(D4,D5,D3,D2)
---R            if D4 has FIELD and D5 has FiniteLinearAggregate(D4) with 
+--R             from LinearSystemMatrixPackage1(D4) if D4 has FIELD
+--R   [5] (D2,D3) -> NonNegativeInteger from LinearSystemMatrixPackage(D4,
+--R            D5,D3,D2)
+--R             if D4 has FIELD and D5 has FiniteLinearAggregate(D4)with
 --R                 shallowlyMutableand D3 has FiniteLinearAggregate(D4)
---R            with 
+--R            with
 --R                 shallowlyMutableand D2 has MATCAT(D4,D5,D3)
 --R   [6] D -> NonNegativeInteger from D
---R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG(
---R            D2) and D4 has FLAGG(D2) and D2 has INTDOM
+--R             if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG
+--R            (D2) and D4 has FLAGG(D2) and D2 has INTDOM
 --R   [7] D2 -> NonNegativeInteger from MatrixLinearAlgebraFunctions(D3,D4
 --R            ,D5,D2)
---R            if D3 has INTDOM and D3 has COMRING and D4 has FLAGG(D3) 
+--R             if D3 has INTDOM and D3 has COMRING and D4 has FLAGG(D3) 
 --R            and D5 has FLAGG(D3) and D2 has MATCAT(D3,D4,D5)
 --R   [8] D -> NonNegativeInteger from D
---R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
---R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4) and D4 has INTDOM
---R            
+--R             if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5
+--R             has DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4) and D4 has 
+--R            INTDOM
 --R
 --RThere are 2 unexposed functions called rank :
 --R   [1]  -> PositiveInteger from ComplexCategory&(D2,D3)
---R            if D3 has COMRING and D2 has COMPCAT(D3)
+--R             if D3 has COMRING and D2 has COMPCAT(D3)
 --R   [2] D2 -> NonNegativeInteger
---R            from InnerMatrixLinearAlgebraFunctions(D3,D4,D5,D2)
---R            if D3 has FIELD and D4 has FLAGG(D3) and D5 has FLAGG(D3) 
+--R             from InnerMatrixLinearAlgebraFunctions(D3,D4,D5,D2)
+--R             if D3 has FIELD and D4 has FLAGG(D3) and D5 has FLAGG(D3) 
 --R            and D2 has MATCAT(D3,D4,D5)
 --R
 --RExamples of rank from CartesianTensor
@@ -4410,29 +4412,31 @@
 --R
 --RThere are 4 exposed functions called groebnerFactorize :
 --R   [1] (List(D6),List(D6)) -> List(List(D6))
---R            from GroebnerFactorizationPackage(D3,D4,D5,D6)
---R            if D3 has Join(EuclideanDomain,CharacteristicZero) and D4 
---R            has OAMONS and D5 has ORDSET and D6 has POLYCAT(D3,D4,D5)
---R         
+--R             from GroebnerFactorizationPackage(D3,D4,D5,D6)
+--R             if D3 has Join(EuclideanDomain,CharacteristicZero) and D4
+--R             has OAMONS and D5 has ORDSET and D6 has POLYCAT(D3,D4,D5)
+--R            
 --R   [2] (List(D7),List(D7),Boolean) -> List(List(D7))
---R            from GroebnerFactorizationPackage(D4,D5,D6,D7)
---R            if D4 has Join(EuclideanDomain,CharacteristicZero) and D5 
---R            has OAMONS and D6 has ORDSET and D7 has POLYCAT(D4,D5,D6)
---R         
---R   [3] List(D6) -> List(List(D6))
---R            from GroebnerFactorizationPackage(D3,D4,D5,D6)
---R            if D3 has Join(EuclideanDomain,CharacteristicZero) and D4 
---R            has OAMONS and D5 has ORDSET and D6 has POLYCAT(D3,D4,D5)
---R         
+--R             from GroebnerFactorizationPackage(D4,D5,D6,D7)
+--R             if D4 has Join(EuclideanDomain,CharacteristicZero) and D5
+--R             has OAMONS and D6 has ORDSET and D7 has POLYCAT(D4,D5,D6)
+--R            
+--R   [3] List(D6) -> List(List(D6)) from GroebnerFactorizationPackage(D3,
+--R            D4,D5,D6)
+--R             if D3 has Join(EuclideanDomain,CharacteristicZero) and D4
+--R             has OAMONS and D5 has ORDSET and D6 has POLYCAT(D3,D4,D5)
+--R            
 --R   [4] (List(D7),Boolean) -> List(List(D7))
---R            from GroebnerFactorizationPackage(D4,D5,D6,D7)
---R            if D4 has Join(EuclideanDomain,CharacteristicZero) and D5 
---R            has OAMONS and D6 has ORDSET and D7 has POLYCAT(D4,D5,D6)
---R         
+--R             from GroebnerFactorizationPackage(D4,D5,D6,D7)
+--R             if D4 has Join(EuclideanDomain,CharacteristicZero) and D5
+--R             has OAMONS and D6 has ORDSET and D7 has POLYCAT(D4,D5,D6)
+--R            
 --R
 --RExamples of groebnerFactorize from GroebnerFactorizationPackage
 --R
---Imfzn : SQMATRIX(6,DMP([x,y,z],Fraction INT)) := ++X [ [0,1,1,1,1,1], ...
+--Rmfzn : SQMATRIX(6,DMP([x,y,z],Fraction INT)) := 
+--R[ [0,1,1,1,1,1], [1,0,1,8/3,x,8/3], [1,1,0,1,8/3,y], 
+--R[1,8/3,1,0,1,8/3], [1,x,8/3,1,0,1], [1,8/3,y,8/3,1,0] ] 
 --Req := determinant mfzn 
 --RgroebnerFactorize ++X [eq,eval(eq, [x,y,z],[y,z,x]), eval(eq,[x,y,z],[z,x,y])]
 --R
@@ -4465,8 +4469,8 @@
 --R 
 --R
 --RThere is one exposed function called showAllElements :
---R   [1] Stream(D2) -> OutputForm from Stream(D2)
---R            if D2 has SETCAT and D2 has TYPE
+--R   [1] Stream(D2) -> OutputForm from Stream(D2) if D2 has SETCAT and D2
+--R             has TYPE
 --R
 --RExamples of showAllElements from Stream
 --R
@@ -4482,11 +4486,11 @@
 --R
 --RThere are 2 exposed functions called maxColIndex :
 --R   [1] D -> Integer from D
---R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            (D2) and D4 has FLAGG(D2)
+--R             if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has 
+--R            FLAGG(D2) and D4 has FLAGG(D2)
 --R   [2] D -> Integer from D
---R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
---R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
+--R             if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5
+--R             has DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
 --R
 --RExamples of maxColIndex from TwoDimensionalArrayCategory
 --R
@@ -4504,11 +4508,11 @@
 --R
 --RThere are 2 exposed functions called minRowIndex :
 --R   [1] D -> Integer from D
---R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            (D2) and D4 has FLAGG(D2)
+--R             if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has 
+--R            FLAGG(D2) and D4 has FLAGG(D2)
 --R   [2] D -> Integer from D
---R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
---R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
+--R             if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5
+--R             has DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
 --R
 --RExamples of minRowIndex from TwoDimensionalArrayCategory
 --R
@@ -4550,23 +4554,24 @@
 --R
 --RThere are 5 exposed functions called remove :
 --R   [1] (D1,D) -> D from D
---R            if D has finiteAggregate and D has CLAGG(D1) and D1 has 
+--R             if D has finiteAggregate and D has CLAGG(D1) and D1 has 
 --R            TYPE and D1 has SETCAT
 --R   [2] ((D2 -> Boolean),D) -> D from D
---R            if D has finiteAggregate and D has CLAGG(D2) and D2 has 
+--R             if D has finiteAggregate and D has CLAGG(D2) and D2 has 
 --R            TYPE
 --R   [3] ((D2 -> Boolean),D) -> D from D if D has LZSTAGG(D2) and D2 has 
 --R            TYPE
---R   [4] ((D3 -> Boolean),Multiset(D3),Integer) -> Multiset(D3)
---R            from Multiset(D3) if D3 has SETCAT
---R   [5] (D1,Multiset(D1),Integer) -> Multiset(D1) from Multiset(D1)
---R            if D1 has SETCAT
+--R   [4] ((D3 -> Boolean),Multiset(D3),Integer) -> Multiset(D3) from 
+--R            Multiset(D3)
+--R             if D3 has SETCAT
+--R   [5] (D1,Multiset(D1),Integer) -> Multiset(D1) from Multiset(D1) if 
+--R            D1 has SETCAT
 --R
 --RThere is one unexposed function called remove :
 --R   [1] (SplittingNode(D2,D3),SplittingTree(D2,D3)) -> SplittingTree(D2,
 --R            D3)
---R            from SplittingTree(D2,D3)
---R            if D2 has Join(SetCategory,Aggregate) and D3 has Join(
+--R             from SplittingTree(D2,D3)
+--R             if D2 has Join(SetCategory,Aggregate) and D3 has Join(
 --R            SetCategory,Aggregate)
 --R
 --RExamples of remove from Collection
@@ -4592,17 +4597,17 @@
 --R
 --RThere is one exposed function called factors :
 --R   [1] Factored(D2) -> List(Record(factor: D2,exponent: Integer))
---R            from Factored(D2) if D2 has INTDOM
+--R             from Factored(D2) if D2 has INTDOM
 --R
 --RThere are 3 unexposed functions called factors :
 --R   [1] FreeGroup(D2) -> List(Record(gen: D2,exp: Integer)) from 
 --R            FreeGroup(D2)
---R            if D2 has SETCAT
+--R             if D2 has SETCAT
 --R   [2] FreeMonoid(D2) -> List(Record(gen: D2,exp: NonNegativeInteger))
---R            from FreeMonoid(D2) if D2 has SETCAT
+--R             from FreeMonoid(D2) if D2 has SETCAT
 --R   [3] OrderedFreeMonoid(D2) -> List(Record(gen: D2,exp: 
 --R            NonNegativeInteger))
---R            from OrderedFreeMonoid(D2) if D2 has ORDSET
+--R             from OrderedFreeMonoid(D2) if D2 has ORDSET
 --R
 --RExamples of factors from FreeGroup
 --R
@@ -4633,8 +4638,8 @@
 --R   [1] String -> Void from OutputPackage
 --R   [2] OutputForm -> Void from OutputPackage
 --R   [3] (String,OutputForm) -> Void from OutputPackage
---R   [4] (Integer,Stream(D3)) -> Void from Stream(D3)
---R            if D3 has SETCAT and D3 has TYPE
+--R   [4] (Integer,Stream(D3)) -> Void from Stream(D3) if D3 has SETCAT 
+--R            and D3 has TYPE
 --R
 --RExamples of output from OutputPackage
 --R
@@ -4652,8 +4657,8 @@
 --R 
 --R
 --RThere is one exposed function called binarySearchTree :
---R   [1] List(D2) -> BinarySearchTree(D2) from BinarySearchTree(D2)
---R            if D2 has ORDSET
+--R   [1] List(D2) -> BinarySearchTree(D2) from BinarySearchTree(D2) if D2
+--R             has ORDSET
 --R
 --RExamples of binarySearchTree from BinarySearchTree
 --R
@@ -4685,8 +4690,8 @@
 --R   [1] Boolean -> Boolean from FlexibleArray(D2) if D2 has TYPE
 --R
 --RThere is one unexposed function called shrinkable :
---R   [1] Boolean -> Boolean from IndexedFlexibleArray(D2,D3)
---R            if D2 has TYPE and D3: INT
+--R   [1] Boolean -> Boolean from IndexedFlexibleArray(D2,D3) if D2 has 
+--R            TYPE and D3: INT
 --R
 --RExamples of shrinkable from FlexibleArray
 --R
@@ -4721,9 +4726,9 @@
 --R            TYPE
 --R
 --RThere is one unexposed function called flexibleArray :
---R   [1] List(D2) -> IndexedFlexibleArray(D2,D3)
---R            from IndexedFlexibleArray(D2,D3) if D2 has TYPE and D3: INT
---R            
+--R   [1] List(D2) -> IndexedFlexibleArray(D2,D3) from 
+--R            IndexedFlexibleArray(D2,D3)
+--R             if D2 has TYPE and D3: INT
 --R
 --RExamples of flexibleArray from FlexibleArray
 --R
@@ -4743,40 +4748,40 @@
 --R   [1] (D,Integer,D1) -> D1 from D if D has AFSPCAT(D1) and D1 has 
 --R            FIELD
 --R   [2] (D,Integer,Integer,D1) -> D1 from D
---R            if D has ARR2CAT(D1,D3,D4) and D1 has TYPE and D3 has FLAGG
---R            (D1) and D4 has FLAGG(D1)
+--R             if D has ARR2CAT(D1,D3,D4) and D1 has TYPE and D3 has 
+--R            FLAGG(D1) and D4 has FLAGG(D1)
 --R   [3] (D,right,D) -> D from D
---R            if D has shallowlyMutable and D has BRAGG(D2) and D2 has 
+--R             if D has shallowlyMutable and D has BRAGG(D2) and D2 has 
 --R            TYPE
 --R   [4] (D,left,D) -> D from D
---R            if D has shallowlyMutable and D has BRAGG(D2) and D2 has 
+--R             if D has shallowlyMutable and D has BRAGG(D2) and D2 has 
 --R            TYPE
 --R   [5] (D,D2,D1) -> D1 from D
---R            if D has shallowlyMutable and D has ELTAGG(D2,D1) and D2 
---R            has SETCAT and D1 has TYPE
+--R             if D has shallowlyMutable and D has ELTAGG(D2,D1) and D2
+--R             has SETCAT and D1 has TYPE
 --R   [6] (Library,Symbol,Any) -> Any from Library
 --R   [7] (D,UniversalSegment(Integer),D1) -> D1 from D
---R            if D has shallowlyMutable and D has LNAGG(D1) and D1 has 
+--R             if D has shallowlyMutable and D has LNAGG(D1) and D1 has 
 --R            TYPE
 --R   [8] (D,List(Integer),List(Integer),D) -> D from D
---R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG(
---R            D2) and D4 has FLAGG(D2)
+--R             if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG
+--R            (D2) and D4 has FLAGG(D2)
 --R   [9] (D,Integer,D1) -> D1 from D if D has PRSPCAT(D1) and D1 has 
 --R            FIELD
 --R   [10] (D,value,D1) -> D1 from D
---R            if D has shallowlyMutable and D has RCAGG(D1) and D1 has 
+--R             if D has shallowlyMutable and D has RCAGG(D1) and D1 has 
 --R            TYPE
 --R   [11] (D,D2,D1) -> D1 from D
---R            if D has TBAGG(D2,D1) and D2 has SETCAT and D1 has SETCAT
---R         
+--R             if D has TBAGG(D2,D1) and D2 has SETCAT and D1 has SETCAT
+--R            
 --R   [12] (D,last,D1) -> D1 from D
---R            if D has shallowlyMutable and D has URAGG(D1) and D1 has 
+--R             if D has shallowlyMutable and D has URAGG(D1) and D1 has 
 --R            TYPE
 --R   [13] (D,rest,D) -> D from D
---R            if D has shallowlyMutable and D has URAGG(D2) and D2 has 
+--R             if D has shallowlyMutable and D has URAGG(D2) and D2 has 
 --R            TYPE
 --R   [14] (D,first,D1) -> D1 from D
---R            if D has shallowlyMutable and D has URAGG(D1) and D1 has 
+--R             if D has shallowlyMutable and D has URAGG(D1) and D1 has 
 --R            TYPE
 --R
 --RThere is one unexposed function called setelt :
@@ -4859,11 +4864,11 @@
 --R
 --RThere are 2 exposed functions called column :
 --R   [1] (D,Integer) -> D1 from D
---R            if D has ARR2CAT(D3,D4,D1) and D3 has TYPE and D4 has FLAGG
---R            (D3) and D1 has FLAGG(D3)
+--R             if D has ARR2CAT(D3,D4,D1) and D3 has TYPE and D4 has 
+--R            FLAGG(D3) and D1 has FLAGG(D3)
 --R   [2] (D,Integer) -> D1 from D
---R            if D has RMATCAT(D3,D4,D5,D6,D1) and D5 has RING and D6 has
---R            DIRPCAT(D4,D5) and D1 has DIRPCAT(D3,D5)
+--R             if D has RMATCAT(D3,D4,D5,D6,D1) and D5 has RING and D6
+--R             has DIRPCAT(D4,D5) and D1 has DIRPCAT(D3,D5)
 --R
 --RExamples of column from TwoDimensionalArrayCategory
 --R
@@ -4882,101 +4887,102 @@
 --RThere are 21 exposed functions called reduce :
 --R   [1] AlgebraicNumber -> AlgebraicNumber from AlgebraicNumber
 --R   [2] (((D4,D1) -> D1),OneDimensionalArray(D4),D1) -> D1
---R            from OneDimensionalArrayFunctions2(D4,D1)
---R            if D4 has TYPE and D1 has TYPE
+--R             from OneDimensionalArrayFunctions2(D4,D1) if D4 has TYPE 
+--R            and D1 has TYPE
 --R   [3] (((D1,D1) -> D1),D,D1,D1) -> D1 from D
---R            if D1 has SETCAT and D has finiteAggregate and D has CLAGG(
---R            D1) and D1 has TYPE
+--R             if D1 has SETCAT and D has finiteAggregate and D has CLAGG
+--R            (D1) and D1 has TYPE
 --R   [4] (((D1,D1) -> D1),D,D1) -> D1 from D
---R            if D has finiteAggregate and D has CLAGG(D1) and D1 has 
+--R             if D has finiteAggregate and D has CLAGG(D1) and D1 has 
 --R            TYPE
 --R   [5] (((D1,D1) -> D1),D) -> D1 from D
---R            if D has finiteAggregate and D has CLAGG(D1) and D1 has 
+--R             if D has finiteAggregate and D has CLAGG(D1) and D1 has 
 --R            TYPE
 --R   [6] (((D5,D1) -> D1),DirectProduct(D4,D5),D1) -> D1
---R            from DirectProductFunctions2(D4,D5,D1)
---R            if D4: NNI and D5 has TYPE and D1 has TYPE
+--R             from DirectProductFunctions2(D4,D5,D1)
+--R             if D4: NNI and D5 has TYPE and D1 has TYPE
 --R   [7] Expression(D1) -> Expression(D1) from Expression(D1)
---R            if D1 has INTDOM and D1 has ORDSET
+--R             if D1 has INTDOM and D1 has ORDSET
 --R   [8] D -> D from D
---R            if D has FDIVCAT(D1,D2,D3,D4) and D1 has FIELD and D2 has 
+--R             if D has FDIVCAT(D1,D2,D3,D4) and D1 has FIELD and D2 has 
 --R            UPOLYC(D1) and D3 has UPOLYC(FRAC(D2)) and D4 has FFCAT(D1,
 --R            D2,D3)
 --R   [9] (((D4,D1) -> D1),D3,D1) -> D1
---R            from FiniteLinearAggregateFunctions2(D4,D3,D1,D5)
---R            if D4 has TYPE and D1 has TYPE and D3 has FLAGG(D4) and D5 
---R            has FLAGG(D1)
+--R             from FiniteLinearAggregateFunctions2(D4,D3,D1,D5)
+--R             if D4 has TYPE and D1 has TYPE and D3 has FLAGG(D4) and D5
+--R             has FLAGG(D1)
 --R   [10] (((D4,D1) -> D1),D3,D1) -> D1
---R            from FiniteSetAggregateFunctions2(D4,D3,D1,D5)
---R            if D4 has SETCAT and D1 has SETCAT and D3 has FSAGG(D4) and
---R            D5 has FSAGG(D1)
+--R             from FiniteSetAggregateFunctions2(D4,D3,D1,D5)
+--R             if D4 has SETCAT and D1 has SETCAT and D3 has FSAGG(D4) 
+--R            and D5 has FSAGG(D1)
 --R   [11] (((D4,D1) -> D1),List(D4),D1) -> D1 from ListFunctions2(D4,D1)
---R            if D4 has TYPE and D1 has TYPE
+--R             if D4 has TYPE and D1 has TYPE
 --R   [12] (((D5,D2) -> D2),D4,D2) -> D2
---R            from MatrixCategoryFunctions2(D5,D6,D7,D4,D2,D8,D9,D1)
---R            if D5 has RING and D2 has RING and D6 has FLAGG(D5) and D7 
---R            has FLAGG(D5) and D8 has FLAGG(D2) and D9 has FLAGG(D2) and
---R            D4 has MATCAT(D5,D6,D7) and D1 has MATCAT(D2,D8,D9)
+--R             from MatrixCategoryFunctions2(D5,D6,D7,D4,D2,D8,D9,D1)
+--R             if D5 has RING and D2 has RING and D6 has FLAGG(D5) and D7
+--R             has FLAGG(D5) and D8 has FLAGG(D2) and D9 has FLAGG(D2) 
+--R            and D4 has MATCAT(D5,D6,D7) and D1 has MATCAT(D2,D8,D9)
 --R   [13] Fraction(D3) -> Union(D,"failed") from D
---R            if D3 has UPOLYC(D2) and D2 has FIELD and D2 has COMRING 
+--R             if D3 has UPOLYC(D2) and D2 has FIELD and D2 has COMRING 
 --R            and D has MONOGEN(D2,D3)
 --R   [14] D1 -> D from D
---R            if D2 has COMRING and D has MONOGEN(D2,D1) and D1 has 
+--R             if D2 has COMRING and D has MONOGEN(D2,D1) and D1 has 
 --R            UPOLYC(D2)
 --R   [15] SparseUnivariatePolynomial(D) -> D from D if D has PACPERC
 --R   [16] List(D) -> Divisor(D) from D
---R            if D has PLACESC(D3,D4) and D3 has FIELD and D4 has LOCPOWC
---R            (D3)
+--R             if D has PLACESC(D3,D4) and D3 has FIELD and D4 has 
+--R            LOCPOWC(D3)
 --R   [17] (((D4,D1) -> D1),PrimitiveArray(D4),D1) -> D1
---R            from PrimitiveArrayFunctions2(D4,D1)
---R            if D4 has TYPE and D1 has TYPE
+--R             from PrimitiveArrayFunctions2(D4,D1) if D4 has TYPE and D1
+--R             has TYPE
 --R   [18] (((D9,D4) -> D4),D6,D4) -> D4
---R            from RectangularMatrixCategoryFunctions2(D7,D8,D9,D10,D11,
+--R             from RectangularMatrixCategoryFunctions2(D7,D8,D9,D10,D11,
 --R            D6,D4,D1,D2,D3)
---R            if D9 has RING and D4 has RING and D7: NNI and D8: NNI and 
---R            D10 has DIRPCAT(D8,D9) and D11 has DIRPCAT(D7,D9) and D1 
---R            has DIRPCAT(D8,D4) and D2 has DIRPCAT(D7,D4) and D6 has 
+--R             if D9 has RING and D4 has RING and D7: NNI and D8: NNI and
+--R            D10 has DIRPCAT(D8,D9) and D11 has DIRPCAT(D7,D9) and D1
+--R             has DIRPCAT(D8,D4) and D2 has DIRPCAT(D7,D4) and D6 has 
 --R            RMATCAT(D7,D8,D9,D10,D11) and D3 has RMATCAT(D7,D8,D4,D1,D2
 --R            )
 --R   [19] (D1,((D4,D1) -> D1),Stream(D4)) -> D1 from StreamFunctions2(D4,
 --R            D1)
---R            if D4 has TYPE and D1 has TYPE
+--R             if D4 has TYPE and D1 has TYPE
 --R   [20] (D1,D,((D1,D1) -> D1),((D1,D1) -> Boolean)) -> D1 from D
---R            if D has TSETCAT(D4,D5,D6,D1) and D4 has INTDOM and D5 has 
---R            OAMONS and D6 has ORDSET and D1 has RPOLCAT(D4,D5,D6)
+--R             if D has TSETCAT(D4,D5,D6,D1) and D4 has INTDOM and D5
+--R             has OAMONS and D6 has ORDSET and D1 has RPOLCAT(D4,D5,D6)
+--R            
 --R   [21] (((D4,D1) -> D1),Vector(D4),D1) -> D1 from VectorFunctions2(D4,
 --R            D1)
---R            if D4 has TYPE and D1 has TYPE
+--R             if D4 has TYPE and D1 has TYPE
 --R
 --RThere are 7 unexposed functions called reduce :
 --R   [1] SparseUnivariatePolynomial(D3) -> Record(pol: 
 --R            SparseUnivariatePolynomial(D3),deg: PositiveInteger)
---R            from DegreeReductionPackage(D3,D4)
---R            if D3 has RING and D4 has Join(IntegralDomain,OrderedSet)
---R         
+--R             from DegreeReductionPackage(D3,D4)
+--R             if D3 has RING and D4 has Join(IntegralDomain,OrderedSet)
+--R            
 --R   [2] (D1,D2) -> EuclideanModularRing(D3,D1,D2,D4,D5,D6)
---R            from EuclideanModularRing(D3,D1,D2,D4,D5,D6)
---R            if D3 has COMRING and D1 has UPOLYC(D3) and D2 has ABELMON 
+--R             from EuclideanModularRing(D3,D1,D2,D4,D5,D6)
+--R             if D3 has COMRING and D1 has UPOLYC(D3) and D2 has ABELMON
 --R            and D4: ((D1,D2) -> D1) and D5: ((D2,D2) -> Union(D2,
 --R            "failed")) and D6: ((D1,D1,D2) -> Union(D1,"failed"))
 --R   [3] InnerAlgebraicNumber -> InnerAlgebraicNumber from 
 --R            InnerAlgebraicNumber
---R   [4] (D1,D2) -> ModularField(D1,D2,D3,D4,D5)
---R            from ModularField(D1,D2,D3,D4,D5)
---R            if D1 has COMRING and D2 has ABELMON and D3: ((D1,D2) -> D1
---R            ) and D4: ((D2,D2) -> Union(D2,"failed")) and D5: ((D1,D1,
---R            D2) -> Union(D1,"failed"))
+--R   [4] (D1,D2) -> ModularField(D1,D2,D3,D4,D5) from ModularField(D1,D2,
+--R            D3,D4,D5)
+--R             if D1 has COMRING and D2 has ABELMON and D3: ((D1,D2) -> 
+--R            D1) and D4: ((D2,D2) -> Union(D2,"failed")) and D5: ((D1,D1
+--R            ,D2) -> Union(D1,"failed"))
 --R   [5] D1 -> ModMonic(D2,D1) from ModMonic(D2,D1)
---R            if D2 has RING and D1 has UPOLYC(D2)
+--R             if D2 has RING and D1 has UPOLYC(D2)
 --R   [6] (D1,D2) -> ModularRing(D1,D2,D3,D4,D5) from ModularRing(D1,D2,D3
 --R            ,D4,D5)
---R            if D1 has COMRING and D2 has ABELMON and D3: ((D1,D2) -> D1
---R            ) and D4: ((D2,D2) -> Union(D2,"failed")) and D5: ((D1,D1,
---R            D2) -> Union(D1,"failed"))
+--R             if D1 has COMRING and D2 has ABELMON and D3: ((D1,D2) -> 
+--R            D1) and D4: ((D2,D2) -> Union(D2,"failed")) and D5: ((D1,D1
+--R            ,D2) -> Union(D1,"failed"))
 --R   [7] D1 -> ResidueRing(D2,D3,D4,D1,D5) from ResidueRing(D2,D3,D4,D1,
 --R            D5)
---R            if D2 has FIELD and D3 has OAMONS and D4 has ORDSET and D1 
---R            has POLYCAT(D2,D3,D4) and D5: LIST(D1)
+--R             if D2 has FIELD and D3 has OAMONS and D4 has ORDSET and D1
+--R             has POLYCAT(D2,D3,D4) and D5: LIST(D1)
 --R
 --RExamples of reduce from AlgebraicNumber
 --R
@@ -5074,15 +5080,15 @@
 --R
 --RThere are 8 exposed functions called new :
 --R   [1] (NonNegativeInteger,NonNegativeInteger,D2) -> D from D
---R            if D2 has TYPE and D has ARR2CAT(D2,D3,D4) and D3 has FLAGG
---R            (D2) and D4 has FLAGG(D2)
+--R             if D2 has TYPE and D has ARR2CAT(D2,D3,D4) and D3 has 
+--R            FLAGG(D2) and D4 has FLAGG(D2)
 --R   [2] (String,String,String) -> D from D if D has FNCAT
 --R   [3]  -> ScriptFormulaFormat from ScriptFormulaFormat
---R   [4] (NonNegativeInteger,D2) -> D from D if D has LNAGG(D2) and D2 
---R            has TYPE
+--R   [4] (NonNegativeInteger,D2) -> D from D if D has LNAGG(D2) and D2
+--R             has TYPE
 --R   [5] (List(D3),Integer) -> SparseEchelonMatrix(D3,D4)
---R            from SparseEchelonMatrix(D3,D4) if D3 has ORDSET and D4 has
---R            RING
+--R             from SparseEchelonMatrix(D3,D4) if D3 has ORDSET and D4
+--R             has RING
 --R   [6] Symbol -> Symbol from Symbol
 --R   [7]  -> Symbol from Symbol
 --R   [8]  -> TexFormat from TexFormat
@@ -5090,10 +5096,11 @@
 --RThere are 4 unexposed functions called new :
 --R   [1]  -> SubSpaceComponentProperty from SubSpaceComponentProperty
 --R   [2]  -> PatternMatchListResult(D1,D2,D3)
---R            from PatternMatchListResult(D1,D2,D3)
---R            if D2 has SETCAT and D1 has SETCAT and D3 has LSAGG(D2)
+--R             from PatternMatchListResult(D1,D2,D3)
+--R             if D2 has SETCAT and D1 has SETCAT and D3 has LSAGG(D2)
+--R         
 --R   [3]  -> PatternMatchResult(D1,D2) from PatternMatchResult(D1,D2)
---R            if D1 has SETCAT and D2 has SETCAT
+--R             if D1 has SETCAT and D2 has SETCAT
 --R   [4]  -> SubSpace(D1,D2) from SubSpace(D1,D2) if D1: PI and D2 has 
 --R            RING
 --R
@@ -5139,7 +5146,7 @@
 --R
 --RThere is one exposed function called insertRoot! :
 --R   [1] (D1,BinarySearchTree(D1)) -> BinarySearchTree(D1)
---R            from BinarySearchTree(D1) if D1 has ORDSET
+--R             from BinarySearchTree(D1) if D1 has ORDSET
 --R
 --RExamples of insertRoot! from BinarySearchTree
 --R
@@ -5154,11 +5161,11 @@
 --R
 --RThere are 2 exposed functions called maxRowIndex :
 --R   [1] D -> Integer from D
---R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            (D2) and D4 has FLAGG(D2)
+--R             if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has 
+--R            FLAGG(D2) and D4 has FLAGG(D2)
 --R   [2] D -> Integer from D
---R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
---R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
+--R             if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5
+--R             has DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
 --R
 --RExamples of maxRowIndex from TwoDimensionalArrayCategory
 --R
@@ -5204,21 +5211,21 @@
 --R
 --RThere are 7 exposed functions called parts :
 --R   [1] D -> List(D2) from D
---R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            (D2) and D4 has FLAGG(D2)
+--R             if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has 
+--R            FLAGG(D2) and D4 has FLAGG(D2)
 --R   [2] ArrayStack(D2) -> List(D2) from ArrayStack(D2)
---R            if $ has finiteAggregate and D2 has SETCAT
+--R             if $ has finiteAggregate and D2 has SETCAT
 --R   [3] Dequeue(D2) -> List(D2) from Dequeue(D2)
---R            if $ has finiteAggregate and D2 has SETCAT
---R   [4] Heap(D2) -> List(D2) from Heap(D2)
---R            if $ has finiteAggregate and D2 has ORDSET
+--R             if $ has finiteAggregate and D2 has SETCAT
+--R   [4] Heap(D2) -> List(D2) from Heap(D2) if $ has finiteAggregate and 
+--R            D2 has ORDSET
 --R   [5] D -> List(D2) from D
---R            if D has finiteAggregate and D has HOAGG(D2) and D2 has 
+--R             if D has finiteAggregate and D has HOAGG(D2) and D2 has 
 --R            TYPE
 --R   [6] Queue(D2) -> List(D2) from Queue(D2)
---R            if $ has finiteAggregate and D2 has SETCAT
+--R             if $ has finiteAggregate and D2 has SETCAT
 --R   [7] Stack(D2) -> List(D2) from Stack(D2)
---R            if $ has finiteAggregate and D2 has SETCAT
+--R             if $ has finiteAggregate and D2 has SETCAT
 --R
 --RExamples of parts from TwoDimensionalArrayCategory
 --R
@@ -5268,51 +5275,51 @@
 --R   [1] (D,Integer) -> D1 from D if D has AFSPCAT(D1) and D1 has FIELD
 --R         
 --R   [2] (D,Integer,Integer,D1) -> D1 from D
---R            if D has ARR2CAT(D1,D3,D4) and D1 has TYPE and D3 has FLAGG
---R            (D1) and D4 has FLAGG(D1)
+--R             if D has ARR2CAT(D1,D3,D4) and D1 has TYPE and D3 has 
+--R            FLAGG(D1) and D4 has FLAGG(D1)
 --R   [3] (D,Integer,Integer) -> D1 from D
---R            if D has ARR2CAT(D1,D3,D4) and D3 has FLAGG(D1) and D4 has 
---R            FLAGG(D1) and D1 has TYPE
+--R             if D has ARR2CAT(D1,D3,D4) and D3 has FLAGG(D1) and D4
+--R             has FLAGG(D1) and D1 has TYPE
 --R   [4] (D,right) -> D from D if D has BRAGG(D2) and D2 has TYPE
 --R   [5] (D,left) -> D from D if D has BRAGG(D2) and D2 has TYPE
 --R   [6] (CartesianTensor(D3,D4,D1),List(Integer)) -> D1
---R            from CartesianTensor(D3,D4,D1)
---R            if D1 has COMRING and D3: INT and D4: NNI
+--R             from CartesianTensor(D3,D4,D1) if D1 has COMRING and D3: 
+--R            INT and D4: NNI
 --R   [7] (CartesianTensor(D3,D4,D1),Integer,Integer,Integer,Integer) -> 
 --R            D1
---R            from CartesianTensor(D3,D4,D1)
---R            if D1 has COMRING and D3: INT and D4: NNI
+--R             from CartesianTensor(D3,D4,D1) if D1 has COMRING and D3: 
+--R            INT and D4: NNI
 --R   [8] (CartesianTensor(D3,D4,D1),Integer,Integer,Integer) -> D1
---R            from CartesianTensor(D3,D4,D1)
---R            if D1 has COMRING and D3: INT and D4: NNI
+--R             from CartesianTensor(D3,D4,D1) if D1 has COMRING and D3: 
+--R            INT and D4: NNI
 --R   [9] (CartesianTensor(D3,D4,D1),Integer,Integer) -> D1
---R            from CartesianTensor(D3,D4,D1)
---R            if D1 has COMRING and D3: INT and D4: NNI
---R   [10] (CartesianTensor(D3,D4,D1),Integer) -> D1
---R            from CartesianTensor(D3,D4,D1)
---R            if D1 has COMRING and D3: INT and D4: NNI
+--R             from CartesianTensor(D3,D4,D1) if D1 has COMRING and D3: 
+--R            INT and D4: NNI
+--R   [10] (CartesianTensor(D3,D4,D1),Integer) -> D1 from CartesianTensor(
+--R            D3,D4,D1)
+--R             if D1 has COMRING and D3: INT and D4: NNI
 --R   [11] CartesianTensor(D2,D3,D1) -> D1 from CartesianTensor(D2,D3,D1)
---R            if D1 has COMRING and D2: INT and D3: NNI
+--R             if D1 has COMRING and D2: INT and D3: NNI
 --R   [12] (Database(D3),Symbol) -> DataList(String) from Database(D3)
---R            if D3 has OrderedSet with 
+--R             if D3 has OrderedSetwith
 --R               ?.? : (%,Symbol) -> String
 --R               display : % -> Void
 --R               fullDisplay : % -> Void
 --R   [13] (Database(D2),QueryEquation) -> Database(D2) from Database(D2)
---R            if D2 has OrderedSet with 
+--R             if D2 has OrderedSetwith
 --R               ?.? : (%,Symbol) -> String
 --R               display : % -> Void
 --R               fullDisplay : % -> Void
 --R   [14] (DataList(D3),count) -> NonNegativeInteger from DataList(D3)
---R            if D3 has ORDSET
---R   [15] (DataList(D2),sort) -> DataList(D2) from DataList(D2) if D2 has
---R            ORDSET
---R   [16] (DataList(D2),unique) -> DataList(D2) from DataList(D2) if D2 
---R            has ORDSET
---R   [17] (D,D2) -> D1 from D
---R            if D has ELTAB(D2,D1) and D2 has SETCAT and D1 has TYPE
+--R             if D3 has ORDSET
+--R   [15] (DataList(D2),sort) -> DataList(D2) from DataList(D2) if D2
+--R             has ORDSET
+--R   [16] (DataList(D2),unique) -> DataList(D2) from DataList(D2) if D2
+--R             has ORDSET
+--R   [17] (D,D2) -> D1 from D if D has ELTAB(D2,D1) and D2 has SETCAT and
+--R            D1 has TYPE
 --R   [18] (D,D2,D1) -> D1 from D
---R            if D has ELTAGG(D2,D1) and D2 has SETCAT and D1 has TYPE
+--R             if D has ELTAGG(D2,D1) and D2 has SETCAT and D1 has TYPE
 --R         
 --R   [19] (BasicOperator,List(D)) -> D from D if D has ES
 --R   [20] (BasicOperator,D,D,D,D) -> D from D if D has ES
@@ -5320,82 +5327,82 @@
 --R   [22] (BasicOperator,D,D) -> D from D if D has ES
 --R   [23] (BasicOperator,D) -> D from D if D has ES
 --R   [24] (D,D1,D1) -> D1 from D
---R            if D has FFCAT(D1,D2,D3) and D1 has UFD and D2 has UPOLYC(
+--R             if D has FFCAT(D1,D2,D3) and D1 has UFD and D2 has UPOLYC(
 --R            D1) and D3 has UPOLYC(FRAC(D2))
 --R   [25] (D,Integer) -> D1 from D if D has FRNAALG(D1) and D1 has 
 --R            COMRING
 --R   [26] (IndexCard,Symbol) -> String from IndexCard
 --R   [27] (Library,Symbol) -> Any from Library
---R   [28] (D,UniversalSegment(Integer)) -> D from D
---R            if D has LNAGG(D2) and D2 has TYPE
+--R   [28] (D,UniversalSegment(Integer)) -> D from D if D has LNAGG(D2) 
+--R            and D2 has TYPE
 --R   [29] (ThreeDimensionalMatrix(D1),NonNegativeInteger,
 --R            NonNegativeInteger,NonNegativeInteger) -> D1
---R            from ThreeDimensionalMatrix(D1) if D1 has SETCAT
+--R             from ThreeDimensionalMatrix(D1) if D1 has SETCAT
 --R   [30] (D,List(Integer),List(Integer)) -> D from D
---R            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG(
---R            D2) and D4 has FLAGG(D2)
+--R             if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG
+--R            (D2) and D4 has FLAGG(D2)
 --R   [31] (D,D1) -> D1 from D if D has PERMCAT(D1) and D1 has SETCAT
 --R   [32] (PermutationGroup(D3),NonNegativeInteger) -> Permutation(D3)
---R            from PermutationGroup(D3) if D3 has SETCAT
+--R             from PermutationGroup(D3) if D3 has SETCAT
 --R   [33] (D,Integer) -> D1 from D
---R            if D has PLACESC(D1,D3) and D3 has LOCPOWC(D1) and D1 has 
+--R             if D has PLACESC(D1,D3) and D3 has LOCPOWC(D1) and D1 has 
 --R            FIELD
 --R   [34] (D,Integer) -> D1 from D if D has PRSPCAT(D1) and D1 has FIELD
 --R            
 --R   [35] (QuadraticForm(D3,D1),DirectProduct(D3,D1)) -> D1
---R            from QuadraticForm(D3,D1) if D3: PI and D1 has FIELD
+--R             from QuadraticForm(D3,D1) if D3: PI and D1 has FIELD
 --R   [36] (D,value) -> D1 from D if D has RCAGG(D1) and D1 has TYPE
 --R   [37] (D,Integer,Integer,D1) -> D1 from D
---R            if D has RMATCAT(D3,D4,D1,D5,D6) and D1 has RING and D5 has
---R            DIRPCAT(D4,D1) and D6 has DIRPCAT(D3,D1)
+--R             if D has RMATCAT(D3,D4,D1,D5,D6) and D1 has RING and D5
+--R             has DIRPCAT(D4,D1) and D6 has DIRPCAT(D3,D1)
 --R   [38] (D,Integer,Integer) -> D1 from D
---R            if D has RMATCAT(D3,D4,D1,D5,D6) and D5 has DIRPCAT(D4,D1) 
+--R             if D has RMATCAT(D3,D4,D1,D5,D6) and D5 has DIRPCAT(D4,D1)
 --R            and D6 has DIRPCAT(D3,D1) and D1 has RING
 --R   [39] (RewriteRule(D3,D4,D1),D1,PositiveInteger) -> D1
---R            from RewriteRule(D3,D4,D1)
---R            if D3 has SETCAT and D4 has Join(Ring,PatternMatchable(D3),
---R            OrderedSet,ConvertibleTo(Pattern(D3))) and D1 has Join(
+--R             from RewriteRule(D3,D4,D1)
+--R             if D3 has SETCAT and D4 has Join(Ring,PatternMatchable(D3)
+--R            ,OrderedSet,ConvertibleTo(Pattern(D3))) and D1 has Join(
 --R            FunctionSpace(D4),PatternMatchable(D3),ConvertibleTo(
 --R            Pattern(D3)))
 --R   [40] (Ruleset(D3,D4,D1),D1,PositiveInteger) -> D1 from Ruleset(D3,D4
 --R            ,D1)
---R            if D3 has SETCAT and D4 has Join(Ring,PatternMatchable(D3),
---R            OrderedSet,ConvertibleTo(Pattern(D3))) and D1 has Join(
+--R             if D3 has SETCAT and D4 has Join(Ring,PatternMatchable(D3)
+--R            ,OrderedSet,ConvertibleTo(Pattern(D3))) and D1 has Join(
 --R            FunctionSpace(D4),PatternMatchable(D3),ConvertibleTo(
 --R            Pattern(D3)))
 --R   [41] (SparseEchelonMatrix(D3,D1),Integer,D3) -> D1
---R            from SparseEchelonMatrix(D3,D1) if D1 has RING and D3 has 
+--R             from SparseEchelonMatrix(D3,D1) if D1 has RING and D3 has 
 --R            ORDSET
 --R   [42] (D,List(Integer)) -> D from D
---R            if D has SEXCAT(D2,D3,D4,D5,D6) and D2 has SETCAT and D3 
---R            has SETCAT and D4 has SETCAT and D5 has SETCAT and D6 has 
+--R             if D has SEXCAT(D2,D3,D4,D5,D6) and D2 has SETCAT and D3
+--R             has SETCAT and D4 has SETCAT and D5 has SETCAT and D6 has 
 --R            SETCAT
 --R   [43] (D,Integer) -> D from D
---R            if D has SEXCAT(D2,D3,D4,D5,D6) and D2 has SETCAT and D3 
---R            has SETCAT and D4 has SETCAT and D5 has SETCAT and D6 has 
+--R             if D has SEXCAT(D2,D3,D4,D5,D6) and D2 has SETCAT and D3
+--R             has SETCAT and D4 has SETCAT and D5 has SETCAT and D6 has 
 --R            SETCAT
 --R   [44] (D,D) -> D from D if D has SRAGG
 --R   [45] (Symbol,List(OutputForm)) -> Symbol from Symbol
 --R   [46] (Fraction(D),D1) -> D1 from D
---R            if D has UPOLYC(D1) and D1 has RING and D1 has FIELD
+--R             if D has UPOLYC(D1) and D1 has RING and D1 has FIELD
 --R   [47] (Fraction(D),Fraction(D)) -> Fraction(D) from D
---R            if D has UPOLYC(D2) and D2 has RING and D2 has INTDOM
---R   [48] (D,D2) -> D1 from D
---R            if D has UPSCAT(D1,D2) and D2 has OAMON and D1 has RING
+--R             if D has UPOLYC(D2) and D2 has RING and D2 has INTDOM
+--R   [48] (D,D2) -> D1 from D if D has UPSCAT(D1,D2) and D2 has OAMON and
+--R            D1 has RING
 --R   [49] (D,last) -> D1 from D if D has URAGG(D1) and D1 has TYPE
 --R   [50] (D,rest) -> D from D if D has URAGG(D2) and D2 has TYPE
 --R   [51] (D,first) -> D1 from D if D has URAGG(D1) and D1 has TYPE
 --R
 --RThere are 4 unexposed functions called elt :
 --R   [1] (EuclideanModularRing(D2,D1,D3,D4,D5,D6),D1) -> D1
---R            from EuclideanModularRing(D2,D1,D3,D4,D5,D6)
---R            if D2 has COMRING and D1 has UPOLYC(D2) and D3 has ABELMON 
+--R             from EuclideanModularRing(D2,D1,D3,D4,D5,D6)
+--R             if D2 has COMRING and D1 has UPOLYC(D2) and D3 has ABELMON
 --R            and D4: ((D1,D3) -> D1) and D5: ((D3,D3) -> Union(D3,
 --R            "failed")) and D6: ((D1,D1,D3) -> Union(D1,"failed"))
 --R   [2] (OutputForm,List(OutputForm)) -> OutputForm from OutputForm
 --R   [3] (BasicOperator,List(Pattern(D3))) -> Pattern(D3) from Pattern(D3
 --R            )
---R            if D3 has SETCAT
+--R             if D3 has SETCAT
 --R   [4] Reference(D1) -> D1 from Reference(D1) if D1 has TYPE
 --R
 --RExamples of elt from AffineSpaceCategory
@@ -5561,11 +5568,11 @@
 --R
 --RThere are 2 exposed functions called minColIndex :
 --R   [1] D -> Integer from D
---R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
---R            (D2) and D4 has FLAGG(D2)
+--R             if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has 
+--R            FLAGG(D2) and D4 has FLAGG(D2)
 --R   [2] D -> Integer from D
---R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
---R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
+--R             if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5
+--R             has DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
 --R
 --RExamples of minColIndex from TwoDimensionalArrayCategory
 --R
@@ -5587,7 +5594,7 @@
 --R
 --RThere is one unexposed function called numberOfFactors :
 --R   [1] List(Record(factor: D3,degree: Integer)) -> NonNegativeInteger
---R            from GaloisGroupFactorizer(D3) if D3 has UPOLYC(INT)
+--R             from GaloisGroupFactorizer(D3) if D3 has UPOLYC(INT)
 --R
 --RExamples of numberOfFactors from Factored
 --R
@@ -5613,6 +5620,8 @@
 --R
 --E 127
 
+ 
+
 )spool 
 )lisp (bye)
  
diff --git a/src/input/exit.input.pamphlet b/src/input/exit.input.pamphlet
index c5401b8..445503b 100644
--- a/src/input/exit.input.pamphlet
+++ b/src/input/exit.input.pamphlet
@@ -62,7 +62,7 @@ half 3
 --R 
 --R 
 --RDaly Bug
---R   Error signalled from user code in function gasp: 
+--R   Error signalled from user code in function gasp:
 --R      Oh no!
 --E 5
 
diff --git a/src/input/graphviz.input.pamphlet b/src/input/graphviz.input.pamphlet
index 0abd21b..1114c9d 100644
--- a/src/input/graphviz.input.pamphlet
+++ b/src/input/graphviz.input.pamphlet
@@ -74,7 +74,7 @@ dot2eps "NeuralNet"
 --R
 --R------------------------------- Operations --------------------------------
 --R dot2eps : String -> Void              dotview : (String,String) -> Void
---R sampleDotGraph : () -> List(String)
+--R sampleDotGraph : () -> List(String)  
 --R standardDotHeader : () -> List(String)
 --R writeDotGraph : (List(String),List(String),String) -> Void
 --R
diff --git a/src/input/grpthry.input.pamphlet b/src/input/grpthry.input.pamphlet
index 9602723..1644381 100644
--- a/src/input/grpthry.input.pamphlet
+++ b/src/input/grpthry.input.pamphlet
@@ -1692,13 +1692,14 @@ eval ( py , 7 )
 --R Permutation(S: SetCategory)  is a domain constructor
 --R Abbreviation for Permutation is PERM 
 --R This constructor is exposed in this frame.
---I Issue )edit /research/research/s2/mnt/fedora5/...
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PERM 
 --R
 --R------------------------------- Operations --------------------------------
 --R ?*? : (%,%) -> %                      ?**? : (%,Integer) -> %
---R ?**? : (%,PositiveInteger) -> %       ?/? : (%,%) -> %
---R ?<? : (%,%) -> Boolean                ?=? : (%,%) -> Boolean
---R 1 : () -> %                           ?^? : (%,Integer) -> %
+--R ?**? : (%,NonNegativeInteger) -> %    ?**? : (%,PositiveInteger) -> %
+--R ?/? : (%,%) -> %                      ?<? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,NonNegativeInteger) -> %
 --R ?^? : (%,PositiveInteger) -> %        coerce : List(S) -> %
 --R coerce : List(List(S)) -> %           coerce : % -> OutputForm
 --R coerceImages : List(S) -> %           commutator : (%,%) -> %
@@ -1713,11 +1714,9 @@ eval ( py , 7 )
 --R recip : % -> Union(%,"failed")        sample : () -> %
 --R sign : % -> Integer                   sort : List(%) -> List(%)
 --R ?~=? : (%,%) -> Boolean              
---R ?**? : (%,NonNegativeInteger) -> %
 --R ?<=? : (%,%) -> Boolean if S has FINITE or S has ORDSET
 --R ?>? : (%,%) -> Boolean if S has FINITE or S has ORDSET
 --R ?>=? : (%,%) -> Boolean if S has FINITE or S has ORDSET
---R ?^? : (%,NonNegativeInteger) -> %
 --R coerceListOfPairs : List(List(S)) -> %
 --R coercePreimagesImages : List(List(S)) -> %
 --R fixedPoints : % -> Set(S) if S has FINITE
diff --git a/src/input/ifthenelse.input.pamphlet b/src/input/ifthenelse.input.pamphlet
index d71f51f..a86b3f9 100644
--- a/src/input/ifthenelse.input.pamphlet
+++ b/src/input/ifthenelse.input.pamphlet
@@ -13,6 +13,7 @@
 
 \begin{chunk}{*}
 )set break resume
+)sys rm -f ifthenelse.output
 )spool ifthenelse.output
 )set message test on
 )set message auto off
@@ -105,26 +106,26 @@ for i in 2..2 repeat
     then output("positive") 
     else output("nonpositive")
 --R 
---R  Line  48: --R 
---R  Line  49: --R   positive
---R  Line  50: --R                                                                   Type: Void
---R  Line  51: --E 5
---R  Line  52: 
---R  Line  53: --S 6 of 20
---R  Line  54: for i in 2..2 repeat
---R  Line  55:   if i>0 
+--R Line  49:--R 
+--R Line  50:--R   positive
+--R Line  51:--R                                                                   Type: Void
+--R Line  52:--E 5
+--R Line  53:
+--R Line  54:--S 6 of 20
+--R Line  55:for i in 2..2 repeat
+--R Line  56:  if i>0 
 --R           ..A
---R  Error  A: (from #\A and on) Ignored from here
---R  Line  56:     then output("positive") 
+--R Error  A: (from #\A and on) Ignored from here
+--R Line  57:    then output("positive") 
 --R           ....A
---R  Error  A: Improper syntax.
---R  Error  A: (from #\A up to ) Ignored.
---R  Line  57:     else output("nonpositive")
+--R Error  A:Improper syntax.
+--R Error  A: (from #\A up to ) Ignored.
+--R Line  58:    else output("nonpositive")
 --R           ....A........................B
---R  Error  A: Improper syntax.
---R  Error  A: (from #\A up to #\B) Ignored.
---R  Error  B: Possibly missing a then
---R  Error  B: (up to #\B) to here.
+--R Error  A:Improper syntax.
+--R Error  A: (from #\A up to #\B) Ignored.
+--R Error  B:Possibly missing a then
+--R Error  B: (up to #\B) to here.
 --R   7 error(s) parsing
 --E 6
 
@@ -145,23 +146,23 @@ for i in 2..2 repeat
     output(i)
     else output("nonpositive")
 --R 
---R  Line  84: --R 
---R  Line  85: --R
---R  Line  86: --R   (6)  2
---I  Line  87: --R 
---R  Line  88: --E 7
---R  Line  89: 
---R  Line  90: --S 8 of 20
---R  Line  91: for i in 2..2 repeat
---R  Line  92:   if i>0 then
---R  Line  93:     output(i)
---R  Line  94:     output("positive") 
---R  Line  95:   else
---R  Line  96:     output(i)
---R  Line  97:     else output("nonpositive")
+--R Line  85:--R 
+--R Line  86:--R
+--R Line  87:--R   (6)  2
+--R Line  88:--R                                                        Type: PositiveInteger
+--R Line  89:--E 7
+--R Line  90:
+--R Line  91:--S 8 of 20
+--R Line  92:for i in 2..2 repeat
+--R Line  93:  if i>0 then
+--R Line  94:    output(i)
+--R Line  95:    output("positive") 
+--R Line  96:  else
+--R Line  97:    output(i)
+--R Line  98:    else output("nonpositive")
 --R           ....A
---R  Error  A: (from #\A up to ) Ignored.
---R  Error  A: Improper syntax.
+--R Error  A: (from #\A up to ) Ignored.
+--R Error  A:Improper syntax.
 --R   2 error(s) parsing
 --E 8
 
diff --git a/src/input/overload.input.pamphlet b/src/input/overload.input.pamphlet
index cfe5d4d..34122d1 100644
--- a/src/input/overload.input.pamphlet
+++ b/src/input/overload.input.pamphlet
@@ -458,7 +458,7 @@ cos((2/3)@Float)
 --R 
 --RDaly Bug
 --R   An expression involving @ Float actually evaluated to one of type 
---R      Quaternion(Complex(Expression(Integer))) . Perhaps you should use
+--R      Quaternion(Complex(Expression(Integer))). Perhaps you should use 
 --R      :: Float.
 --E 33
 
@@ -509,7 +509,7 @@ c((2/3)@Float)
 --R 
 --RDaly Bug
 --R   An expression involving @ Float actually evaluated to one of type 
---R      Quaternion(Complex(Expression(Integer))) . Perhaps you should use
+--R      Quaternion(Complex(Expression(Integer))). Perhaps you should use 
 --R      :: Float.
 --E 39
 
@@ -625,7 +625,7 @@ c2((2/3)@Float)
 --R 
 --RDaly Bug
 --R   An expression involving @ Float actually evaluated to one of type 
---R      Quaternion(Complex(Expression(Integer))) . Perhaps you should use
+--R      Quaternion(Complex(Expression(Integer))). Perhaps you should use 
 --R      :: Float.
 --E 49
 
diff --git a/src/input/setcmd.input.pamphlet b/src/input/setcmd.input.pamphlet
index 198b54b..3fc0e8e 100644
--- a/src/input/setcmd.input.pamphlet
+++ b/src/input/setcmd.input.pamphlet
@@ -43,8 +43,8 @@
 --R
 --RVariable     Description                                Current Value
 --R-----------------------------------------------------------------------------
---Routput       library in which to place compiled code    user.lib 
---Rinput        controls libraries from which to load compiled code  
+--Routput       library in which to place compiled code   user.lib
+--Rinput        controls libraries from which to load compiled code
 --R
 --E 2
 
@@ -54,8 +54,8 @@
 --R
 --RVariable     Description                                Current Value
 --R-----------------------------------------------------------------------------
---Routput       library in which to place compiled code    user.lib 
---Rinput        controls libraries from which to load compiled code  
+--Routput       library in which to place compiled code   user.lib
+--Rinput        controls libraries from which to load compiled code
 --R
 --E 3
 
@@ -66,9 +66,9 @@
 --R Description: controls libraries from which to load compiled code
 --R
 --R )set compile input add library is used to tell AXIOM to add library to
---Rthe front of the path used to find compile code.
---R )set compile input drop library is used to tell AXIOM to remove library 
---Rfrom this path.
+--R the front of the path used to find compile code.
+--R )set compile input drop library is used to tell AXIOM to remove library
+--R from this path.
 --E 4
 
 --S 5 of 143
@@ -76,7 +76,7 @@
 --R 
 --R---------------------------- The output Option ----------------------------
 --R
---R Description: library in which to place compiled code
+--R Description: library in which to place compiled code 
 --R
 --R )set compile output library is used to tell the compiler where to place
 --Rcompiled code generated by the library compiler.  By default it goes
@@ -117,7 +117,7 @@
 --R
 --RVariable     Description                                Current Value
 --R-----------------------------------------------------------------------------
---Rcache        number of function results to cache        0 
+--Rcache        number of function results to cache       0
 --Rcompile      compile, don't just define function bodies on 
 --Rrecurrence   specially compile recurrence relations     on 
 --R
@@ -355,9 +355,9 @@
 --R
 --RVariable     Description                                Current Value
 --R-----------------------------------------------------------------------------
---Rtempfile     set location of temporary data files       /tmp/ 
---Rdirectory    set location of generated FORTRAN files    ./ 
---Rlinker       linker arguments (e.g. libraries to search) -lxlf 
+--Rtempfile     set location of temporary data files      /tmp/
+--Rdirectory    set location of generated FORTRAN files   ./
+--Rlinker       linker arguments (e.g. libraries to search) -lxlf
 --R
 --E 24
 
@@ -365,9 +365,9 @@
 )set fortran calling tempfile
 --R--------------------------- The tempfile Option ---------------------------
 --R
---R Description: set location of temporary data files
+--R Description: set location of temporary data files 
 --R
---R )set fortran calling tempfile  is used to tell AXIOM where
+--R )set fortran calling tempfile is used to tell AXIOM where
 --R to place intermediate FORTRAN data files . This must be the 
 --R name of a valid existing directory to which you have permission 
 --R to write (including the final slash).
@@ -375,16 +375,16 @@
 --R Syntax:
 --R   )set fortran calling tempfile DIRECTORYNAME
 --R
---R The current setting is /tmp/ 
+--R The current setting is /tmp/
 --E 25
 
 --S 26 of 143
 )set fortran calling directory
 --R-------------------------- The directory Option ---------------------------
 --R
---R Description: set location of generated FORTRAN files
+--R Description: set location of generated FORTRAN files 
 --R
---R )set fortran calling directory  is used to tell AXIOM where
+--R )set fortran calling directory is used to tell AXIOM where
 --R to place generated FORTRAN files. This must be the name 
 --R of a valid existing directory to which you have permission 
 --R to write (including the final slash).
@@ -392,17 +392,17 @@
 --R Syntax:
 --R   )set fortran calling directory DIRECTORYNAME
 --R
---R The current setting is ./ 
+--R The current setting is ./
 --E 26
 
 --S 27 of 143
 )set fortran calling linker
 --R---------------------------- The linker Option ----------------------------
 --R
---R Description: linker arguments (e.g. libraries to search)
+--R Description: linker arguments (e.g. libraries to search) 
 --R
---R )set fortran calling linkerargs  is used to pass arguments to the linker
---R when using  mkFort  to create functions which call Fortran code.
+--R )set fortran calling linkerargs is used to pass arguments to the linker
+--R when using mkFort to create functions which call Fortran code.
 --R For example, it might give a list of libraries to be searched,
 --R and their locations.
 --R The string is passed verbatim, so must be the correct syntax for
@@ -410,7 +410,7 @@
 --R
 --R Example: )set fortran calling linker "-lxlf"
 --R
---R The current setting is -lxlf 
+--R The current setting is -lxlf
 --E 27
 
 --S 28 of 143 no longer supported
@@ -888,27 +888,27 @@
 )set naglink host
 --R----------------------------- The host Option -----------------------------
 --R
---R Description: internet address of host for NAGLink
+--R Description: internet address of host for NAGLink 
 --R
 --R )set naglink host is used to tell  AXIOM which  host to contact for
 --R a NAGLink request. An Internet address should be supplied. The host
 --R specified must be running the NAGLink daemon.
 --R
---R The current setting is localhost 
+--R The current setting is localhost
 --E 61
 
 --S 62 of 143
 )set naglink persistence
 --R------------------------- The persistence Option --------------------------
 --R
---R Description: number of (fortran) functions to remember
+--R Description: number of (fortran) functions to remember 
 --R
---R )set naglink persistence is used to tell  the  nagd  daemon how  many ASP
+--R )set naglink persistence is used to tell the nagd daemon how  many ASP
 --R source and object files to keep around in case you reuse them. This helps
 --R to avoid needless recompilations. The number specified should be a 
 --R non-negative integer.
 --R
---R The current setting is 1 
+--R The current setting is 1
 --E 62
 
 --S 63 of 143
@@ -949,18 +949,18 @@
 --RVariable     Description                                Current Value
 --R-----------------------------------------------------------------------------
 --Rabbreviate   abbreviate type names                      off 
---Ralgebra      display output in algebraic form           On:CONSOLE 
---Rcharacters   choose special output character set        plain 
---Rfortran      create output in FORTRAN format            Off:CONSOLE 
+--Ralgebra      display output in algebraic form          On:CONSOLE
+--Rcharacters   choose special output character set       plain
+--Rfortran      create output in FORTRAN format           Off:CONSOLE
 --Rfraction     how fractions are formatted                vertical 
---Rhtml         create output in HTML style                Off:CONSOLE 
+--Rhtml         create output in HTML style               Off:CONSOLE
 --Rlength       line length of output displays             77 
---Rmathml       create output in MathML style              Off:CONSOLE 
---Ropenmath     create output in OpenMath style            Off:CONSOLE 
---Rscript       display output in SCRIPT formula format    Off:CONSOLE 
+--Rmathml       create output in MathML style             Off:CONSOLE
+--Ropenmath     create output in OpenMath style           Off:CONSOLE
+--Rscript       display output in SCRIPT formula format   Off:CONSOLE
 --Rscripts      show subscripts,... linearly               off 
 --Rshoweditor   view output of )show in editor             off 
---Rtex          create output in TeX style                 Off:CONSOLE 
+--Rtex          create output in TeX style                Off:CONSOLE
 --R
 --E 65
 
@@ -983,7 +983,7 @@
 )set output algebra
 --R--------------------------- The algebra Option ----------------------------
 --R
---R Description: display output in algebraic form
+--R Description: display output in algebraic form 
 --R
 --R )set output algebra is used to tell AXIOM to turn algebra-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1006,14 +1006,14 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  On:CONSOLE 
+--RThe current setting is: On:CONSOLE
 --E 67
 
 --S 68 of 143
 )set output characters
 --R-------------------------- The characters Option --------------------------
 --R
---R Description: choose special output character set
+--R Description: choose special output character set 
 --R
 --R
 --R The characters option may be followed by any one of the following:
@@ -1039,9 +1039,9 @@
 )set output fortran
 --R--------------------------- The fortran Option ----------------------------
 --R
---R Description: create output in FORTRAN format
+--R Description: create output in FORTRAN format 
 --R
---R )set output fortran is used to tell AXIOM to turn FORTRAN-style output
+--R )set output fortran is used to tell AXIOM to turn FORTRAN-style output 
 --Rprinting on and off, and where to place the output.  By default, the
 --Rdestination for the output is the screen but printing is turned off.
 --R
@@ -1056,7 +1056,7 @@
 --R              extension .fe. If not given, .fe defaults to .sfort.
 --R
 --RIf you wish to send the output to a file, you must issue this command
---Rtwice: once with on and once with the file name. For example, to send
+--Rtwice: once with on and once with the file name. For example, to send 
 --RFORTRAN output to the file polymer.sfort, issue the two commands
 --R
 --R  )set output fortran on
@@ -1064,7 +1064,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 69
 
 --S 70 of 143
@@ -1097,7 +1097,7 @@
 )set output mathml
 --R---------------------------- The mathml Option ----------------------------
 --R
---R Description: create output in MathML style
+--R Description: create output in MathML style 
 --R
 --R )set output mathml is used to tell AXIOM to turn MathML-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1120,14 +1120,14 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 72
 
 --S 73 of 143
 )set output openmath
 --R--------------------------- The openmath Option ---------------------------
 --R
---R Description: create output in OpenMath style
+--R Description: create output in OpenMath style 
 --R
 --R )set output openmath is used to tell AXIOM to turn OpenMath output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1150,14 +1150,14 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 73
 
 --S 74 of 143
 )set output script
 --R---------------------------- The script Option ----------------------------
 --R
---R Description: display output in SCRIPT formula format
+--R Description: display output in SCRIPT formula format 
 --R
 --R )set output script is used to tell AXIOM to turn IBM Script formula-style
 --Routput printing on and off, and where to place the output.  By default, the
@@ -1172,7 +1172,7 @@
 --R              and file extension .fe. If not given, .fe defaults to .sform.
 --R
 --RIf you wish to send the output to a file, you must issue this command
---Rtwice: once with on and once with the file name. For example, to send
+--Rtwice: once with on and once with the file name. For example, to send 
 --RIBM Script formula output to the file polymer.sform, issue the two commands
 --R
 --R  )set output script on
@@ -1180,7 +1180,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 74
 
 --S 75 of 143
@@ -1217,7 +1217,7 @@
 )set output tex
 --R----------------------------- The tex Option ------------------------------
 --R
---R Description: create output in TeX style
+--R Description: create output in TeX style 
 --R
 --R )set output tex is used to tell AXIOM to turn TeX-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1240,7 +1240,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 77
 
 --S 78 of 143
@@ -1264,7 +1264,7 @@
 --R
 --RVariable     Description                                Current Value
 --R-----------------------------------------------------------------------------
---Rcalculate    specify number of elements to calculate    10 
+--Rcalculate    specify number of elements to calculate   10
 --Rshowall      display all stream elements computed       off 
 --R
 --E 79
@@ -1273,7 +1273,7 @@
 )set streams calculate
 --R-------------------------- The calculate Option ---------------------------
 --R
---R Description: specify number of elements to calculate
+--R Description: specify number of elements to calculate 
 --R
 --R   )set streams calculate is used to tell Axiom how many elements of a 
 --R      stream to calculate when a computation uses the stream. The value
@@ -1375,7 +1375,7 @@
 )set output char
 --R-------------------------- The characters Option --------------------------
 --R
---R Description: choose special output character set
+--R Description: choose special output character set 
 --R
 --R
 --R The characters option may be followed by any one of the following:
@@ -1405,7 +1405,7 @@
 )set output char
 --R The characters Option 
 --R
---R Description: choose special output character set
+--R Description: choose special output character set 
 --R
 --R
 --R The characters option may be followed by any one of the following:
@@ -1435,7 +1435,7 @@
 )set output char
 --R-------------------------- The characters Option --------------------------
 --R
---R Description: choose special output character set
+--R Description: choose special output character set 
 --R
 --R
 --R The characters option may be followed by any one of the following:
@@ -1461,9 +1461,9 @@
 )set output fortran
 --R--------------------------- The fortran Option ----------------------------
 --R
---R Description: create output in FORTRAN format
+--R Description: create output in FORTRAN format 
 --R
---R )set output fortran is used to tell AXIOM to turn FORTRAN-style output
+--R )set output fortran is used to tell AXIOM to turn FORTRAN-style output 
 --Rprinting on and off, and where to place the output.  By default, the
 --Rdestination for the output is the screen but printing is turned off.
 --R
@@ -1478,7 +1478,7 @@
 --R              extension .fe. If not given, .fe defaults to .sfort.
 --R
 --RIf you wish to send the output to a file, you must issue this command
---Rtwice: once with on and once with the file name. For example, to send
+--Rtwice: once with on and once with the file name. For example, to send 
 --RFORTRAN output to the file polymer.sfort, issue the two commands
 --R
 --R  )set output fortran on
@@ -1486,7 +1486,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 92
 
 --S 93 of 143
@@ -1498,9 +1498,9 @@
 )set output fortran
 --R--------------------------- The fortran Option ----------------------------
 --R
---R Description: create output in FORTRAN format
+--R Description: create output in FORTRAN format 
 --R
---R )set output fortran is used to tell AXIOM to turn FORTRAN-style output
+--R )set output fortran is used to tell AXIOM to turn FORTRAN-style output 
 --Rprinting on and off, and where to place the output.  By default, the
 --Rdestination for the output is the screen but printing is turned off.
 --R
@@ -1515,7 +1515,7 @@
 --R              extension .fe. If not given, .fe defaults to .sfort.
 --R
 --RIf you wish to send the output to a file, you must issue this command
---Rtwice: once with on and once with the file name. For example, to send
+--Rtwice: once with on and once with the file name. For example, to send 
 --RFORTRAN output to the file polymer.sfort, issue the two commands
 --R
 --R  )set output fortran on
@@ -1534,9 +1534,9 @@
 )set output fortran
 --R--------------------------- The fortran Option ----------------------------
 --R
---R Description: create output in FORTRAN format
+--R Description: create output in FORTRAN format 
 --R
---R )set output fortran is used to tell AXIOM to turn FORTRAN-style output
+--R )set output fortran is used to tell AXIOM to turn FORTRAN-style output 
 --Rprinting on and off, and where to place the output.  By default, the
 --Rdestination for the output is the screen but printing is turned off.
 --R
@@ -1551,7 +1551,7 @@
 --R              extension .fe. If not given, .fe defaults to .sfort.
 --R
 --RIf you wish to send the output to a file, you must issue this command
---Rtwice: once with on and once with the file name. For example, to send
+--Rtwice: once with on and once with the file name. For example, to send 
 --RFORTRAN output to the file polymer.sfort, issue the two commands
 --R
 --R  )set output fortran on
@@ -1571,9 +1571,9 @@
 )set output fortran
 --R--------------------------- The fortran Option ----------------------------
 --R
---R Description: create output in FORTRAN format
+--R Description: create output in FORTRAN format 
 --R
---R )set output fortran is used to tell AXIOM to turn FORTRAN-style output
+--R )set output fortran is used to tell AXIOM to turn FORTRAN-style output 
 --Rprinting on and off, and where to place the output.  By default, the
 --Rdestination for the output is the screen but printing is turned off.
 --R
@@ -1588,7 +1588,7 @@
 --R              extension .fe. If not given, .fe defaults to .sfort.
 --R
 --RIf you wish to send the output to a file, you must issue this command
---Rtwice: once with on and once with the file name. For example, to send
+--Rtwice: once with on and once with the file name. For example, to send 
 --RFORTRAN output to the file polymer.sfort, issue the two commands
 --R
 --R  )set output fortran on
@@ -1608,9 +1608,9 @@
 )set output fortran
 --R--------------------------- The fortran Option ----------------------------
 --R
---R Description: create output in FORTRAN format
+--R Description: create output in FORTRAN format 
 --R
---R )set output fortran is used to tell AXIOM to turn FORTRAN-style output
+--R )set output fortran is used to tell AXIOM to turn FORTRAN-style output 
 --Rprinting on and off, and where to place the output.  By default, the
 --Rdestination for the output is the screen but printing is turned off.
 --R
@@ -1625,7 +1625,7 @@
 --R              extension .fe. If not given, .fe defaults to .sfort.
 --R
 --RIf you wish to send the output to a file, you must issue this command
---Rtwice: once with on and once with the file name. For example, to send
+--Rtwice: once with on and once with the file name. For example, to send 
 --RFORTRAN output to the file polymer.sfort, issue the two commands
 --R
 --R  )set output fortran on
@@ -1640,7 +1640,7 @@
 )set output algebra
 --R--------------------------- The algebra Option ----------------------------
 --R
---R Description: display output in algebraic form
+--R Description: display output in algebraic form 
 --R
 --R )set output algebra is used to tell AXIOM to turn algebra-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1663,7 +1663,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  On:CONSOLE 
+--RThe current setting is: On:CONSOLE
 --E 101
 
 --S 102 of 143
@@ -1674,7 +1674,7 @@
 )set output algebra
 --R--------------------------- The algebra Option ----------------------------
 --R
---R Description: display output in algebraic form
+--R Description: display output in algebraic form 
 --R
 --R )set output algebra is used to tell AXIOM to turn algebra-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1708,7 +1708,7 @@
 )set output algebra
 --R--------------------------- The algebra Option ----------------------------
 --R
---R Description: display output in algebraic form
+--R Description: display output in algebraic form 
 --R
 --R )set output algebra is used to tell AXIOM to turn algebra-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1742,7 +1742,7 @@
 )set output algebra
 --R--------------------------- The algebra Option ----------------------------
 --R
---R Description: display output in algebraic form
+--R Description: display output in algebraic form 
 --R
 --R )set output algebra is used to tell AXIOM to turn algebra-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1765,7 +1765,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 107
 
 --S 108 of 143
@@ -1776,7 +1776,7 @@
 )set output algebra
 --R--------------------------- The algebra Option ----------------------------
 --R
---R Description: display output in algebraic form
+--R Description: display output in algebraic form 
 --R
 --R )set output algebra is used to tell AXIOM to turn algebra-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1799,14 +1799,14 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  On:CONSOLE 
+--RThe current setting is: On:CONSOLE
 --E 109
 
 --S 110 of 143
 )set output mathml
 --R---------------------------- The mathml Option ----------------------------
 --R
---R Description: create output in MathML style
+--R Description: create output in MathML style 
 --R
 --R )set output mathml is used to tell AXIOM to turn MathML-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1829,7 +1829,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 110
 
 --S 111 of 143
@@ -1841,7 +1841,7 @@
 )set output mathml
 --R---------------------------- The mathml Option ----------------------------
 --R
---R Description: create output in MathML style
+--R Description: create output in MathML style 
 --R
 --R )set output mathml is used to tell AXIOM to turn MathML-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1875,7 +1875,7 @@
 )set output mathml
 --R---------------------------- The mathml Option ----------------------------
 --R
---R Description: create output in MathML style
+--R Description: create output in MathML style 
 --R
 --R )set output mathml is used to tell AXIOM to turn MathML-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1909,7 +1909,7 @@
 )set output mathml
 --R---------------------------- The mathml Option ----------------------------
 --R
---R Description: create output in MathML style
+--R Description: create output in MathML style 
 --R
 --R )set output mathml is used to tell AXIOM to turn MathML-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1932,14 +1932,14 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  On:CONSOLE 
+--RThe current setting is: On:CONSOLE
 --E 116
 
 --S 117 of 143
 )set output openmath
 --R--------------------------- The openmath Option ---------------------------
 --R
---R Description: create output in OpenMath style
+--R Description: create output in OpenMath style 
 --R
 --R )set output openmath is used to tell AXIOM to turn OpenMath output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1962,7 +1962,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 117
 
 --S 118 of 143
@@ -1973,7 +1973,7 @@
 )set output openmath
 --R--------------------------- The openmath Option ---------------------------
 --R
---R Description: create output in OpenMath style
+--R Description: create output in OpenMath style 
 --R
 --R )set output openmath is used to tell AXIOM to turn OpenMath output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -1996,7 +1996,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  On:CONSOLE 
+--RThe current setting is: On:CONSOLE
 --E 119
 
 --S 120 of 143
@@ -2008,7 +2008,7 @@
 )set output openmath
 --R--------------------------- The openmath Option ---------------------------
 --R
---R Description: create output in OpenMath style
+--R Description: create output in OpenMath style 
 --R
 --R )set output openmath is used to tell AXIOM to turn OpenMath output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -2042,7 +2042,7 @@
 )set output openmath
 --R--------------------------- The openmath Option ---------------------------
 --R
---R Description: create output in OpenMath style
+--R Description: create output in OpenMath style 
 --R
 --R )set output openmath is used to tell AXIOM to turn OpenMath output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -2076,7 +2076,7 @@
 )set output openmath
 --R--------------------------- The openmath Option ---------------------------
 --R
---R Description: create output in OpenMath style
+--R Description: create output in OpenMath style 
 --R
 --R )set output openmath is used to tell AXIOM to turn OpenMath output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -2099,14 +2099,14 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 125
 
 --S 126 of 143
 )set output script
 --R---------------------------- The script Option ----------------------------
 --R
---R Description: display output in SCRIPT formula format
+--R Description: display output in SCRIPT formula format 
 --R
 --R )set output script is used to tell AXIOM to turn IBM Script formula-style
 --Routput printing on and off, and where to place the output.  By default, the
@@ -2121,7 +2121,7 @@
 --R              and file extension .fe. If not given, .fe defaults to .sform.
 --R
 --RIf you wish to send the output to a file, you must issue this command
---Rtwice: once with on and once with the file name. For example, to send
+--Rtwice: once with on and once with the file name. For example, to send 
 --RIBM Script formula output to the file polymer.sform, issue the two commands
 --R
 --R  )set output script on
@@ -2129,7 +2129,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 126
 
 --S 127 of 143
@@ -2140,7 +2140,7 @@
 )set output script
 --R---------------------------- The script Option ----------------------------
 --R
---R Description: display output in SCRIPT formula format
+--R Description: display output in SCRIPT formula format 
 --R
 --R )set output script is used to tell AXIOM to turn IBM Script formula-style
 --Routput printing on and off, and where to place the output.  By default, the
@@ -2155,7 +2155,7 @@
 --R              and file extension .fe. If not given, .fe defaults to .sform.
 --R
 --RIf you wish to send the output to a file, you must issue this command
---Rtwice: once with on and once with the file name. For example, to send
+--Rtwice: once with on and once with the file name. For example, to send 
 --RIBM Script formula output to the file polymer.sform, issue the two commands
 --R
 --R  )set output script on
@@ -2163,7 +2163,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  On:CONSOLE 
+--RThe current setting is: On:CONSOLE
 --E 128
 
 --S 129 of 143
@@ -2176,7 +2176,7 @@
 )set output script
 --R---------------------------- The script Option ----------------------------
 --R
---R Description: display output in SCRIPT formula format
+--R Description: display output in SCRIPT formula format 
 --R
 --R )set output script is used to tell AXIOM to turn IBM Script formula-style
 --Routput printing on and off, and where to place the output.  By default, the
@@ -2191,7 +2191,7 @@
 --R              and file extension .fe. If not given, .fe defaults to .sform.
 --R
 --RIf you wish to send the output to a file, you must issue this command
---Rtwice: once with on and once with the file name. For example, to send
+--Rtwice: once with on and once with the file name. For example, to send 
 --RIBM Script formula output to the file polymer.sform, issue the two commands
 --R
 --R  )set output script on
@@ -2210,7 +2210,7 @@
 )set output script
 --R---------------------------- The script Option ----------------------------
 --R
---R Description: display output in SCRIPT formula format
+--R Description: display output in SCRIPT formula format 
 --R
 --R )set output script is used to tell AXIOM to turn IBM Script formula-style
 --Routput printing on and off, and where to place the output.  By default, the
@@ -2225,7 +2225,7 @@
 --R              and file extension .fe. If not given, .fe defaults to .sform.
 --R
 --RIf you wish to send the output to a file, you must issue this command
---Rtwice: once with on and once with the file name. For example, to send
+--Rtwice: once with on and once with the file name. For example, to send 
 --RIBM Script formula output to the file polymer.sform, issue the two commands
 --R
 --R  )set output script on
@@ -2233,7 +2233,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  On:CONSOLE 
+--RThe current setting is: On:CONSOLE
 --E 132
 
 --S 133 of 143
@@ -2244,7 +2244,7 @@
 )set output script
 --R---------------------------- The script Option ----------------------------
 --R
---R Description: display output in SCRIPT formula format
+--R Description: display output in SCRIPT formula format 
 --R
 --R )set output script is used to tell AXIOM to turn IBM Script formula-style
 --Routput printing on and off, and where to place the output.  By default, the
@@ -2259,7 +2259,7 @@
 --R              and file extension .fe. If not given, .fe defaults to .sform.
 --R
 --RIf you wish to send the output to a file, you must issue this command
---Rtwice: once with on and once with the file name. For example, to send
+--Rtwice: once with on and once with the file name. For example, to send 
 --RIBM Script formula output to the file polymer.sform, issue the two commands
 --R
 --R  )set output script on
@@ -2267,14 +2267,14 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 134
 
 --S 135 of 143
 )set output tex
 --R----------------------------- The tex Option ------------------------------
 --R
---R Description: create output in TeX style
+--R Description: create output in TeX style 
 --R
 --R )set output tex is used to tell AXIOM to turn TeX-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -2297,7 +2297,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 135
 
 --S 136 of 143
@@ -2308,7 +2308,7 @@
 )set output tex
 --R----------------------------- The tex Option ------------------------------
 --R
---R Description: create output in TeX style
+--R Description: create output in TeX style 
 --R
 --R )set output tex is used to tell AXIOM to turn TeX-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -2331,7 +2331,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  On:CONSOLE 
+--RThe current setting is: On:CONSOLE
 --E 137
 
 --S 138 of 143
@@ -2343,7 +2343,7 @@
 )set output tex
 --R----------------------------- The tex Option ------------------------------
 --R
---R Description: create output in TeX style
+--R Description: create output in TeX style 
 --R
 --R )set output tex is used to tell AXIOM to turn TeX-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -2377,7 +2377,7 @@
 )set output tex
 --R----------------------------- The tex Option ------------------------------
 --R
---R Description: create output in TeX style
+--R Description: create output in TeX style 
 --R
 --R )set output tex is used to tell AXIOM to turn TeX-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -2411,7 +2411,7 @@
 )set output tex
 --R----------------------------- The tex Option ------------------------------
 --R
---R Description: create output in TeX style
+--R Description: create output in TeX style 
 --R
 --R )set output tex is used to tell AXIOM to turn TeX-style output
 --Rprinting on and off, and where to place the output.  By default, the
@@ -2434,7 +2434,7 @@
 --R
 --RThe output is placed in the directory from which you invoked AXIOM or
 --Rthe one you set with the )cd system command.
---RThe current setting is:  Off:CONSOLE 
+--RThe current setting is: Off:CONSOLE
 --E 143
 
 )spool 
diff --git a/src/input/test.input.pamphlet b/src/input/test.input.pamphlet
index c5ee378..932a96d 100644
--- a/src/input/test.input.pamphlet
+++ b/src/input/test.input.pamphlet
@@ -889,42 +889,42 @@ t := MPOLY([x,y], INT)
 --R------------------------------- Operations --------------------------------
 --R
 --R ?*? : (Fraction(Integer),%) -> %      ?*? : (Integer,%) -> %
---R ?*? : (PositiveInteger,%) -> %        ?*? : (%,Fraction(Integer)) -> %
---R ?*? : (%,Integer) -> %                ?*? : (%,%) -> %
+--R ?*? : (NonNegativeInteger,%) -> %     ?*? : (PositiveInteger,%) -> %
+--R ?*? : (%,Fraction(Integer)) -> %      ?*? : (%,Integer) -> %
+--R ?*? : (%,%) -> %                      ?**? : (%,NonNegativeInteger) -> %
 --R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
 --R ?-? : (%,%) -> %                      -? : % -> %
 --R ?/? : (%,Integer) -> %                ?<? : (%,%) -> Boolean
 --R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
 --R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
 --R 1 : () -> %                           0 : () -> %
---R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
---R coefficients : % -> List(Integer)     coerce : % -> OutputForm
---R coerce : Fraction(Integer) -> %       coerce : Integer -> %
---R coerce : % -> %                       content : % -> Integer
---R convert : % -> InputForm              convert : % -> Pattern(Float)
---R convert : % -> Pattern(Integer)       eval : (%,Equation(%)) -> %
---R eval : (%,%,%) -> %                   factor : % -> Factored(%)
---R gcd : List(%) -> %                    gcd : (%,%) -> %
---R ground : % -> Integer                 ground? : % -> Boolean
---R hash : % -> SingleInteger             latex : % -> String
---R lcm : List(%) -> %                    lcm : (%,%) -> %
---R leadingCoefficient : % -> Integer     leadingMonomial : % -> %
---R max : (%,%) -> %                      min : (%,%) -> %
---R monomial? : % -> Boolean              monomials : % -> List(%)
---R one? : % -> Boolean                   prime? : % -> Boolean
+--R ?^? : (%,NonNegativeInteger) -> %     ?^? : (%,PositiveInteger) -> %
+--R associates? : (%,%) -> Boolean        coefficients : % -> List(Integer)
+--R coerce : % -> OutputForm              coerce : Fraction(Integer) -> %
+--R coerce : Integer -> %                 coerce : % -> %
+--R content : % -> Integer                convert : % -> InputForm
+--R convert : % -> Pattern(Float)         convert : % -> Pattern(Integer)
+--R eval : (%,Equation(%)) -> %           eval : (%,List(Equation(%))) -> %
+--R eval : (%,List(%),List(%)) -> %       eval : (%,%,%) -> %
+--R factor : % -> Factored(%)             gcd : List(%) -> %
+--R gcd : (%,%) -> %                      ground : % -> Integer
+--R ground? : % -> Boolean                hash : % -> SingleInteger
+--R latex : % -> String                   lcm : List(%) -> %
+--R lcm : (%,%) -> %                      leadingCoefficient : % -> Integer
+--R leadingMonomial : % -> %              max : (%,%) -> %
+--R min : (%,%) -> %                      monomial? : % -> Boolean
+--R monomials : % -> List(%)              one? : % -> Boolean
+--R prime? : % -> Boolean                 primitiveMonomials : % -> List(%)
 --R primitivePart : % -> %                recip : % -> Union(%,"failed")
 --R reductum : % -> %                     retract : % -> Fraction(Integer)
 --R retract : % -> Integer                sample : () -> %
 --R squareFree : % -> Factored(%)         squareFreePart : % -> %
 --R unit? : % -> Boolean                  unitCanonical : % -> %
 --R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
---R ?*? : (NonNegativeInteger,%) -> %
---R ?**? : (%,NonNegativeInteger) -> %
 --R D : (%,List(OrderedVariableList([x,y])),List(NonNegativeInteger)) -> %
 --R D : (%,List(OrderedVariableList([x,y]))) -> %
 --R D : (%,OrderedVariableList([x,y]),NonNegativeInteger) -> %
 --R D : (%,OrderedVariableList([x,y])) -> %
---R ?^? : (%,NonNegativeInteger) -> %
 --R binomThmExpt : (%,%,NonNegativeInteger) -> %
 --R characteristic : () -> NonNegativeInteger
 --R charthRoot : % -> Union(%,"failed")
@@ -942,10 +942,8 @@ t := MPOLY([x,y], INT)
 --R differentiate : (%,OrderedVariableList([x,y]),NonNegativeInteger) -> %
 --R differentiate : (%,OrderedVariableList([x,y])) -> %
 --R discriminant : (%,OrderedVariableList([x,y])) -> %
---R eval : (%,List(Equation(%))) -> %
 --R eval : (%,List(OrderedVariableList([x,y])),List(Integer)) -> %
 --R eval : (%,List(OrderedVariableList([x,y])),List(%)) -> %
---R eval : (%,List(%),List(%)) -> %
 --R eval : (%,OrderedVariableList([x,y]),Integer) -> %
 --R eval : (%,OrderedVariableList([x,y]),%) -> %
 --R exquo : (%,Integer) -> Union(%,"failed")
@@ -973,7 +971,6 @@ t := MPOLY([x,y], INT)
 --R patternMatch : (%,Pattern(Float),PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%)
 --R patternMatch : (%,Pattern(Integer),PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%)
 --R pomopo! : (%,Integer,IndexedExponents(OrderedVariableList([x,y])),%) -> %
---R primitiveMonomials : % -> List(%)
 --R primitivePart : (%,OrderedVariableList([x,y])) -> %
 --R reducedSystem : Matrix(%) -> Matrix(Integer)
 --R reducedSystem : (Matrix(%),Vector(%)) -> Record(mat: Matrix(Integer),vec: Vector(Integer))
diff --git a/src/input/unittest1.input.pamphlet b/src/input/unittest1.input.pamphlet
index a3daea2..897450a 100644
--- a/src/input/unittest1.input.pamphlet
+++ b/src/input/unittest1.input.pamphlet
@@ -52,7 +52,7 @@ Unit test the user level commands
 --R--------------- System Commands for User Level: development ---------------
 --R
 --RSystem commands at this level matching patterns:
---R     set 
+--R    set
 --R
 --Rset    
 --R 
@@ -92,7 +92,7 @@ Unit test the user level commands
 --R------------------------- System Command Synonyms -------------------------
 --R
 --R   No user-defined synonyms satisfying patterns:
---R       set 
+--R      set
 --R
 --E 8
 
@@ -488,45 +488,44 @@ Unit test the user level commands
 --R------------------------------- Operations --------------------------------
 --R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
 --R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
---R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?*? : (NonNegativeInteger,%) -> %     ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %    ?**? : (%,PositiveInteger) -> %
 --R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
---R -? : % -> %                           ?=? : (%,%) -> Boolean
---R D : % -> % if R has DIFRING           D : (%,(R -> R)) -> %
---R 1 : () -> %                           0 : () -> %
+--R -? : % -> %                           ?/? : (%,R) -> % if R has FIELD
+--R ?=? : (%,%) -> Boolean                D : % -> % if R has DIFRING
+--R D : (%,(R -> R)) -> %                 1 : () -> %
+--R 0 : () -> %                           ?^? : (%,NonNegativeInteger) -> %
 --R ?^? : (%,PositiveInteger) -> %        antisymmetric? : % -> Boolean
 --R coerce : % -> Matrix(R)               coerce : R -> %
 --R coerce : Integer -> %                 coerce : % -> OutputForm
 --R copy : % -> %                         diagonal? : % -> Boolean
 --R diagonalMatrix : List(R) -> %         diagonalProduct : % -> R
---R elt : (%,Integer,Integer) -> R        elt : (%,Integer,Integer,R) -> R
---R empty : () -> %                       empty? : % -> Boolean
---R eq? : (%,%) -> Boolean                hash : % -> SingleInteger
---R latex : % -> String                   listOfLists : % -> List(List(R))
---R map : ((R -> R),%) -> %               map : (((R,R) -> R),%,%) -> %
---R matrix : List(List(R)) -> %           maxColIndex : % -> Integer
---R maxRowIndex : % -> Integer            minColIndex : % -> Integer
---R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
---R nrows : % -> NonNegativeInteger       one? : % -> Boolean
---R qelt : (%,Integer,Integer) -> R       recip : % -> Union(%,"failed")
---R retract : % -> R                      sample : () -> %
---R scalarMatrix : R -> %                 square? : % -> Boolean
---R squareMatrix : Matrix(R) -> %         symmetric? : % -> Boolean
---R trace : % -> R                        transpose : % -> %
---R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R differentiate : (%,(R -> R)) -> %     elt : (%,Integer,Integer) -> R
+--R elt : (%,Integer,Integer,R) -> R      empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R hash : % -> SingleInteger             latex : % -> String
+--R listOfLists : % -> List(List(R))      map : ((R -> R),%) -> %
+--R map : (((R,R) -> R),%,%) -> %         matrix : List(List(R)) -> %
+--R maxColIndex : % -> Integer            maxRowIndex : % -> Integer
+--R minColIndex : % -> Integer            minRowIndex : % -> Integer
+--R ncols : % -> NonNegativeInteger       nrows : % -> NonNegativeInteger
+--R one? : % -> Boolean                   qelt : (%,Integer,Integer) -> R
+--R recip : % -> Union(%,"failed")        retract : % -> R
+--R sample : () -> %                      scalarMatrix : R -> %
+--R square? : % -> Boolean                squareMatrix : Matrix(R) -> %
+--R symmetric? : % -> Boolean             trace : % -> R
+--R transpose : % -> %                    zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
 --R #? : % -> NonNegativeInteger if $ has finiteAggregate
 --R ?*? : (DirectProduct(ndim,R),%) -> DirectProduct(ndim,R)
 --R ?*? : (%,DirectProduct(ndim,R)) -> DirectProduct(ndim,R)
---R ?*? : (NonNegativeInteger,%) -> %
 --R ?**? : (%,Integer) -> % if R has FIELD
---R ?**? : (%,NonNegativeInteger) -> %
---R ?/? : (%,R) -> % if R has FIELD
 --R D : (%,NonNegativeInteger) -> % if R has DIFRING
 --R D : (%,Symbol) -> % if R has PDRING(SYMBOL)
 --R D : (%,List(Symbol)) -> % if R has PDRING(SYMBOL)
 --R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING(SYMBOL)
 --R D : (%,List(Symbol),List(NonNegativeInteger)) -> % if R has PDRING(SYMBOL)
 --R D : (%,(R -> R),NonNegativeInteger) -> %
---R ?^? : (%,NonNegativeInteger) -> %
 --R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
 --R characteristic : () -> NonNegativeInteger
 --R coerce : Fraction(Integer) -> % if R has RETRACT(FRAC(INT))
@@ -543,7 +542,6 @@ Unit test the user level commands
 --R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING(SYMBOL)
 --R differentiate : (%,List(Symbol),List(NonNegativeInteger)) -> % if R has PDRING(SYMBOL)
 --R differentiate : (%,(R -> R),NonNegativeInteger) -> %
---R differentiate : (%,(R -> R)) -> %
 --R eval : (%,List(R),List(R)) -> % if R has EVALAB(R) and R has SETCAT
 --R eval : (%,R,R) -> % if R has EVALAB(R) and R has SETCAT
 --R eval : (%,Equation(R)) -> % if R has EVALAB(R) and R has SETCAT
@@ -593,45 +591,44 @@ Unit test the user level commands
 --R------------------------------- Operations --------------------------------
 --R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
 --R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
---R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?*? : (NonNegativeInteger,%) -> %     ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %    ?**? : (%,PositiveInteger) -> %
 --R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
---R -? : % -> %                           ?=? : (%,%) -> Boolean
---R D : % -> % if R has DIFRING           D : (%,(R -> R)) -> %
---R 1 : () -> %                           0 : () -> %
+--R -? : % -> %                           ?/? : (%,R) -> % if R has FIELD
+--R ?=? : (%,%) -> Boolean                D : % -> % if R has DIFRING
+--R D : (%,(R -> R)) -> %                 1 : () -> %
+--R 0 : () -> %                           ?^? : (%,NonNegativeInteger) -> %
 --R ?^? : (%,PositiveInteger) -> %        antisymmetric? : % -> Boolean
 --R coerce : % -> Matrix(R)               coerce : R -> %
 --R coerce : Integer -> %                 coerce : % -> OutputForm
 --R copy : % -> %                         diagonal? : % -> Boolean
 --R diagonalMatrix : List(R) -> %         diagonalProduct : % -> R
---R elt : (%,Integer,Integer) -> R        elt : (%,Integer,Integer,R) -> R
---R empty : () -> %                       empty? : % -> Boolean
---R eq? : (%,%) -> Boolean                hash : % -> SingleInteger
---R latex : % -> String                   listOfLists : % -> List(List(R))
---R map : ((R -> R),%) -> %               map : (((R,R) -> R),%,%) -> %
---R matrix : List(List(R)) -> %           maxColIndex : % -> Integer
---R maxRowIndex : % -> Integer            minColIndex : % -> Integer
---R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
---R nrows : % -> NonNegativeInteger       one? : % -> Boolean
---R qelt : (%,Integer,Integer) -> R       recip : % -> Union(%,"failed")
---R retract : % -> R                      sample : () -> %
---R scalarMatrix : R -> %                 square? : % -> Boolean
---R squareMatrix : Matrix(R) -> %         symmetric? : % -> Boolean
---R trace : % -> R                        transpose : % -> %
---R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R differentiate : (%,(R -> R)) -> %     elt : (%,Integer,Integer) -> R
+--R elt : (%,Integer,Integer,R) -> R      empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R hash : % -> SingleInteger             latex : % -> String
+--R listOfLists : % -> List(List(R))      map : ((R -> R),%) -> %
+--R map : (((R,R) -> R),%,%) -> %         matrix : List(List(R)) -> %
+--R maxColIndex : % -> Integer            maxRowIndex : % -> Integer
+--R minColIndex : % -> Integer            minRowIndex : % -> Integer
+--R ncols : % -> NonNegativeInteger       nrows : % -> NonNegativeInteger
+--R one? : % -> Boolean                   qelt : (%,Integer,Integer) -> R
+--R recip : % -> Union(%,"failed")        retract : % -> R
+--R sample : () -> %                      scalarMatrix : R -> %
+--R square? : % -> Boolean                squareMatrix : Matrix(R) -> %
+--R symmetric? : % -> Boolean             trace : % -> R
+--R transpose : % -> %                    zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
 --R #? : % -> NonNegativeInteger if $ has finiteAggregate
 --R ?*? : (DirectProduct(ndim,R),%) -> DirectProduct(ndim,R)
 --R ?*? : (%,DirectProduct(ndim,R)) -> DirectProduct(ndim,R)
---R ?*? : (NonNegativeInteger,%) -> %
 --R ?**? : (%,Integer) -> % if R has FIELD
---R ?**? : (%,NonNegativeInteger) -> %
---R ?/? : (%,R) -> % if R has FIELD
 --R D : (%,NonNegativeInteger) -> % if R has DIFRING
 --R D : (%,Symbol) -> % if R has PDRING(SYMBOL)
 --R D : (%,List(Symbol)) -> % if R has PDRING(SYMBOL)
 --R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING(SYMBOL)
 --R D : (%,List(Symbol),List(NonNegativeInteger)) -> % if R has PDRING(SYMBOL)
 --R D : (%,(R -> R),NonNegativeInteger) -> %
---R ?^? : (%,NonNegativeInteger) -> %
 --R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
 --R characteristic : () -> NonNegativeInteger
 --R coerce : Fraction(Integer) -> % if R has RETRACT(FRAC(INT))
@@ -648,7 +645,6 @@ Unit test the user level commands
 --R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING(SYMBOL)
 --R differentiate : (%,List(Symbol),List(NonNegativeInteger)) -> % if R has PDRING(SYMBOL)
 --R differentiate : (%,(R -> R),NonNegativeInteger) -> %
---R differentiate : (%,(R -> R)) -> %
 --R eval : (%,List(R),List(R)) -> % if R has EVALAB(R) and R has SETCAT
 --R eval : (%,R,R) -> % if R has EVALAB(R) and R has SETCAT
 --R eval : (%,Equation(R)) -> % if R has EVALAB(R) and R has SETCAT
@@ -722,45 +718,44 @@ Unit test the user level commands
 --R------------------------------- Operations --------------------------------
 --R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
 --R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
---R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?*? : (NonNegativeInteger,%) -> %     ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %    ?**? : (%,PositiveInteger) -> %
 --R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
---R -? : % -> %                           ?=? : (%,%) -> Boolean
---R D : % -> % if R has DIFRING           D : (%,(R -> R)) -> %
---R 1 : () -> %                           0 : () -> %
+--R -? : % -> %                           ?/? : (%,R) -> % if R has FIELD
+--R ?=? : (%,%) -> Boolean                D : % -> % if R has DIFRING
+--R D : (%,(R -> R)) -> %                 1 : () -> %
+--R 0 : () -> %                           ?^? : (%,NonNegativeInteger) -> %
 --R ?^? : (%,PositiveInteger) -> %        antisymmetric? : % -> Boolean
 --R coerce : % -> Matrix(R)               coerce : R -> %
 --R coerce : Integer -> %                 coerce : % -> OutputForm
 --R copy : % -> %                         diagonal? : % -> Boolean
 --R diagonalMatrix : List(R) -> %         diagonalProduct : % -> R
---R elt : (%,Integer,Integer) -> R        elt : (%,Integer,Integer,R) -> R
---R empty : () -> %                       empty? : % -> Boolean
---R eq? : (%,%) -> Boolean                hash : % -> SingleInteger
---R latex : % -> String                   listOfLists : % -> List(List(R))
---R map : ((R -> R),%) -> %               map : (((R,R) -> R),%,%) -> %
---R matrix : List(List(R)) -> %           maxColIndex : % -> Integer
---R maxRowIndex : % -> Integer            minColIndex : % -> Integer
---R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
---R nrows : % -> NonNegativeInteger       one? : % -> Boolean
---R qelt : (%,Integer,Integer) -> R       recip : % -> Union(%,"failed")
---R retract : % -> R                      sample : () -> %
---R scalarMatrix : R -> %                 square? : % -> Boolean
---R squareMatrix : Matrix(R) -> %         symmetric? : % -> Boolean
---R trace : % -> R                        transpose : % -> %
---R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R differentiate : (%,(R -> R)) -> %     elt : (%,Integer,Integer) -> R
+--R elt : (%,Integer,Integer,R) -> R      empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R hash : % -> SingleInteger             latex : % -> String
+--R listOfLists : % -> List(List(R))      map : ((R -> R),%) -> %
+--R map : (((R,R) -> R),%,%) -> %         matrix : List(List(R)) -> %
+--R maxColIndex : % -> Integer            maxRowIndex : % -> Integer
+--R minColIndex : % -> Integer            minRowIndex : % -> Integer
+--R ncols : % -> NonNegativeInteger       nrows : % -> NonNegativeInteger
+--R one? : % -> Boolean                   qelt : (%,Integer,Integer) -> R
+--R recip : % -> Union(%,"failed")        retract : % -> R
+--R sample : () -> %                      scalarMatrix : R -> %
+--R square? : % -> Boolean                squareMatrix : Matrix(R) -> %
+--R symmetric? : % -> Boolean             trace : % -> R
+--R transpose : % -> %                    zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
 --R #? : % -> NonNegativeInteger if $ has finiteAggregate
 --R ?*? : (DirectProduct(ndim,R),%) -> DirectProduct(ndim,R)
 --R ?*? : (%,DirectProduct(ndim,R)) -> DirectProduct(ndim,R)
---R ?*? : (NonNegativeInteger,%) -> %
 --R ?**? : (%,Integer) -> % if R has FIELD
---R ?**? : (%,NonNegativeInteger) -> %
---R ?/? : (%,R) -> % if R has FIELD
 --R D : (%,NonNegativeInteger) -> % if R has DIFRING
 --R D : (%,Symbol) -> % if R has PDRING(SYMBOL)
 --R D : (%,List(Symbol)) -> % if R has PDRING(SYMBOL)
 --R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING(SYMBOL)
 --R D : (%,List(Symbol),List(NonNegativeInteger)) -> % if R has PDRING(SYMBOL)
 --R D : (%,(R -> R),NonNegativeInteger) -> %
---R ?^? : (%,NonNegativeInteger) -> %
 --R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
 --R characteristic : () -> NonNegativeInteger
 --R coerce : Fraction(Integer) -> % if R has RETRACT(FRAC(INT))
@@ -777,7 +772,6 @@ Unit test the user level commands
 --R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING(SYMBOL)
 --R differentiate : (%,List(Symbol),List(NonNegativeInteger)) -> % if R has PDRING(SYMBOL)
 --R differentiate : (%,(R -> R),NonNegativeInteger) -> %
---R differentiate : (%,(R -> R)) -> %
 --R eval : (%,List(R),List(R)) -> % if R has EVALAB(R) and R has SETCAT
 --R eval : (%,R,R) -> % if R has EVALAB(R) and R has SETCAT
 --R eval : (%,Equation(R)) -> % if R has EVALAB(R) and R has SETCAT
@@ -1078,7 +1072,7 @@ Unit test the user level commands
 --RThere is one exposed function called rotatex :
 --R   [1] D1 -> DenavitHartenbergMatrix(D1) from DenavitHartenbergMatrix(
 --R            D1)
---R            if D1 has Join(Field,TranscendentalFunctionCategory)
+--R             if D1 has Join(Field,TranscendentalFunctionCategory)
 --R
 --RExamples of rotatex from DenavitHartenbergMatrix
 --R
@@ -1092,9 +1086,9 @@ Unit test the user level commands
 --R
 --RVariable     Description                                Current Value
 --R-----------------------------------------------------------------------------
---Rtempfile     set location of temporary data files       /tmp/ 
---Rdirectory    set location of generated FORTRAN files    ./ 
---Rlinker       linker arguments (e.g. libraries to search) -lxlf 
+--Rtempfile     set location of temporary data files      /tmp/
+--Rdirectory    set location of generated FORTRAN files   ./
+--Rlinker       linker arguments (e.g. libraries to search) -lxlf
 --R
 --E 61
 
@@ -1102,9 +1096,9 @@ Unit test the user level commands
 )set fortran calling tempfile
 --R--------------------------- The tempfile Option ---------------------------
 --R
---R Description: set location of temporary data files
+--R Description: set location of temporary data files 
 --R
---R )set fortran calling tempfile  is used to tell AXIOM where
+--R )set fortran calling tempfile is used to tell AXIOM where
 --R to place intermediate FORTRAN data files . This must be the 
 --R name of a valid existing directory to which you have permission 
 --R to write (including the final slash).
@@ -1112,7 +1106,7 @@ Unit test the user level commands
 --R Syntax:
 --R   )set fortran calling tempfile DIRECTORYNAME
 --R
---R The current setting is /tmp/ 
+--R The current setting is /tmp/
 --E 62
 
 --S 63 of 97
@@ -1123,9 +1117,9 @@ Unit test the user level commands
 )set fortran calling tempfile
 --R--------------------------- The tempfile Option ---------------------------
 --R
---R Description: set location of temporary data files
+--R Description: set location of temporary data files 
 --R
---R )set fortran calling tempfile  is used to tell AXIOM where
+--R )set fortran calling tempfile is used to tell AXIOM where
 --R to place intermediate FORTRAN data files . This must be the 
 --R name of a valid existing directory to which you have permission 
 --R to write (including the final slash).
@@ -1133,16 +1127,16 @@ Unit test the user level commands
 --R Syntax:
 --R   )set fortran calling tempfile DIRECTORYNAME
 --R
---R The current setting is /home/daly 
+--R The current setting is /home/daly
 --E 64
 
 --S 65 of 97
 )set fortran calling directory
 --R-------------------------- The directory Option ---------------------------
 --R
---R Description: set location of generated FORTRAN files
+--R Description: set location of generated FORTRAN files 
 --R
---R )set fortran calling directory  is used to tell AXIOM where
+--R )set fortran calling directory is used to tell AXIOM where
 --R to place generated FORTRAN files. This must be the name 
 --R of a valid existing directory to which you have permission 
 --R to write (including the final slash).
@@ -1150,7 +1144,7 @@ Unit test the user level commands
 --R Syntax:
 --R   )set fortran calling directory DIRECTORYNAME
 --R
---R The current setting is ./ 
+--R The current setting is ./
 --E 65
 
 --S 66 of 97
@@ -1161,9 +1155,9 @@ Unit test the user level commands
 )set fortran calling directory
 --R-------------------------- The directory Option ---------------------------
 --R
---R Description: set location of generated FORTRAN files
+--R Description: set location of generated FORTRAN files 
 --R
---R )set fortran calling directory  is used to tell AXIOM where
+--R )set fortran calling directory is used to tell AXIOM where
 --R to place generated FORTRAN files. This must be the name 
 --R of a valid existing directory to which you have permission 
 --R to write (including the final slash).
@@ -1171,17 +1165,17 @@ Unit test the user level commands
 --R Syntax:
 --R   )set fortran calling directory DIRECTORYNAME
 --R
---R The current setting is /home/daly/ 
+--R The current setting is /home/daly/
 --E 67
 
 --S 68 of 97
 )set fortran calling linker
 --R---------------------------- The linker Option ----------------------------
 --R
---R Description: linker arguments (e.g. libraries to search)
+--R Description: linker arguments (e.g. libraries to search) 
 --R
---R )set fortran calling linkerargs  is used to pass arguments to the linker
---R when using  mkFort  to create functions which call Fortran code.
+--R )set fortran calling linkerargs is used to pass arguments to the linker
+--R when using mkFort to create functions which call Fortran code.
 --R For example, it might give a list of libraries to be searched,
 --R and their locations.
 --R The string is passed verbatim, so must be the correct syntax for
@@ -1189,7 +1183,7 @@ Unit test the user level commands
 --R
 --R Example: )set fortran calling linker "-lxlf"
 --R
---R The current setting is -lxlf 
+--R The current setting is -lxlf
 --E 68
 
 --S 69 of 97
@@ -1200,10 +1194,10 @@ Unit test the user level commands
 )set fortran calling linker
 --R---------------------------- The linker Option ----------------------------
 --R
---R Description: linker arguments (e.g. libraries to search)
+--R Description: linker arguments (e.g. libraries to search) 
 --R
---R )set fortran calling linkerargs  is used to pass arguments to the linker
---R when using  mkFort  to create functions which call Fortran code.
+--R )set fortran calling linkerargs is used to pass arguments to the linker
+--R when using mkFort to create functions which call Fortran code.
 --R For example, it might give a list of libraries to be searched,
 --R and their locations.
 --R The string is passed verbatim, so must be the correct syntax for
@@ -1211,7 +1205,7 @@ Unit test the user level commands
 --R
 --R Example: )set fortran calling linker "-lxlf"
 --R
---R The current setting is -TPD 
+--R The current setting is -TPD
 --E 70
 
 \end{chunk}
@@ -1315,8 +1309,8 @@ hard coded some internal functions so they could not be changed.
 --R
 --RVariable     Description                                Current Value
 --R-----------------------------------------------------------------------------
---Rhost         internet address of host for NAGLink       localhost 
---Rpersistence  number of (fortran) functions to remember  1 
+--Rhost         internet address of host for NAGLink      localhost
+--Rpersistence  number of (fortran) functions to remember 1
 --Rmessages     show NAGLink messages                      on 
 --Rdouble       enforce DOUBLE PRECISION ASPs              on 
 --R
@@ -1326,27 +1320,27 @@ hard coded some internal functions so they could not be changed.
 )set naglink host
 --R----------------------------- The host Option -----------------------------
 --R
---R Description: internet address of host for NAGLink
+--R Description: internet address of host for NAGLink 
 --R
 --R )set naglink host is used to tell  AXIOM which  host to contact for
 --R a NAGLink request. An Internet address should be supplied. The host
 --R specified must be running the NAGLink daemon.
 --R
---R The current setting is localhost 
+--R The current setting is localhost
 --E 85
 
 --S 86 of 97
 )set naglink persistence
 --R------------------------- The persistence Option --------------------------
 --R
---R Description: number of (fortran) functions to remember
+--R Description: number of (fortran) functions to remember 
 --R
---R )set naglink persistence is used to tell  the  nagd  daemon how  many ASP
+--R )set naglink persistence is used to tell the nagd daemon how  many ASP
 --R source and object files to keep around in case you reuse them. This helps
 --R to avoid needless recompilations. The number specified should be a 
 --R non-negative integer.
 --R
---R The current setting is 1 
+--R The current setting is 1
 --E 86
 
 --S 87 of 97
@@ -1387,13 +1381,13 @@ hard coded some internal functions so they could not be changed.
 )set naglink host
 --R----------------------------- The host Option -----------------------------
 --R
---R Description: internet address of host for NAGLink
+--R Description: internet address of host for NAGLink 
 --R
 --R )set naglink host is used to tell  AXIOM which  host to contact for
 --R a NAGLink request. An Internet address should be supplied. The host
 --R specified must be running the NAGLink daemon.
 --R
---R The current setting is axiom-developer.org 
+--R The current setting is axiom-developer.org
 --E 90
 
 --S 91 of 97
@@ -1404,14 +1398,14 @@ hard coded some internal functions so they could not be changed.
 )set naglink persistence
 --R------------------------- The persistence Option --------------------------
 --R
---R Description: number of (fortran) functions to remember
+--R Description: number of (fortran) functions to remember 
 --R
---R )set naglink persistence is used to tell  the  nagd  daemon how  many ASP
+--R )set naglink persistence is used to tell the nagd daemon how  many ASP
 --R source and object files to keep around in case you reuse them. This helps
 --R to avoid needless recompilations. The number specified should be a 
 --R non-negative integer.
 --R
---R The current setting is 10 
+--R The current setting is 10
 --E 92
 
 --S 93 of 97
@@ -1458,8 +1452,8 @@ hard coded some internal functions so they could not be changed.
 --R
 --RVariable     Description                                Current Value
 --R-----------------------------------------------------------------------------
---Rhost         internet address of host for NAGLink       axiom-developer.org 
---Rpersistence  number of (fortran) functions to remember  10 
+--Rhost         internet address of host for NAGLink      axiom-developer.org
+--Rpersistence  number of (fortran) functions to remember 10
 --Rmessages     show NAGLink messages                      off 
 --Rdouble       enforce DOUBLE PRECISION ASPs              off 
 --R
diff --git a/src/input/unittest2.input.pamphlet b/src/input/unittest2.input.pamphlet
index 0bf90b5..881aa68 100644
--- a/src/input/unittest2.input.pamphlet
+++ b/src/input/unittest2.input.pamphlet
@@ -1304,7 +1304,7 @@ This generates non-printing characters
 --S 211 of 235
 )lisp (identity |$setOptions|)
 --R 
---RValue = ((|breakmode| "execute break processing on error" |interpreter| LITERALS |$BreakMode| (|nobreak| |break| |query| |resume| |fastlinks| |quit|) |nobreak|) (|compiler| "Library compiler options" |interpreter| TREE |novar| ((|output| "library in which to place compiled code" |interpreter| FUNCTION |setOutputLibrary| NIL |htSetOutputLibrary|) (|input| "controls libraries from which to load compiled code" |interpreter| FUNCTION |setInputLibrary| NIL |htSetInputLibrary|))) (|debug| "debug options" |interpreter| TREE |novar| ((|lambdatype| "show type information for #1 syntax" |interpreter| LITERALS $LAMBDATYPE (|on| |off|) |off|) (|dalymode| "Interpret leading open paren as lisp" |interpreter| LITERALS $DALYMODE (|on| |off|) |off|))) (|expose| "control interpreter constructor exposure" |interpreter| FUNCTION |setExpose| NIL |htSetExpose|) (|functions| "some interpreter function options" |interpreter| TREE |novar| ((|cache| "number of function results to cache" |interpreter| FUNCTION |setFunctionsCache| NIL |htSetCache|) (|compile| "compile, don't just define function bodies" |interpreter| LITERALS |$compileDontDefineFunctions| (|on| |off|) |on|) (|recurrence| "specially compile recurrence relations" |interpreter| LITERALS |$compileRecurrence| (|on| |off|) |on|))) (|fortran| "view and set options for FORTRAN output" |interpreter| TREE |novar| ((|ints2floats| "where sensible, coerce integers to reals" |interpreter| LITERALS |$fortInts2Floats| (|on| |off|) |on|) (|fortindent| "the number of characters indented" |interpreter| INTEGER |$fortIndent| (0 NIL) 6) (|fortlength| "the number of characters on a line" |interpreter| INTEGER |$fortLength| (1 NIL) 72) (|typedecs| "print type and dimension lines" |interpreter| LITERALS |$printFortranDecs| (|on| |off|) |on|) (|defaulttype| "default generic type for FORTRAN object" |interpreter| LITERALS |$defaultFortranType| (REAL INTEGER COMPLEX LOGICAL CHARACTER) REAL) (|precision| "precision of generated FORTRAN objects" |interpreter| LITERALS |$fortranPrecision| (|single| |double|) |double|) (|intrinsic| "whether to use INTRINSIC FORTRAN functions" |interpreter| LITERALS |$useIntrinsicFunctions| (|on| |off|) |off|) (|explength| "character limit for FORTRAN expressions" |interpreter| INTEGER |$maximumFortranExpressionLength| (0 NIL) 1320) (|segment| "split long FORTRAN expressions" |interpreter| LITERALS |$fortranSegment| (|on| |off|) |on|) (|optlevel| "FORTRAN optimisation level" |interpreter| INTEGER |$fortranOptimizationLevel| (0 2) 0) (|startindex| "starting index for FORTRAN arrays" |interpreter| INTEGER |$fortranArrayStartingIndex| (0 1) 1) (|calling| "options for external FORTRAN calls" |interpreter| TREE |novar| ((|tempfile| "set location of temporary data files" |interpreter| FUNCTION |setFortTmpDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranTmpDir| |chkDirectory| "/tmp/")) NIL) (|directory| "set location of generated FORTRAN files" |interpreter| FUNCTION |setFortDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranDirectory| |chkDirectory| "./")) NIL) (|linker| "linker arguments (e.g. libraries to search)" |interpreter| FUNCTION |setLinkerArgs| (("enter linker arguments " STRING |$fortranLibraries| |chkDirectory| "-lxlf")) NIL))))) (|hyperdoc| "options in using HyperDoc" |interpreter| TREE |novar| ((|fullscreen| "use full screen for this facility" |interpreter| LITERALS |$fullScreenSysVars| (|on| |off|) |off|) (|mathwidth| "screen width for history output" |interpreter| INTEGER |$historyDisplayWidth| (0 NIL) 120))) (|help| "view and set some help options" |interpreter| TREE |novar| ((|fullscreen| "use fullscreen facility, if possible" |interpreter| LITERALS |$useFullScreenHelp| (|on| |off|) |on|))) (|history| "save workspace values in a history file" |interpreter| LITERALS |$HiFiAccess| (|on| |off|) |on|) (|messages| "show messages for various system features" |interpreter| TREE |novar| ((|any| "print the internal type of objects of domain Any" |interpreter| LITERALS |$printAnyIfTrue| (|on| |off|) |on|) (|autoload| "print file auto-load messages" |interpreter| LITERALS |$printLoadMsgs| (|on| |off|) |on|) (|bottomup| "display bottom up modemap selection" |development| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|coercion| "display datatype coercion messages" |development| LITERALS |$reportCoerceIfTrue| (|on| |off|) |off|) (|dropmap| "display old map defn when replaced" |interpreter| LITERALS |$displayDroppedMap| (|on| |off|) |off|) (|expose| "warning for unexposed functions" |interpreter| LITERALS |$giveExposureWarning| (|on| |off|) |off|) (|file| "print msgs also to SPADMSG LISTING" |development| LITERALS |$printMsgsToFile| (|on| |off|) |off|) (|frame| "display messages about frames" |interpreter| LITERALS |$frameMessages| (|on| |off|) |off|) (|highlighting| "use highlighting in system messages" |interpreter| LITERALS |$highlightAllowed| (|on| |off|) |off|) (|instant| "present instantiation summary" |development| LITERALS |$reportInstantiations| (|on| |off|) |off|) (|insteach| "present instantiation info" |development| LITERALS |$reportEachInstantiation| (|on| |off|) |off|) (|interponly| "say when function code is interpreted" |interpreter| LITERALS |$reportInterpOnly| (|on| |off|) |on|) (|naglink| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|number| "display message number with message" |interpreter| LITERALS |$displayMsgNumber| (|on| |off|) |off|) (|prompt| "set type of input prompt to display" |interpreter| LITERALS |$inputPromptType| (|none| |frame| |plain| |step| |verbose|) |step|) (|selection| "display function selection msgs" |interpreter| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|set| "show )set setting after assignment" |interpreter| LITERALS |$displaySetValue| (|on| |off|) |off|) (|startup| "display messages on start-up" |interpreter| LITERALS |$displayStartMsgs| (|on| |off|) |on|) (|summary| "print statistics after computation" |interpreter| LITERALS |$printStatisticsSummaryIfTrue| (|on| |off|) |off|) (|testing| "print system testing header" |development| LITERALS |$testingSystem| (|on| |off|) |off|) (|time| "print timings after computation" |interpreter| LITERALS |$printTimeIfTrue| (|on| |off| |long|) |off|) (|type| "print type after computation" |interpreter| LITERALS |$printTypeIfTrue| (|on| |off|) |on|) (|void| "print Void value when it occurs" |interpreter| LITERALS |$printVoidIfTrue| (|on| |off|) |off|))) (|naglink| "options for NAGLink" |interpreter| TREE |novar| ((|host| "internet address of host for NAGLink" |interpreter| FUNCTION |setNagHost| (("enter host name" DIRECTORY |$nagHost| |chkDirectory| "localhost")) NIL) (|persistence| "number of (fortran) functions to remember" |interpreter| FUNCTION |setFortPers| (("Requested remote storage (for asps):" INTEGER |$fortPersistence| (0 NIL) 10)) NIL) (|messages| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|double| "enforce DOUBLE PRECISION ASPs" |interpreter| LITERALS |$nagEnforceDouble| (|on| |off|) |on|))) (|output| "view and set some output options" |interpreter| TREE |novar| ((|abbreviate| "abbreviate type names" |interpreter| LITERALS |$abbreviateTypes| (|on| |off|) |off|) (|algebra| "display output in algebraic form" |interpreter| FUNCTION |setOutputAlgebra| (("display output in algebraic form" LITERALS |$algebraFormat| (|off| |on|) |on|) (BREAK $ALGEBRAFORMAT) ("where algebra printing goes (enter {em console} or a pathname)?" FILENAME |$algebraOutputFile| |chkOutputFileName| "console")) NIL) (|characters| "choose special output character set" |interpreter| FUNCTION |setOutputCharacters| NIL |htSetOutputCharacters|) (|fortran| "create output in FORTRAN format" |interpreter| FUNCTION |setOutputFortran| (("create output in FORTRAN format" LITERALS |$fortranFormat| (|off| |on|) |off|) (|break| |$fortranFormat|) ("where FORTRAN output goes (enter {em console} or a a pathname)" FILENAME |$fortranOutputFile| |chkOutputFileName| "console")) NIL) (|fraction| "how fractions are formatted" |interpreter| LITERALS |$fractionDisplayType| (|vertical| |horizontal|) |vertical|) (|html| "create output in HTML style" |interpreter| FUNCTION |setOutputHtml| (("create output in HTML format" LITERALS |$htmlFormat| (|off| |on|) |off|) (|break| |$htmlFormat|) ("where HTML output goes (enter {em console} or a pathname)" FILENAME |$htmlOutputFile| |chkOutputFileName| "console")) NIL) (|length| "line length of output displays" |interpreter| INTEGER $LINELENGTH (10 245) 77) (|mathml| "create output in MathML style" |interpreter| FUNCTION |setOutputMathml| (("create output in MathML format" LITERALS |$mathmlFormat| (|off| |on|) |off|) (|break| |$mathmlFormat|) ("where MathML output goes (enter {em console} or a pathname)" FILENAME |$mathmlOutputFile| |chkOutputFileName| "console")) NIL) (|openmath| "create output in OpenMath style" |interpreter| FUNCTION |setOutputOpenMath| (("create output in OpenMath format" LITERALS |$openMathFormat| (|off| |on|) |off|) (|break| |$openMathFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$openMathOutputFile| |chkOutputFileName| "console")) NIL) (|script| "display output in SCRIPT formula format" |interpreter| FUNCTION |setOutputFormula| (("display output in SCRIPT format" LITERALS |$formulaFormat| (|off| |on|) |off|) (|break| |$formulaFormat|) ("where script output goes (enter {em console} or a a pathname)" FILENAME |$formulaOutputFile| |chkOutputFileName| "console")) NIL) (|scripts| "show subscripts,... linearly" |interpreter| LITERALS |$linearFormatScripts| (|on| |off|) |off|) (|showeditor| "view output of )show in editor" |interpreter| LITERALS |$useEditorForShowOutput| (|on| |off|) |off|) (|tex| "create output in TeX style" |interpreter| FUNCTION |setOutputTex| (("create output in TeX format" LITERALS |$texFormat| (|off| |on|) |off|) (|break| |$texFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$texOutputFile| |chkOutputFileName| "console")) NIL))) (|quit| "protected or unprotected quit" |interpreter| LITERALS |$quitCommandType| (|protected| |unprotected|) |unprotected|) (|streams| "set some options for working with streams" |interpreter| TREE |novar| ((|calculate| "specify number of elements to calculate" |interpreter| FUNCTION |setStreamsCalculate| (("number of initial stream elements you want calculated" INTEGER |$streamCount| (0 NIL) 10)) NIL) (|showall| "display all stream elements computed" |interpreter| LITERALS |$streamsShowAll| (|on| |off|) |off|))) (|system| "set some system development variables" |development| TREE |novar| ((|functioncode| "show gen. LISP for functions when compiled" |development| LITERALS |$reportCompilation| (|on| |off|) |off|) (|optimization| "show optimized LISP code" |development| LITERALS |$reportOptimization| (|on| |off|) |off|) (|prettyprint| "prettyprint BOOT func's as they compile" |development| LITERALS $PRETTYPRINT (|on| |off|) |on|))) (|userlevel| "operation access level of system user" |interpreter| LITERALS |$UserLevel| (|interpreter| |compiler| |development|) |development|))
+--RValue = ((|breakmode| "execute break processing on error" |interpreter| LITERALS |$BreakMode| (|nobreak| |break| |query| |resume| |fastlinks| |quit|) |nobreak|) (|compiler| "Library compiler options" |interpreter| TREE |novar| ((|output| "library in which to place compiled code " |interpreter| FUNCTION |setOutputLibrary| NIL |htSetOutputLibrary|) (|input| "controls libraries from which to load compiled code" |interpreter| FUNCTION |setInputLibrary| NIL |htSetInputLibrary|))) (|debug| "debug options" |interpreter| TREE |novar| ((|lambdatype| "show type information for #1 syntax" |interpreter| LITERALS $LAMBDATYPE (|on| |off|) |off|) (|dalymode| "Interpret leading open paren as lisp" |interpreter| LITERALS $DALYMODE (|on| |off|) |off|))) (|expose| "control interpreter constructor exposure" |interpreter| FUNCTION |setExpose| NIL |htSetExpose|) (|functions| "some interpreter function options" |interpreter| TREE |novar| ((|cache| "number of function results to cache" |interpreter| FUNCTION |setFunctionsCache| NIL |htSetCache|) (|compile| "compile, don't just define function bodies" |interpreter| LITERALS |$compileDontDefineFunctions| (|on| |off|) |on|) (|recurrence| "specially compile recurrence relations" |interpreter| LITERALS |$compileRecurrence| (|on| |off|) |on|))) (|fortran| "view and set options for FORTRAN output" |interpreter| TREE |novar| ((|ints2floats| "where sensible, coerce integers to reals" |interpreter| LITERALS |$fortInts2Floats| (|on| |off|) |on|) (|fortindent| "the number of characters indented" |interpreter| INTEGER |$fortIndent| (0 NIL) 6) (|fortlength| "the number of characters on a line" |interpreter| INTEGER |$fortLength| (1 NIL) 72) (|typedecs| "print type and dimension lines" |interpreter| LITERALS |$printFortranDecs| (|on| |off|) |on|) (|defaulttype| "default generic type for FORTRAN object" |interpreter| LITERALS |$defaultFortranType| (REAL INTEGER COMPLEX LOGICAL CHARACTER) REAL) (|precision| "precision of generated FORTRAN objects" |interpreter| LITERALS |$fortranPrecision| (|single| |double|) |double|) (|intrinsic| "whether to use INTRINSIC FORTRAN functions" |interpreter| LITERALS |$useIntrinsicFunctions| (|on| |off|) |off|) (|explength| "character limit for FORTRAN expressions" |interpreter| INTEGER |$maximumFortranExpressionLength| (0 NIL) 1320) (|segment| "split long FORTRAN expressions" |interpreter| LITERALS |$fortranSegment| (|on| |off|) |on|) (|optlevel| "FORTRAN optimisation level" |interpreter| INTEGER |$fortranOptimizationLevel| (0 2) 0) (|startindex| "starting index for FORTRAN arrays" |interpreter| INTEGER |$fortranArrayStartingIndex| (0 1) 1) (|calling| "options for external FORTRAN calls" |interpreter| TREE |novar| ((|tempfile| "set location of temporary data files " |interpreter| FUNCTION |setFortTmpDir| (("enter directory name for which you have write-permission " DIRECTORY |$fortranTmpDir| |chkDirectory| "/tmp/")) NIL) (|directory| "set location of generated FORTRAN files " |interpreter| FUNCTION |setFortDir| (("enter directory name for which you have write-permission " DIRECTORY |$fortranDirectory| |chkDirectory| "./")) NIL) (|linker| "linker arguments (e.g. libraries to search) " |interpreter| FUNCTION |setLinkerArgs| (("enter linker arguments " STRING |$fortranLibraries| |chkDirectory| "-lxlf")) NIL))))) (|hyperdoc| "options in using HyperDoc" |interpreter| TREE |novar| ((|fullscreen| "use full screen for this facility" |interpreter| LITERALS |$fullScreenSysVars| (|on| |off|) |off|) (|mathwidth| "screen width for history output" |interpreter| INTEGER |$historyDisplayWidth| (0 NIL) 120))) (|help| "view and set some help options" |interpreter| TREE |novar| ((|fullscreen| "use fullscreen facility, if possible" |interpreter| LITERALS |$useFullScreenHelp| (|on| |off|) |on|))) (|history| "save workspace values in a history file" |interpreter| LITERALS |$HiFiAccess| (|on| |off|) |on|) (|messages| "show messages for various system features" |interpreter| TREE |novar| ((|any| "print the internal type of objects of domain Any" |interpreter| LITERALS |$printAnyIfTrue| (|on| |off|) |on|) (|autoload| "print file auto-load messages" |interpreter| LITERALS |$printLoadMsgs| (|on| |off|) |on|) (|bottomup| "display bottom up modemap selection" |development| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|coercion| "display datatype coercion messages" |development| LITERALS |$reportCoerceIfTrue| (|on| |off|) |off|) (|dropmap| "display old map defn when replaced" |interpreter| LITERALS |$displayDroppedMap| (|on| |off|) |off|) (|expose| "warning for unexposed functions" |interpreter| LITERALS |$giveExposureWarning| (|on| |off|) |off|) (|file| "print msgs also to SPADMSG LISTING" |development| LITERALS |$printMsgsToFile| (|on| |off|) |off|) (|frame| "display messages about frames" |interpreter| LITERALS |$frameMessages| (|on| |off|) |off|) (|highlighting| "use highlighting in system messages" |interpreter| LITERALS |$highlightAllowed| (|on| |off|) |off|) (|instant| "present instantiation summary" |development| LITERALS |$reportInstantiations| (|on| |off|) |off|) (|insteach| "present instantiation info" |development| LITERALS |$reportEachInstantiation| (|on| |off|) |off|) (|interponly| "say when function code is interpreted" |interpreter| LITERALS |$reportInterpOnly| (|on| |off|) |on|) (|naglink| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|number| "display message number with message" |interpreter| LITERALS |$displayMsgNumber| (|on| |off|) |off|) (|prompt| "set type of input prompt to display" |interpreter| LITERALS |$inputPromptType| (|none| |frame| |plain| |step| |verbose|) |step|) (|selection| "display function selection msgs" |interpreter| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|set| "show )set setting after assignment" |interpreter| LITERALS |$displaySetValue| (|on| |off|) |off|) (|startup| "display messages on start-up" |interpreter| LITERALS |$displayStartMsgs| (|on| |off|) |on|) (|summary| "print statistics after computation" |interpreter| LITERALS |$printStatisticsSummaryIfTrue| (|on| |off|) |off|) (|testing| "print system testing header" |development| LITERALS |$testingSystem| (|on| |off|) |off|) (|time| "print timings after computation" |interpreter| LITERALS |$printTimeIfTrue| (|on| |off| |long|) |off|) (|type| "print type after computation" |interpreter| LITERALS |$printTypeIfTrue| (|on| |off|) |on|) (|void| "print Void value when it occurs" |interpreter| LITERALS |$printVoidIfTrue| (|on| |off|) |off|))) (|naglink| "options for NAGLink" |interpreter| TREE |novar| ((|host| "internet address of host for NAGLink " |interpreter| FUNCTION |setNagHost| (("enter host name" DIRECTORY |$nagHost| |chkDirectory| "localhost")) NIL) (|persistence| "number of (fortran) functions to remember " |interpreter| FUNCTION |setFortPers| (("Requested remote storage (for asps):" INTEGER |$fortPersistence| (0 NIL) 10)) NIL) (|messages| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|double| "enforce DOUBLE PRECISION ASPs" |interpreter| LITERALS |$nagEnforceDouble| (|on| |off|) |on|))) (|output| "view and set some output options" |interpreter| TREE |novar| ((|abbreviate| "abbreviate type names" |interpreter| LITERALS |$abbreviateTypes| (|on| |off|) |off|) (|algebra| "display output in algebraic form " |interpreter| FUNCTION |setOutputAlgebra| (("display output in algebraic form " LITERALS |$algebraFormat| (|off| |on|) |on|) (BREAK $ALGEBRAFORMAT) ("where algebra printing goes (enter {em console} or a pathname)?" FILENAME |$algebraOutputFile| |chkOutputFileName| "console")) NIL) (|characters| "choose special output character set " |interpreter| FUNCTION |setOutputCharacters| NIL |htSetOutputCharacters|) (|fortran| "create output in FORTRAN format " |interpreter| FUNCTION |setOutputFortran| (("create output in FORTRAN format " LITERALS |$fortranFormat| (|off| |on|) |off|) (|break| |$fortranFormat|) ("where FORTRAN output goes (enter {em console} or a a pathname)" FILENAME |$fortranOutputFile| |chkOutputFileName| "console")) NIL) (|fraction| "how fractions are formatted" |interpreter| LITERALS |$fractionDisplayType| (|vertical| |horizontal|) |vertical|) (|html| "create output in HTML style " |interpreter| FUNCTION |setOutputHtml| (("create output in HTML format " LITERALS |$htmlFormat| (|off| |on|) |off|) (|break| |$htmlFormat|) ("where HTML output goes (enter {em console} or a pathname)" FILENAME |$htmlOutputFile| |chkOutputFileName| "console")) NIL) (|length| "line length of output displays" |interpreter| INTEGER $LINELENGTH (10 245) 77) (|mathml| "create output in MathML style " |interpreter| FUNCTION |setOutputMathml| (("create output in MathML format " LITERALS |$mathmlFormat| (|off| |on|) |off|) (|break| |$mathmlFormat|) ("where MathML output goes (enter {em console} or a pathname)" FILENAME |$mathmlOutputFile| |chkOutputFileName| "console")) NIL) (|openmath| "create output in OpenMath style " |interpreter| FUNCTION |setOutputOpenMath| (("create output in OpenMath format " LITERALS |$openMathFormat| (|off| |on|) |off|) (|break| |$openMathFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$openMathOutputFile| |chkOutputFileName| "console")) NIL) (|script| "display output in SCRIPT formula format " |interpreter| FUNCTION |setOutputFormula| (("display output in SCRIPT format " LITERALS |$formulaFormat| (|off| |on|) |off|) (|break| |$formulaFormat|) ("where script output goes (enter {em console} or a a pathname)" FILENAME |$formulaOutputFile| |chkOutputFileName| "console")) NIL) (|scripts| "show subscripts,... linearly" |interpreter| LITERALS |$linearFormatScripts| (|on| |off|) |off|) (|showeditor| "view output of )show in editor" |interpreter| LITERALS |$useEditorForShowOutput| (|on| |off|) |off|) (|tex| "create output in TeX style " |interpreter| FUNCTION |setOutputTex| (("create output in TeX format " LITERALS |$texFormat| (|off| |on|) |off|) (|break| |$texFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$texOutputFile| |chkOutputFileName| "console")) NIL))) (|quit| "protected or unprotected quit" |interpreter| LITERALS |$quitCommandType| (|protected| |unprotected|) |unprotected|) (|streams| "set some options for working with streams" |interpreter| TREE |novar| ((|calculate| "specify number of elements to calculate " |interpreter| FUNCTION |setStreamsCalculate| (("number of initial stream elements you want calculated " INTEGER |$streamCount| (0 NIL) 10)) NIL) (|showall| "display all stream elements computed" |interpreter| LITERALS |$streamsShowAll| (|on| |off|) |off|))) (|system| "set some system development variables" |development| TREE |novar| ((|functioncode| "show gen. LISP for functions when compiled" |development| LITERALS |$reportCompilation| (|on| |off|) |off|) (|optimization| "show optimized LISP code" |development| LITERALS |$reportOptimization| (|on| |off|) |off|) (|prettyprint| "prettyprint BOOT func's as they compile" |development| LITERALS $PRETTYPRINT (|on| |off|) |on|))) (|userlevel| "operation access level of system user" |interpreter| LITERALS |$UserLevel| (|interpreter| |compiler| |development|) |development|))
 --E 211
 
 --S 212 of 235 obsolete |$shoeReadLineFunction|
diff --git a/src/interp/c-util.lisp.pamphlet b/src/interp/c-util.lisp.pamphlet
index fde8dc7..0c68f7a 100644
--- a/src/interp/c-util.lisp.pamphlet
+++ b/src/interp/c-util.lisp.pamphlet
@@ -228,15 +228,12 @@
           ((BOOT-EQUAL |$insideCapsuleFunctionIfTrue| 'T)
            (|sayBrightly|
                (CONS "error in function"
-                     (CONS '|%b|
-                           (CONS |$op| (CONS '|%d| (CONS '|%l| NIL))))))))
+                           (CONS |$op| (CONS '|%l| NIL))))))
         (|pp| (|removeZeroOne| (|mkErrorExpr| |level|)))
         (|sayBrightly|
             (CONS "****** level"
-                  (CONS '|%b|
                         (CONS |level|
-                              (CONS '|%d|
-                                    (CONS " ******" NIL))))))
+                                    (CONS " ******" NIL))))
         (SPADLET |LETTMP#1| (ELEM |$s| |level|))
         (SPADLET |$x| (CAR |LETTMP#1|))
         (SPADLET |$m| (CADR |LETTMP#1|))
@@ -356,9 +353,10 @@
 
 (DEFUN |errorRef| (|s|)
   (|stackWarning|
-      (CONS '|%b|
+    (cons " "
             (CONS |s|
-                  (CONS '|%d| (CONS "has no value" NIL))))))
+              (cons " "
+                  (CONS "has no value" NIL))))))
 
 ;
 ;unErrorRef s == unStackWarning ['%b,s,'%d,'"has no value"]
@@ -367,9 +365,8 @@
 
 (DEFUN |unErrorRef| (|s|)
   (|unStackWarning|
-      (CONS '|%b|
             (CONS |s|
-                  (CONS '|%d| (CONS "has no value" NIL))))))
+                  (CONS "has no value" NIL))))
 
 ;
 ;--% ENVIRONMENT FUNCTIONS
@@ -404,11 +401,9 @@
 
 (DEFUN |warnLiteral| (|x|)
   (|stackSemanticError|
-      (CONS '|%b|
             (CONS |x|
-                  (CONS '|%d|
                         (CONS                                   "is BOTH a variable and a literal"
-                              NIL))))
+                              NIL))
       NIL))
 
 ;
@@ -632,10 +627,8 @@
                                        (LIST (CONS '|mode| |m''|))))
                                      (EXIT
                                       (|stackSemanticError|
-                                       (CONS '|%b|
                                         (CONS |$var|
-                                         (CONS '|%d|
-                                          (CONS '|has two modes: | NIL))))
+                                          (CONS '|has two modes: | NIL))
                                        NIL)))))
                           (EXIT (LIST (CONS '|conditionalmode|
                                        (CDR |pair|)))))))
@@ -2574,9 +2567,7 @@
                               (|sayBrightly|
                                   (CONS |y|
                                         (CONS " ==> mode"
-                                         (CONS '|%b|
-                                          (CONS (CADR |u|)
-                                           (CONS '|%d| NIL)))))))
+                                          (CONS (CADR |u|) nil)))))
                              ('T
                               (|sayBrightly|
                                   (CONS |y|
@@ -2644,9 +2635,8 @@
     (RETURN
       (SEQ (PROGN
              (|sayBrightly|
-                 (CONS '|%b|
                        (CONS "modemap"
-                             (CONS '|%d| (|formatModemap| |mm|)))))
+                             (|formatModemap| |mm|)))
              (SPADLET |dc| (CAAR |mm|))
              (SPADLET |target| (CADAR |mm|))
              (SPADLET |sl| (CDDAR |mm|))
@@ -2668,9 +2658,8 @@
                 |target|)
                ('T
                 (|sayBrightly|
-                    (CONS '|%b|
                           (CONS "fails"
-                                (CONS '|%d| (CONS '|%l| NIL))))))))))))
+                                (CONS '|%l| NIL))))))))))
 
 ;
 ;qArg(a,m) ==
@@ -2695,8 +2684,7 @@
             (CONS |a|
                   (CONS " --> "
                         (CONS |m|
-                              (CONS '|%b|
-                                    (CONS |yesOrNo| (CONS '|%d| NIL)))))))
+                                    (CONS |yesOrNo| nil)))))
         (BOOT-EQUAL |yesOrNo| '|yes|)))))
 
 ;
@@ -2724,8 +2712,7 @@
                  (COND
                    ((SPADLET |u| (|comp| |x| |$EmptyMode| |$f|))
                     (CONS "compiles to mode"
-                          (CONS '|%b|
-                                (CONS (CADR |u|) (CONS '|%d| NIL)))))
+                                (CONS (CADR |u|) nil)))
                    ('T NIL)))
         (|sayBrightly| |msg|)))))
 
@@ -2823,11 +2810,9 @@
                               NIL)
                           (|sayBrightly|
                               (CONS "   "
-                                    (CONS '|%b|
                                      (CONS |prop|
-                                      (CONS '|%d|
                                        (CONS ": "
-                                        (CONS |val| NIL)))))))
+                                        (CONS |val| NIL)))))
                           (EXIT (|displayProplist,fn|
                                     (|deleteAssoc| |prop| |l|))))))))))
 
@@ -2837,8 +2822,7 @@
   (PROGN
     (|sayBrightly|
         (CONS "properties of"
-              (CONS '|%b|
-                    (CONS |x| (CONS '|%d| (CONS ":" NIL))))))
+                    (CONS |x| (CONS ":" NIL))))
     (|displayProplist,fn| |alist|)))
 
 ;
diff --git a/src/interp/clam.lisp.pamphlet b/src/interp/clam.lisp.pamphlet
index 6a8d668..37ba010 100644
--- a/src/interp/clam.lisp.pamphlet
+++ b/src/interp/clam.lisp.pamphlet
@@ -189,7 +189,7 @@
         (COND
           ((SPADLET |u| (S- |options| '(|shift| |count|)))
            (|keyedSystemError|
-            (format nil "Illegal options for  CLAMming function %1b: %2 %3 %4")
+            (format nil "Illegal options for  CLAMming function %1: %2 %3 %4")
             (CONS |op| |u|))))
         (SPADLET |shiftFl| (member '|shift| |options|))
         (SPADLET |countFl| (member '|count| |options|))
@@ -1112,8 +1112,7 @@
                   NIL)
                (SEQ (EXIT (PROGN
                             (|sayBrightlyNT|
-                                (CONS '|%b|
-                                      (CONS |a| (CONS '|%d| NIL))))
+                                      (CONS |a| nil))
                             (|pp| |b|))))))))))
 
 ;cacheStats() ==
@@ -1144,11 +1143,9 @@
              (SEQ (EXIT (COND
                           ((NULL (member '|count| |u|))
                            (|sayBrightly|
-                               (CONS "%b"
                                      (CONS |fn|
-                                      (CONS "%d"
                                        (CONS "does not keep reference counts"
-                                        NIL))))))
+                                        NIL))))
                           ((INTEGERP |kind|)
                            (|reportCircularCacheStats| |fn| |kind|))
                           ((BOOT-EQUAL |kind| '|hash|)
@@ -1156,9 +1153,7 @@
                           ('T
                            (|sayBrightly|
                                (CONS "Unknown cache type for"
-                                     (CONS "%b"
-                                      (CONS |fn|
-                                       (CONS "%d" NIL))))))))))))))
+                                      (CONS |fn| nil))))))))))))
 
 ;reportCircularCacheStats(fn,n) ==
 ;  infovec:= GET(fn,'cacheInfo)
@@ -1196,18 +1191,14 @@
                                G2595)
                             (SEQ (EXIT (SETQ G2595 (PLUS G2595 1))))))))
              (|sayBrightly|
-                 (CONS "%b"
                        (CONS |fn|
-                             (CONS "%d"
                                    (CONS "has"
-                                    (CONS "%b"
                                      (CONS |numberUsed|
-                                      (CONS "%d"
                                        (CONS "/ "
                                         (CONS |n|
                                          (CONS
                                           " values cached"
-                                          NIL)))))))))))
+                                          NIL)))))))
              (|displayCacheFrequency|
                  (|mkCircularCountAlist| |circList| |n|))
              (TERPRI))))))
@@ -1618,12 +1609,10 @@
                                        (INTERNL |op|
                                         ";calls"))
                                       (SPADLET |res|
-                                       (CONS '|%b|
                                         (CONS (|eval| |hitCounter|)
                                          (CONS '/
                                           (CONS (|eval| |callCounter|)
-                                           (CONS '|%d|
-                                            (CONS '|calls to | NIL)))))))
+                                            (CONS '|calls to | NIL)))))
                                       (SET |hitCounter| 0)
                                       (SET |callCounter| 0) |res|)))
                           (SPADLET |postString|
@@ -1633,12 +1622,10 @@
                                      (COND
                                        ((BOOT-EQUAL |kind| '|hash|)
                                         (CONS '| (|
-                                         (CONS '|%b|
                                           (CONS
                                            (HASH-TABLE-COUNT
                                             |cacheValue|)
-                                           (CONS '|%d|
-                                            (CONS '|entries)| NIL))))))
+                                            (CONS '|entries)| NIL))))
                                        ('T
                                         (SPADLET |empties|
                                          (|numberOfEmptySlots|
@@ -1647,15 +1634,13 @@
                                           ((EQL |empties| 0) NIL)
                                           ('T
                                            (CONS '| (|
-                                            (CONS '|%b|
                                              (CONS
                                               (SPADDIFFERENCE |kind|
                                                |empties|)
                                               (CONS '/
                                                (CONS |kind|
-                                                (CONS '|%d|
                                                  (CONS '|slots used)|
-                                                  NIL)))))))))))))
+                                                  NIL)))))))))))
                           (|sayBrightly|
                               (APPEND |prefix|
                                       (CONS |op| |postString|)))))))))))
@@ -2011,9 +1996,7 @@
                                           |form|)
                                          NIL)))))))))
              (|sayBrightly|
-                 (CONS "%b"
                        (CONS "Totals:"
-                             (CONS "%d"
                                    (CONS |nTotal|
                                     (CONS " instantiated"
                                      (CONS "%l"
@@ -2041,7 +2024,7 @@
                                                            (CONS
                                                             |nForms|
                                                             (CONS " distinct domains instantiated/dropped"
-                                         NIL)))))))))))))))))))))))))))))))))))
+                                         NIL)))))))))))))))))))))))))))))))))
 
 ;hputNewProp(ht,op,argList,val) ==
 ;  --NOTE: obselete if lines *** are commented out
@@ -2296,9 +2279,7 @@
                                            (CONS |argList1| NIL)))
                                          |reportList|)))))))))))
              (|sayBrightly|
-                 (CONS "%b"
-                       (CONS "  USE  NAME ARGS"
-                             (CONS "%d" NIL))))
+                       (CONS "  USE  NAME ARGS" nil)))
              (DO ((G3179 (NREVERSE (SORTBY |sortFn| |reportList|))
                            (CDR G3179))
                   (G3127 NIL))
@@ -2403,8 +2384,7 @@
              (SEQ (EXIT (PROGN
                           (|sayBrightly|
                               (CONS "Un-clamming function"
-                                    (CONS '|%b|
-                                     (CONS |fun| (CONS '|%d| NIL)))))
+                                     (CONS |fun| nil)))
                           (SET |fun|
                                (|eval| (INTERN
                                         (STRCONC (STRINGIMAGE |fun|)
diff --git a/src/interp/format.lisp.pamphlet b/src/interp/format.lisp.pamphlet
index 45273cf..a4f5505 100644
--- a/src/interp/format.lisp.pamphlet
+++ b/src/interp/format.lisp.pamphlet
@@ -72,7 +72,7 @@ code which fixes bug 7217 bad title generated in Axiom 3D output.
       (SETQ |count| (LENGTH |modemaps|))
       (SETQ |phrase| (COND ((EQL |count| 1) '|modemap|) (#1='T '|modemaps|)))
       (|sayMSG|
-       (LIST '|%b| |count| '|%d| |phrase| " for" '|%b| |op| '|%d| ":"))
+       (LIST |count| |phrase| " for" |op| ":"))
       ((LAMBDA (|bfVar#1| |modemap|)
          (LOOP
           (COND
@@ -452,8 +452,8 @@ code which fixes bug 7217 bad title generated in Axiom 3D output.
       (SETQ |fromPart|
               (COND
                ((AND (EQUAL |dc| |$Dmarker|) D)
-                (|concat| '|%b| "from" '|%d| (|prefix2String| D)))
-               (#2# (|concat| '|%b| "from" '|%d| (|prefix2String| |dc|)))))
+                (|concat| " from " (|prefix2String| D)))
+               (#2# (|concat| " from " (|prefix2String| |dc|)))))
       (SETQ |firstPart| (|concat| " " |argPart| " -> " |targetPart|))
       (COND
        ((< 74 (+ (|sayWidth| |firstPart|) (|sayWidth| |fromPart|)))
@@ -868,7 +868,7 @@ code which fixes bug 7217 bad title generated in Axiom 3D output.
 (DEFUN |formatOpSignature| (|op| |sig|)
   (PROG ()
     (RETURN
-     (|concat| '|%b| (|formatOpSymbol| |op| |sig|) '|%d| '|: |
+     (|concat| " " (|formatOpSymbol| |op| |sig|) '| : |
       (|formatSignature| |sig|)))))
  
 ; formatOpConstant op ==
@@ -876,7 +876,7 @@ code which fixes bug 7217 bad title generated in Axiom 3D output.
  
 (DEFUN |formatOpConstant| (|op|)
   (PROG ()
-    (RETURN (|concat| '|%b| (|formatOpSymbol| |op| '($)) '|%d| ": constant"))))
+    (RETURN (|concat| (|formatOpSymbol| |op| '($)) ": constant"))))
  
 ; formatOpSymbol(op,sig) ==
 ;   if op = 'Zero then op := "0"
@@ -996,7 +996,7 @@ code which fixes bug 7217 bad title generated in Axiom 3D output.
                                    (PROGN
                                     (SETQ |sig| (CDR |ISTMP#3|))
                                     #1='T))))))))
-            (|concat| '|%b| (|formatOpSymbol| |op| |sig|) '|: | '|%d|
+            (|concat| (|formatOpSymbol| |op| |sig|) '|: |
              (|formatMapping| |sig|)))
            (#1# (|prefix2String0| |x|))))))
  
@@ -1166,7 +1166,7 @@ code which fixes bug 7217 bad title generated in Axiom 3D output.
       (SETQ |s| (|form2String| |u|))
       (COND
        (|$whereList|
-        (|concat| |s| '|%b| "where" '|%d| '|%i| |$whereList| '|%u|))
+        (|concat| |s| "where" '|%i| |$whereList| '|%u|))
        ('T |s|))))))
  
 ; form2StringWithPrens form ==
@@ -1885,21 +1885,18 @@ code which fixes bug 7217 bad title generated in Axiom 3D output.
         (PROGN
          (COND ((EQ |id| 'CATEGORY) (SETQ |r| (CDR |r|))))
          (COND
-;  |$abbreviateJoin| is always nil -- tpd
-;          ((EQUAL |$abbreviateJoin| T)
-;           (|concat| (|formJoin2| |argl|) '|%b| "with" '|%d| "..."))
           ((EQUAL |$permitWhere| T)
            (PROGN
             (SETQ |opList| (|formatJoinKey| |r| |id|))
             (SETQ |$whereList|
                     (|concat| |$whereList| '|%l| |$declVar| '|: |
-                     (|formJoin2| |argl|) '|%b| "with" '|%d| '|%i| |opList|
+                     (|formJoin2| |argl|) "with" '|%i| |opList|
                      '|%u|))
             (|formJoin2| |argl|)))
           (#1#
            (PROGN
             (SETQ |opList| (|formatJoinKey| |r| |id|))
-            (SETQ |suffix| (|concat| '|%b| "with" '|%d| '|%i| |opList| '|%u|))
+            (SETQ |suffix| (|concat| "with" '|%i| |opList| '|%u|))
             (|concat| (|formJoin2| |argl|) |suffix|))))))
        (#1# (|formJoin2| |u|)))))))
  
@@ -2741,7 +2738,7 @@ code which fixes bug 7217 bad title generated in Axiom 3D output.
   (PROG ()
     (RETURN
      (COND ((NULL |pred|) NIL) ((|member| |pred| '(T 'T)) NIL)
-           ('T (|concat| '|%b| "if" '|%d| (|pred2English| |pred|)))))))
+           ('T (|concat| " if " (|pred2English| |pred|)))))))
  
 ; formatPredParts s ==
 ;   s is ['QUOTE,s1] => formatPredParts s1
@@ -2939,7 +2936,7 @@ code which fixes bug 7217 bad title generated in Axiom 3D output.
                    (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
                         (PROGN (SETQ |b| (CAR |ISTMP#2|)) #1#)))))
             (|member| |op| '(|has| |ofCategory|)))
-       (|concat| (|pred2English| |a|) '|%b| "has" '|%d|
+       (|concat| (|pred2English| |a|) " has "
         (|form2String| (|abbreviate| |b|))))
       ((AND (CONSP |x|)
             (PROGN
@@ -2952,7 +2949,7 @@ code which fixes bug 7217 bad title generated in Axiom 3D output.
                    (AND (CONSP |ISTMP#2|) (EQ (CDR |ISTMP#2|) NIL)
                         (PROGN (SETQ |b| (CAR |ISTMP#2|)) #1#)))))
             (|member| |op| '(|HasSignature| |HasCategory|)))
-       (|concat| (|prefix2String0| (|formatPredParts| |a|)) '|%b| "has" '|%d|
+       (|concat| (|prefix2String0| (|formatPredParts| |a|)) " has "
         (|prefix2String0| (|formatPredParts| |b|))))
       ((AND (CONSP |x|)
             (PROGN
diff --git a/src/interp/functor.lisp.pamphlet b/src/interp/functor.lisp.pamphlet
index 47366c8..0718d53 100644
--- a/src/interp/functor.lisp.pamphlet
+++ b/src/interp/functor.lisp.pamphlet
@@ -642,11 +642,9 @@
                    ((CDR |v|)
                     (|sayBrightly|
                         (CONS "compCategories: "
-                              (CONS '|%b|
                                     (CONS "Warning"
-                                     (CONS '|%d|
                                       (CONS "ignoring unexpected stuff at end of modemap"
-                                       NIL))))))
+                                       NIL))))
                     (|pp| (CDR |v|))))
                  (COND
                    ((AND (CDR |v|) (NULL (CAAAR |v|)))
diff --git a/src/interp/g-error.lisp.pamphlet b/src/interp/g-error.lisp.pamphlet
index 7f29852..040e942 100644
--- a/src/interp/g-error.lisp.pamphlet
+++ b/src/interp/g-error.lisp.pamphlet
@@ -117,10 +117,6 @@
                                 (CONS |errorMsg| NIL)))
                          ('T (setq |splitmsg| 'T)
                           (COND
-                            ((|member| '|%b| |errorMsg|)
-                             (setq |splitmsg| NIL))
-                            ((|member| '|%d| |errorMsg|)
-                             (setq |splitmsg| NIL))
                             ((|member| '|%l| |errorMsg|)
                              (setq |splitmsg| NIL))
                             ('T NIL))
diff --git a/src/interp/i-funsel.lisp.pamphlet b/src/interp/i-funsel.lisp.pamphlet
index cbee411..18ec6ef 100644
--- a/src/interp/i-funsel.lisp.pamphlet
+++ b/src/interp/i-funsel.lisp.pamphlet
@@ -1935,8 +1935,8 @@
    (t
     (when |$reportBottomUpFlag|
      (|sayMSG| 
-      `(|%b| "          function not found in " 
-         ,(|prefix2String| dc) |%d| |%l|)))
+      `("          function not found in " 
+         ,(|prefix2String| dc) |%l|)))
     nil))))
 
 ;selectLocalMms(op,name,types,tar) ==
@@ -2406,7 +2406,7 @@ the types A and B themselves are not sorted by preference.
                         (CONS |op| (CONS |dc| NIL)))))
                (t
                 (|throwKeyedMsg|
-                 "The function %1b cannot be found in %2p ."
+                 "The function %1 cannot be found in %2p ."
                  (CONS |op| (CONS |dc| NIL))))))))))
 
 ;isOpInDomain(opName,dom,nargs) ==
diff --git a/src/interp/i-output.lisp.pamphlet b/src/interp/i-output.lisp.pamphlet
index 1176e59..87621bc 100644
--- a/src/interp/i-output.lisp.pamphlet
+++ b/src/interp/i-output.lisp.pamphlet
@@ -4001,9 +4001,7 @@ NIL
                ((NULL |l|)
                 (|sayALGEBRA|
                     (CONS '|%l|
-                          (CONS '|%b|
-                                (CONS "  Too wide to Print"
-                                      (CONS '|%d| NIL)))))
+                                (CONS "  Too wide to Print" nil)))
                 (THROW '|output| NIL))
                ('T
                 (|charybdis| (|concatTrouble,fixUp| |x|) |start|
diff --git a/src/interp/i-spec1.lisp.pamphlet b/src/interp/i-spec1.lisp.pamphlet
index bcb957d..207875e 100644
--- a/src/interp/i-spec1.lisp.pamphlet
+++ b/src/interp/i-spec1.lisp.pamphlet
@@ -1196,7 +1196,7 @@ There are several special modes used in these functions:
                     (|throwKeyedMsg|
                      (format nil
                       "An expression involving @ %2p actually evaluated to ~
-                       one of type %1bp .  Perhaps you should use :: %2p .")
+                       one of type %1p .  Perhaps you should use :: %2p .")
                         (CONS (CAR |ms|) (CONS |m| NIL))))
                    ('T (|putValue| |op| (|getValue| |lhs|))
                     (|putModeSet| |op| |ms|)))))))))))
diff --git a/src/interp/i-util.lisp.pamphlet b/src/interp/i-util.lisp.pamphlet
index ff3171b..a712de3 100644
--- a/src/interp/i-util.lisp.pamphlet
+++ b/src/interp/i-util.lisp.pamphlet
@@ -279,15 +279,12 @@ lisp code is unwrapped.
              (|$reportBottomUpFlag|
                  (|sayMessage|
                      (|concat|
-                         (CONS                                    "   Retrospective determination of slot"
-                               (CONS '|%b|
+                         (CONS "   Retrospective determination of slot"
                                      (CONS |slot|
-                                      (CONS '|%d|
                                        (CONS "of"
-                                        (CONS '|%b|
                                          (APPEND
                                           (|prefix2String| |domain|)
-                                          (CONS '|%d| NIL))))))))))))
+                                          nil))))))))
            (APPLY (CAR (ELT |domain'| |slot|))
                   (APPEND |u''|
                           (CONS (CDR (ELT |domain'| |slot|)) NIL))))
diff --git a/src/interp/msgdb.lisp.pamphlet b/src/interp/msgdb.lisp.pamphlet
index 039d235..6b0e567 100644
--- a/src/interp/msgdb.lisp.pamphlet
+++ b/src/interp/msgdb.lisp.pamphlet
@@ -411,10 +411,6 @@
                                   ((member (|char| '|l|) |q|)
                                    (SPADLET |l|
                                     (CONS "%l" |l|))))
-                                (COND
-                                  ((member (|char| '|b|) |q|)
-                                   (SPADLET |l|
-                                    (CONS "%b" |l|))))
                                 (SPADLET |l|
                                          (COND
                                            ((CONSP |arg|)
@@ -439,10 +435,6 @@
                                                   "%n"
                                                   (CONS |head| |l|)))))))
                                            ('T (CONS |arg| |l|))))
-                                (COND
-                                  ((member (|char| '|b|) |q|)
-                                   (SPADLET |l|
-                                    (CONS "%d" |l|))))
                                 (DO ((G166261 '(|.| |,| ! |:| |;| ?)
                                       (CDR G166261))
                                      (|ch| NIL))
@@ -612,8 +604,8 @@
                        (CONS " " (CONS '| | NIL)))
               (SPADLET |haveBlank| NIL)
               (SPADLET |prims|
-                       '(|%b| |%d| |%l| |%i| |%u| |%m| |%ce| |%rj| "%b"
-                              "%d" "%l" "%i" "%m" "%u" "%ce" "%rj"))
+                       '(|%l| |%i| |%u| |%m| |%ce| |%rj| 
+                               "%l" "%i" "%m" "%u" "%ce" "%rj"))
               (SPADLET |msg1| NIL)
               (DO ((G166348 |msg| (CDR G166348)) (|x| NIL))
                   ((OR (ATOM G166348)
@@ -971,9 +963,8 @@
         (COND
           (|$displayMsgNumber|
               (SPADLET |msg|
-                       (CONS "%b"
                              (CONS |key|
-                                   (CONS '|:| (CONS '|%d| |msg|)))))))
+                                   (CONS '|:| |msg|)))))
         (SPADLET |u| (|flowSegmentedMsg| |msg| $LINELENGTH 3))
         (|sayBrightly| |u|)))))
 
@@ -1131,7 +1122,7 @@
                  (COND
                    ((AND (CONSP |msg|)
                          (PROGN (SPADLET |a| (QCAR |msg|)) 'T)
-                         (|member| |a| '(|%b| |%d| | | "%b" "%d" " ")))
+                         (|member| |a| '(| | " ")))
                     (SPADLET |nl| (CONS |off1| NIL))
                     (SPADLET |lnl| (SPADDIFFERENCE |lnl| 1)))
                    ('T (SPADLET |nl| (CONS |off| NIL))))
@@ -1188,7 +1179,7 @@
                                     (SPADLET |nl| (CONS |f| |nl|))
                                     (SPADLET |lnl| (PLUS |lnl| |sbl|)))
                                    ((|member| |f|
-                                     '(|%b| |%d| | | "%b" "%d" " "))
+                                     '(| | " "))
                                     (SPADLET |nl|
                                      (CONS |f|
                                       (CONS |off1| (CONS '|%l| |nl|))))
@@ -1440,21 +1431,7 @@
                  (|sayString| " "))
                 ((BOOT-EQUAL |x| "%%")
                  (|sayString| "%"))
-                ((BOOT-EQUAL |x| "%b")
-                 (COND
-                   ((NULL (IS-CONSOLE CUROUTSTREAM))
-                    (|sayString| " "))
-                   ((NULL |$highlightAllowed|)
-                    (|sayString| " "))
-                   ('T (|sayString| |$highlightFontOn|))))
                 ((SPADLET |k| (|blankIndicator| |x|)) (BLANKS |k|))
-                ((BOOT-EQUAL |x| "%d")
-                 (COND
-                   ((NULL (IS-CONSOLE CUROUTSTREAM))
-                    (|sayString| " "))
-                   ((NULL |$highlightAllowed|)
-                    (|sayString| " "))
-                   ('T (|sayString| |$highlightFontOff|))))
                 ((STRINGP |x|) (|sayString| |x|))
                 ('T (|brightPrintHighlight| |x|)))))))))
 
@@ -1504,13 +1481,13 @@
               (|sayString| "\\ "))
              ((BOOT-EQUAL |x| "%%")
               (|sayString| "%"))
-             ((BOOT-EQUAL |x| "%b")
-              (|sayString| " {\\tt "))
+;TPD             ((BOOT-EQUAL |x| "%b")
+;TPD              (|sayString| " {\\tt "))
              ((SPADLET |k| (|blankIndicator| |x|))
               (DO ((|i| 1 (QSADD1 |i|))) ((QSGREATERP |i| |k|) NIL)
                 (SEQ (EXIT (|sayString| "\\ ")))))
-             ((BOOT-EQUAL |x| "%d")
-              (|sayString| "} "))
+;TPD             ((BOOT-EQUAL |x| "%d")
+;TPD              (|sayString| "} "))
              ((BOOT-EQUAL |x| "\"$\"")
               (|sayString| "\"\\verb!$!\""))
              ((BOOT-EQUAL |x| "$")
@@ -1960,8 +1937,8 @@
 (DEFUN |sayBrightlyLength1| (|x|)
   (declare (special |$highlightAllowed|))
   (COND
-    ((|member| |x| '("%b" "%d" |%b| |%d|))
-     (COND ((NULL |$highlightAllowed|) 1) ('T 1)))
+;TPD    ((|member| |x| '("%b" "%d" |%b| |%d|))
+;TPD     (COND ((NULL |$highlightAllowed|) 1) ('T 1)))
     ((|member| |x| '("%l" |%l|)) 0)
     ((AND (STRINGP |x|) (> (STRINGLENGTH |x|) 2)
           (BOOT-EQUAL (ELT |x| 0) "%")
@@ -2204,9 +2181,7 @@
   (PROG (|k|)
   (declare (special |$quadSymbol|))
     (RETURN
-      (SEQ (IF (OR (|member| |y| '(|%b| |%d| "%b" "%d"))
-                   (BOOT-EQUAL |y| |$quadSymbol|))
-               (EXIT 1))
+      (SEQ (IF (BOOT-EQUAL |y| |$quadSymbol|)       (EXIT 1))
            (IF (SPADLET |k| (|blankIndicator| |y|)) (EXIT |k|))
            (EXIT (|sayDisplayWidth| |y|))))))
 
@@ -2353,8 +2328,7 @@
              (SPADLET |wid| (PLUS (|entryWidth| |text|) 2))
              (COND
                ((>= |wid| (SPADDIFFERENCE |width| 2))
-                (|sayBrightly|
-                    (CONS '|%b| (CONS |text| (CONS '|%d| NIL)))))
+                (|sayBrightly| |text|))
                ('T
                 (SPADLET |f|
                          (DIVIDE (SPADDIFFERENCE
@@ -2370,9 +2344,9 @@
                   ('T (SPADLET |fill2| (STRCONC |fillchar| |fill1|))))
                 (|sayBrightly|
                     (CONS |fill1|
-                          (CONS '|%b|
+                          (CONS '| |
                                 (CONS |text|
-                                      (CONS '|%d| (CONS |fill2| NIL))))))
+                                      (CONS '| | (CONS |fill2| NIL))))))
                 NIL)))))))
 
 ;centerNoHighlight(text,:argList) == sayBrightly center(text,argList)
-- 
1.7.5.4

